%% SiSU version 1

v1 branch is legacy: v2 branch supersedes & replaces it
v1 sisu pretty mature in operation and syntax
v1 branch removed from sisu 3.0 available in sisu =< 2.7

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v1 CHANGELOG_v2 README data/doc/sisu/

Reverse Chronological:

%% Legacy Branch, Reference

%% 1.0.4.orig.tar.gz (2010-02-17:07/3) [2010-07-07]
http://www.jus.uio.no/sisu/pkg/src/sisu_1.0.3.orig.tar.gz
  sisu_1.0.3.orig.tar.gz
  sisu_1.0.3-1.dsc
  sisu_1.0.3-1.diff.gz

  * sysenv, version.yml moved to /usr/share/sisu/v1/v (from /etc/sisu)

%% 2.0.0.orig.tar.gz (2010-03-06:09/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.0.orig.tar.gz
  sisu_2.0.0.orig.tar.gz
  sisu_2.0.0-1.dsc
  sisu_2.0.0-1.diff.gz

  * introduces sisu v2, see CHANGELOG_v2
  * sisu v1 also included and maintained in tarball, if installed directly from
    tarball version 1 should be available as sisu1
  * version 2 series changes will be mentioned in this changelog only insofar
    as there are changes to sisu v1

%% 1.0.3.orig.tar.gz (2010-02-17:07/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_1.0.3.orig.tar.gz
  beaa4fc88a13eef203947d8ca5ce9aff246760c673fd84cac96322a9c8991c18 1558232 sisu_1.0.3.orig.tar.gz
  b805ee728b69f5e41cf92e0c87170bb65eb085b61e49ce05a5519959a3d04ba8 1145 sisu_1.0.3-1.dsc
  b6c030050816f6cfbe82422804dd901644a9ed37097bc713362a88d401059a2f 152714 sisu_1.0.3-1.diff.gz

  * plaintext, footnote / endnote fix, footnotes to occur immediately after
    paragraph that contains them (unless endnotes are selected instead)

  * document sample skins, utf-8 specified (in some cases needed by ruby 1.9.1)

%% 1.0.2.orig.tar.gz (2010-02-10:06/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_1.0.2.orig.tar.gz
  158f3eda47d22eb23ca9fb5e383ae57d366974e3e4c4dec2326021228413a66d 1556982 sisu_1.0.2.orig.tar.gz
  3e32dd8d1dd75042d31897ef961907b52f5e72ca28a1a909ceb041f284b6c1de 1145 sisu_1.0.2-1.dsc
  5e7349e1d51dad712eeab694fcb1237790156ffb51178edeecd4d0ec9e8fc91a 152552 sisu_1.0.2-1.diff.gz

  * Free as in Freedom (on RMS), Sam Williams, markup sample, markup variation,
    affects numbering

%% 1.0.1.orig.tar.gz (2010-02-08:06/1)
http://www.jus.uio.no/sisu/pkg/src/sisu_1.0.1.orig.tar.gz
  0318822b712d4b748d18be4211e3266a2c2689e0809d85219855c7314f2b5942 1556988 sisu_1.0.1.orig.tar.gz
  94d0d66971d0316587f300a20bfb1346f27361d94dedc1c746670707e984aecd 1145 sisu_1.0.1-1.dsc
  dd9f08f02ae09624bde4314472815eed3be205b001587193c76484b36d8cd68c 152471 sisu_1.0.1-1.diff.gz

  * odf:odt odt.zip fix addressing issue with presentation of headings in
    produced open document text

  * markup samples directory structure, minor adjustments, (and no longer
    shared by package sisu_markup_samples, about which, see that package)

%% 1.0.0.orig.tar.gz (2009-12-19:50/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_1.0.0.orig.tar.gz
  7bec7f47f6ad5b816226af0489bc2ae81d4c9092b8870ba939e9f58800245dfd 1554276 sisu_1.0.0.orig.tar.gz
  b64f406766c6289edabf97d225bf9eedbba26c8c413091c9bdc7cca9ec7912e5 1145 sisu_1.0.0-1.dsc
  002051ea41e5584d463719f9ac560fad3d0de985916b76e403c060f1bda8e21c 152286 sisu_1.0.0-1.diff.gz

  * open v1 branch, bump series vesion number to 1
    * with the introduction of sisu version 2 (a new middle layer engine)
      imminent, that will be maintained in parallel with this version, it is
      time to have a version 1 branch
    * version 1 is pretty much the previous release, it will be maintained
      alongside version 2 (in the tarball) and the directory structure is
      modified to accommodate this
    * [version 2: will have a different middle layer; markup remains the same
      apart from some modification to document headers]

  * param / document header changed not to accept older markup, e.g. must use
    '@title:' rather than '0~title'

  * minor changes inter alia for new directory structure

  * documentation, modified description of command flags -m and -n (in line
    with communication on Debian bug #555496, closing it)

%% sisu_0.71.4.orig.tar.gz (2009-08-29:34/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.71.4.orig.tar.gz
  a9accd67316fcc21fa289dd3923641b182023ee3e038ee7c3324b6e71b129a68 1551081 sisu_0.71.4.orig.tar.gz
  1014c3807a2ba159682b8f52c2b287a7858bd83acf4ffa041d99f759dcebd310 1151 sisu_0.71.4-1.dsc
  c3566cb294440482526bc10f3bee45ff5eeae7ed6ec39178f1fd3785c6b3d1dd 151444 sisu_0.71.4-1.diff.gz

  * sql, fix, different solutions for postgresql and sqlite to populate
    database using ruby-dbi

%% sisu_0.71.3.orig.tar.gz (2009-08-28:34/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.71.3.orig.tar.gz
  edeb7b5e4ea192a193f95dcbcf468102839cf3b9a18ee0e700e58eea37e739dd 1549708 sisu_0.71.3.orig.tar.gz
  5688f8fe14ba77f236a8bd4cb11bffa72d6e0f12b4474852ed54b6256c223eb3 1151 sisu_0.71.3-1.dsc
  98754efd995c57995ff2962dbdc391cfe1c6050468da73bb45fcbf3fea08628a 151405 sisu_0.71.3-1.diff.gz

  * fix to use imagemagick directly (when imagemagick is available and rmagick
    declares versions not in sync)

%% sisu_0.71.2.orig.tar.gz (2009-08-02:30/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.71.2.orig.tar.gz
  220199cbc435ec6d246af4ac43a2ef6a3e05f649847c4ee04b831af1e8ad4902 1548875 sisu_0.71.2.orig.tar.gz
  ec3fae1599112343d69f2843a09acb583653bc174e65589f4c3bbc52ef66d4fb 1151 sisu_0.71.2-1.dsc
  bbc4264049d4e6c147dd77b9b41774bcb421ce5bffeb5801872f5520f9967fba 151350 sisu_0.71.2-1.diff.gz

  * fixes
    * html book index, batch processing fix, re-initialize variable after use
    * sysenv, sha256 use fix, need to set variable with pwd

%% sisu_0.71.1.orig.tar.gz (2009-07-24:29/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.71.1.orig.tar.gz
  2027a8b6690a6e82cb6c6bc5b594fd6214d215ee09989e0c58a8f5abfbd306fd 1549323 sisu_0.71.1.orig.tar.gz
  044d623f1d158bbe43e0755eeebc11496000edfab1ddca49128ca1ff1ee2da45 1151 sisu_0.71.1-1.dsc
  628af933efd0fdda7694c9f0e31c79dc9e5f9282648a8dd75c5d91a8482c8dac 151315 sisu_0.71.1-1.diff.gz

  * dal images, if no rmagick, system call imagemagick directly if available

  * manifest, include book index if available

  * html scroll css, left margin

  * html seg, navigation band buttons placement

%% sisu_0.71.0.orig.tar.gz (2009-07-09:27/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.71.0.orig.tar.gz
  5fa480544ae30d2e2e21064cb505e3c72a467a4ca8018fd1c51ec485ff5b668e 1548373 sisu_0.71.0.orig.tar.gz
  25f9c4109b361153f325b97e6e48baae702cd889aa7535c2efa3070867117243 1151 sisu_0.71.0-1.dsc
  7f718b681da6aa18c826586337f793c9d05e5c9e6d39b0856420d021096594d5 151143 sisu_0.71.0-1.diff.gz

  * prepare for version 1, (and make way for version 2)
    * move lib to v1 from v0 lib/sisu/v1
    * change to version1.yml from version.yml (conf/sisu/version1.yml)
    * make necessary program changes
   [note on version 2 to come, input unchanged, output much the same, middle-
   layer (document abstraction) changed, uses ruby objects instead of strings
   to represent data]

  * sysenv, make sisu and ruby version info ruby instance methods

  * minor housekeeping:
    * texpdf mostly minor cleaning
    * html various minor:
      * use suffix provided in constants;
      * module SiSU_HTML_Tune;
      * possibility of use of adsense
    * dal_numbering, minor regex reduction
    * dal_idx, book_idx_html, match sysenv
    *  xml related minor touches

%% sisu_0.70.6.orig.tar.gz (2009-07-01:26/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.6.orig.tar.gz
  218ece8c5b813ebf40eb43af2e9272a166675da4b7235f85c96c414a654054de 1546958 sisu_0.70.6.orig.tar.gz
  6c03a1a5da119f8f7e8db493ae985af59d562f166fb1e0a676094d83904e307b 1151 sisu_0.70.6-1.dsc
  340cdeb299eeb327308c4293c19e57d2b8ca5bdb40add2519ce379ed57f4c896 151084 sisu_0.70.6-1.diff.gz

  * db dbi, interfaces to sqlite and pgsql, fixes

  * cgi sample search form, fix

  * minor touches

%% sisu_0.70.5.orig.tar.gz (2009-01-18:02/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.5.orig.tar.gz
  5ab95108c9f1734fbb6dcca795d6c6e34445625adb296e797d97f0af1e73f985 1546846 sisu_0.70.5.orig.tar.gz
  dc95471b171637fd3cbc9e627283254d1f71b655d1a7c2a24eb904cd4539d790 1151 sisu_0.70.5-1.dsc
  9ef6f7891eafc10ec13f6e6bcfa23d993b7126e299b8b4db700621f9c35be95a 146964 sisu_0.70.5-1.diff.gz

  * git repo moved to:
    git clone git://git.sisudoc.org/git/code/sisu.git
    git clone http://git.sisudoc.org/git/code/sisu.git
    .
    http://git.sisudoc.org/?p=code/sisu.git;a=summary

  * harvest fix where other languages used, links to appropriate files

  * year roll-over noted

  * copyright, 1997 - 2009 used to represent modifications made each year

  * debian/ new year cleaning, (coinciding with NY visit of Daniel Baumann)

  * debian/control made depends on fcgi-ruby for sisu-postgresql and
    sisu-sqlite as sample cgi search script depends on it

  * debian/copyright use machine parseable format

%% sisu_0.70.4.orig.tar.gz (2008-12-31:52/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.4.orig.tar.gz
  2c2e4f20be91e3c575c5d2560044a5c60609330ee012e6a0f3eba0e868b0572b 1546812 sisu_0.70.4.orig.tar.gz
  1098392a4566bc4f37b3329e84a77f0be9037b28923182aabd343624df73896b 1159 sisu_0.70.4-1.dsc
  f030c05cbc81d6d25f6300fb35a269ffc583af9d492bd7cf812387e9b13db591 147279 sisu_0.70.4-1.diff.gz

  * latex/pdf tilde mark (bug in texlive, missing (at this instant) provide
    workaround), similar to issue with "bullet" noted in sisu 0.70.1
    [may be necessary to do an inventory of special characters?]

%% sisu_0.70.3.orig.tar.gz (2008-12-24:51/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.3.orig.tar.gz
  adb3dbe85004a6bc10443d60029b6a2b0a11b9f7aad10a170f5b278f0a73d5e4 1546917 sisu_0.70.3.orig.tar.gz
  1e4e5d84c410ef635c0a97542ad0ed12e47ec1e06178975804571c9c43f9040b 1159 sisu_0.70.3-1.dsc
  09c0192dc4f7e89c352bb5e15c24e2c0ca42cace 147188 sisu_0.70.3-1.diff.gz

  * html and css, cosmetic changes (and the closing of a tag)

  * db/sql
    * sqlite fix, change ruby driver used to populate sisu sqlite3 db to rb
      sqlite3 for the time being. Use rb sqlite3 driver directly rather (than
      more convenient when working) rb dbi interface to populate content. Used
      to bypass problems with rb dbi sqlite3 interface noted in sisu 0.66.2
      (2008-04-25) and 0.66.3 (2008-05-11) that have have persisted (apparently
      worked at end 2007 (v.0.62.4) and start of 2008 (v.0.64.0)
    * sqlite dropall, fix
    * fix to auto-generated sqlite cgi script sample, only works if at least
      one existing populated sisu sqlite database is found during the
      generation process
    * postgresql, much shared code, however, operation should be unchanged

%% sisu_0.70.2.orig.tar.gz (2008-12-16:50/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.2.orig.tar.gz
  c4ec17c3f50b629a33afcb3d343e111172bf56b656fa892d82936f86dfde281a 1545482 sisu_0.70.2.orig.tar.gz
  14575b369a85da01d09fd8fe52d0d9054e21f0c3fd732f6f5b6c316a73bb9db3 1159 sisu_0.70.2-1.dsc
  b915ffecd148fdc115deab0d1ea2f50a598d00f589866f5645783dc12c71ee91 147123 sisu_0.70.2-1.diff.gz

  * harvest_authors, sort authors works

  * i18n (translation of manifest) fix, related to variable renaming in
    previous release (see git log)

  * manpage, help include: sisu --harvest *.ss[tm]

%% sisu_0.70.1.orig.tar.gz (2008-12-14:49/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.1.orig.tar.gz
  9a04b4d7e89b1ff39a8745f4a1ad31841200f8f880508a56806e1b7ad45e7623 1544135 sisu_0.70.1.orig.tar.gz
  c4298135b16e03a0691f767a9bc7f3d4c43ea4a833b6ef8e272170872bd4bbdc 1159 sisu_0.70.1-1.dsc
  6ff6a4d739cfe4763526a3fc3b4b4175490f9cba130e2b14478366b299565caf 147093 sisu_0.70.1-1.diff.gz

  * harvest
    * improved integration with sisu
    * close output files before remote posting
    * ensure html output is read by browser as utf-8
    * add publication date to author works summary
    [integration not quite complete as not added to sql, reason, each addition
    of a field requires users recreating database, and there are other metadata
    header additions under consideration, though unavoidable reduce the number
    by grouping]

  * manifest, show topic register metadata for each document

  * css main html modified, run: sisu -CC
    * left margin changed, affects html generally
    * table th and td elements text top aligned
    * additions for manifest display of topic_register

  * html tables
    * html structure, fix
    * column width, fix

  * latex/pdf bullet mark (bug in texlive, missing (at this instant) provide
    workaround)

  * param
    * additional metadata fields
    * variable renaming (that affects modules that use param)

  * sql (postgresql), add proposed metadata fields for though not yet populated
    [if changes correctly anticipated, will enable future use of database
    structure built with current version, without need to re-create, will not
    affect existing sisu databases]

  * emacs syntax highlighter update (metadata fields)

%% sisu_0.70.0.orig.tar.gz (2008-12-03:48/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.70.0.orig.tar.gz
  51e4d5c2ac3c490332d8468de2400abcf454b55ac1e21ec625680a346fb41e4a 1540091 sisu_0.70.0.orig.tar.gz
  19639ff718204575e66da774fa90a18644c964535c4a94ddc9d76651cac36539 1159 sisu_0.70.0-1.dsc
  8b489270ea44f006c4406182d3d24f6ec5480f3f7379d4e6ce53d65bba8474aa 147054 sisu_0.70.0-1.diff.gz

  [version bump because formatting rule introduced to author / creator header -
  where new site metadata harvest feature is used, (at present changes changes
  should not be noticed except when using metadata harvest)]

  * sisu markup, additional header and new format rule:
    * @creator: / @author: header field, introduced author name format rules
      for more usable metadata harvesting: surname comma other names, additional
      authors separated by semi-colon
    * param added meta-tag, @topic_register: formatting topic levels are
      separated from sub-levels by a colon, a semi-colon separates main topics
      if there are multiple topics at lowest sub-level, a pipe can be used to
      create multiple headings

  * harvest module, harvests metadata from document set currently extracts: (i)
    authors and their writings from document set; (ii) topics and associated
    writings from document set (topics use topic_register header). harvest
    (when run against documents common to a directory of a site) extracts
    metadata and organises the documents on a site by author and topic
    information provided (there is a new "topic_register" header, with
    formatting rules similar to those of the book index), results are placed in
    [output_path]/sisu_site_metadata.
      sisu --harvest *.sst
    * by author (see change in param @creator: / @author: header field)
    * by topic / subject index (see addition in param of @topic_register:
      header field)
    initially there should be an example samples here:
      http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_authors.html
      http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_topics.html
    together with update markup source files

    The authors and their writings list will be made to take on a more
    biblographical form, with the use of additional fields as required.
    (concept example, suitable for medium sized sites [to remove size
    constraint: implement SQL equivalent]) make feature more robust

  * css, for harvest output added

  * remote placement of sisu_site_metadata (output produced by metadata harvest)

  * sisu markup, update document samples accordingly

  * tidy copyright marks in program headers, remove repetition of dates

  [date changed, built just after midnight]

%% sisu_0.69.4.orig.tar.gz (2008-11-02:43/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.69.4.orig.tar.gz
  06ba062400396d234334beb72bf171e580a6bd78d8200e316606456529930165 1532819 sisu_0.69.4.orig.tar.gz
  8fa64cbcb28d80d2c0c81885eaa9f71dbd45964a7546c94b085e2d359868d1bc 1159 sisu_0.69.4-1.dsc
  a81b6bccdd085f197f3a26f8014ddcc5155cb173 146961 sisu_0.69.4-1.diff.gz

  * sisu-mode.el emacs syntax highlighting file contributed by Ambrose Kofi Laing
    data/sisu/conf/editor-syntax-etc/emacs/sisu-mode.el
    based on doc-mode.el (v1.14 2006-01-19) by Tong SUN, who granted permission
    for this adaptation and inclusion

  * vim syntax file, header, version number updated

  * ruby1.9 some testing minor changes (not all ruby libraries updated yet in
    Debian Sid) (sisu currently to be used with ruby 1.8 branch 1.8.4 or later)

  * dal, related to bold line instruction

  * minor touches

%% sisu_0.69.3.orig.tar.gz (2008-10-10:40/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.69.3.orig.tar.gz
  33783d161293756f33e22867de5c00d02ce8743a19c65846622a272e3c0b8cd3 1527253 sisu_0.69.3.orig.tar.gz
  8c77872852c6efedf17146394032c3281c79e15e86283abd6f906909268ea69b 1159 sisu_0.69.3-1.dsc
  3b8cd23a772e4a8d77f5f7d044e6f084c7769788a9f8974dd5b9227f23a2bd18 146916 sisu_0.69.3-1.diff.gz

  * minor adjustment to book index code

  * manifest, reporting of sisupod, [path fix in sysenv]

%% sisu_0.69.2.orig.tar.gz (2008-09-19:37/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.69.2.orig.tar.gz
  dde55e10c47a2fc556113bd051a76877d53fdfe9133562cd9c4a41c4c817a4cb 1526475 sisu_0.69.2.orig.tar.gz
  e9cfeb0de6fdb20a63f7f071804ecb7fcecace65be47d735fc6d16dc3bb52353 1159 sisu_0.69.2-1.dsc
  bd5b0a760ef61aafefe4949aa87d194e77f227bfae9c6b87d5ac1898ee4f159b 146853 sisu_0.69.2-1.diff.gz

  * Free as in Freedom markup sample now includes book index markup

  * identify markup helpers updated

%% sisu_0.69.1.orig.tar.gz (2008-09-17:37/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.69.1.orig.tar.gz
  9f44c7f37f272a1cd48717785d9579053dd069c551b826dee36333fb33148ad0 1520236 sisu_0.69.1.orig.tar.gz
  51d3b7aadba7f1e487774f739d5cd7eec725960eaaa9d5870dd390f75585d00f 1159 sisu_0.69.1-1.dsc
  514da38bca18016d4a50889eb02cf294fef8a3ddca8bd39636baf48061ce77b4 146755 sisu_0.69.1-1.diff.gz

  * dal fix, dal_substitutions_and_insertions get skin info

%% sisu_0.69.0.orig.tar.gz (2008-09-16:37/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.69.0.orig.tar.gz
  87f10686f20d02ba969a186db4333f25b4c063f13fc2d7824e6a8db7da41a4f1 1519352 sisu_0.69.0.orig.tar.gz
  082a19e5676940723bc033de75f11e1592aefdbe2b698b24e274f01c3586d08c 1159 sisu_0.69.0-1.dsc
  477af2b3d2a7e9b6aa7f5fa8952d5e8d90cf607a235483bf7482834af9d7610a 146757 sisu_0.69.0-1.diff.gz

  * html
     * increased use of css, necessary to re-initialise sisu output directory
       with new css files [version number bump]
         sisu -CC
     *  html css, use of mini table of contents placed in left column for
        segmented text
     * manifest presentation

  * texpdf
    * pdf document typesetting dimensions
    * url matching and urlbreaks line breaks fix
    * landscape output, tables fixed
    * paragraph alignment, assigned 0 width to required space, (removing space
      at beginning of paragraph)
    * footnote, number placement changed, and left alignment (ragged edges)
      used
    * removal of a maths package gives back typeface changes like bold
    * url matching, special characters
    * better representation of tilde
    * tolerance

  * db table field lengths (varchar), increased

  * book type index
    * markup adjustment, book type index introduced
    * dal, book type indexing module

  * book type index and concordance, letter list for navigation

  * middle layer, url representation changed, downstream code affected

  * dummy headings removed when not used, latex/pdf, odf, html scroll

  * internal, greater use of passing of hash to formatting modules

  * dal, several modules split into separate files

  * vim syntax file updated to include syntax for book index

%% sisu_0.68.0.orig.tar.gz (2008-07-22:29/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.68.0.orig.tar.gz
  cecae8b828aa187b22354f2ee9e8a8b5244dd9f4 1509605 sisu_0.68.0.orig.tar.gz
  f7dc610a710d9818901909d8c4dc110019f39417 1159 sisu_0.68.0-1.dsc
  fc5f2f8e22e02c165f92adcb31a9c328feb487e9 146736 sisu_0.68.0-1.diff.gz

Should simplify maintenance; numerous small fixes
Not without risk but should be easier to maintain.

  Fixes numerous small bugs, should simplify maintenance.
  Not without risk but should be easier to maintain.

  * Middle layer document representation changed (changes to the programs
    internal representation of text (markup)). Input unchanged; output should
    remain much the same. Changed processing markup (middle layer), affects
    internal downstream processing. Should simplify writing of downstream
    parsers and should increase both consistency and flexibility (as internal
    markup is now more easily modified).

  * texpdf, produces pdfs in multiple document sizes as specified in config

  * many small fixes

%% sisu_0.67.5.orig.tar.gz (2008-07-12:27/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.5.orig.tar.gz
  f07a6b01c52c178c4ed57d31eb3a9162e8d59aa643b7cfb8f4250c307c0fa019 1500535 sisu_0.67.5.orig.tar.gz
  b4b01d9d3bd0b82e9c946cd2a1586b5b550912ed24f01b634f0f9c441ba72c77 1159 sisu_0.67.5-1.dsc
  c5cf3905985e8545d4b87958ed0d8bd1ed72a93051117a8c9631a4cded41da2a 146710 sisu_0.67.5-1.diff.gz

  * texpdf xetex and xelatex processing commands, fix

  * texpdf A5 size landscape pdf, tex document header, fix

%% sisu_0.67.4.orig.tar.gz (2008-07-12:27/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.4.orig.tar.gz
  ec905056760f7be8db639d053be4ada9118bfb2c66832206ab92eccf6d8239a7 1500229 sisu_0.67.4.orig.tar.gz
  df5e57639213a641075500f57a57eb1ecdb2453afef3a2c0c71093ccdee6c91a 1159 sisu_0.67.4-1.dsc
  7fe5a938eb2faa721ec70aea3c3a0b3af66546dcbf55deef16044b862c40b354 146675 sisu_0.67.4-1.diff.gz

  * remote sisu sourcefile and sisupod, fixes, download and generate locally

  * /tmp processing directory renamed to fix issues with default directory tab
    expansion of filenames and e.g. texpdf images

  * manifest minor changes to document information displayed

%% sisu_0.67.3.orig.tar.gz (2008-07-03:26/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.3.orig.tar.gz
  f8c57f0e1992a5a829c321b5648dd53d31e65067d1b9464969a4e33afa9be2be 1500468 sisu_0.67.3.orig.tar.gz
  c4aeb2f843980dde75611e305eb51618540f0223d5e5e969a9590c49980998de 1159 sisu_0.67.3-1.dsc
  055b1afa5f6f3e3c08135417e7f512f7a6e3bed9d42635f42b7754fd4d318136 146632 sisu_0.67.3-1.diff.gz

  * help environment fix "sisu --help env"

  * texpdf (sysenv), papersize re-fixed (xetex landscape pdf fix fixed)

%% sisu_0.67.2.orig.tar.gz (2008-07-02:26/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.2.orig.tar.gz
  36a97294563c59827bc88b9187dd824ee5c66b62cbf59d4a53e806a6a0e9f8e1 1500273 sisu_0.67.2.orig.tar.gz
  d83ac907c803de304503afb0cb877bd514228010e47155c652aac8be1aa18e8f 1159 sisu_0.67.2-1.dsc
  ba7838ca7406157bdf430ad31b21665b20e89184d86b1b7cf5e33322a87e5396 146591 sisu_0.67.2-1.diff.gz

  * texpdf (sysenv), fix required for xetex landscape pdfs

%% sisu_0.67.1.orig.tar.gz (2008-05-27:21/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.1.orig.tar.gz
  d05698e4e9421e15f9924ea5c019696996fc10ec396c245ea9dfc375a539868a 1498489 sisu_0.67.1.orig.tar.gz
  48925d7f6ba9cbdea92766cb34a222a6ac532fe41588b4eb17d8ff2a9259e0c7 146501 sisu_0.67.1-1.dsc
  9a6b16316cf0f16562624ced16627fd0093598e6cd955a1c4c72f21c5eb95dde 1151 sisu_0.67.1-1.diff.gz

  * syntax highlighting minor updates: nano; diakonos; kate
    [todo: gedit]

  * debian/vim-addon-manager, fix vim-sisu.yaml (closes: #464824)

%% sisu_0.67.0.orig.tar.gz (2008-05-22:20/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.67.0.orig.tar.gz
  a543f310b8452b5d7477f1491d6d0510efd0293408dfa3fe2697ae586bbc98aa 1498054 sisu_0.67.0.orig.tar.gz
  759277657882aee6b02f8c0956e9d848fbeb4ac3b41345a2d1d3bcbaa1289aec 1151 sisu_0.67.0-1.dsc
  e688b0b1dc0b51c742f4e5d0274969172e8975793c4aa95d9ff15bef474117ac 146427 sisu_0.67.0-1.diff.gz

  * composite document, simplify syntax for importation of external files,
    syntax change (minor), automatic version bump, document samples modified
    accordingly
    [when editing vim has get-file gf]

  * debian, vim-addon-manager

%% sisu_0.66.3.orig.tar.gz (2008-05-11:18/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.66.3.orig.tar.gz
  6d5b61e6a37d9564d8d83d7eb9eb665a65da4c79 1497613 sisu_0.66.3.orig.tar.gz
  02d116186c960051d0f37af42d86539293391d8b 1151 sisu_0.66.3-1.dsc
  f7d51e83761b3ffb66cf30a6662d1bef471b2a1b 146244 sisu_0.66.3-1.diff.gz

  * sqlite3, problem with transaction commits and disconnecting from db
    (including query and close), frustrating as sqlite is invaluable, bug has
    arisen with attempt to upgrade sisu from use of sqlite2 to sqlite3, may be
    within sisu [re-check connection requirements] but appears to be with
    sqlite3 component of (libdbi-ruby, libdbm-ruby); writing on the net at
    present suggests there may be a problem[1]; file bug report against
    sisu-sqlite and against libdbd-sqlite3-ruby, libdbd-sqlite3-ruby1.8,
    [1] http://www.sqlite.org/cvstrac/wiki?p=SqliteWrappers discussing
    different program apis at this time writes the following on ruby-dbi (in
    bold) "Ruby DBI (dbd_sqlite). This needs some work (see mailing list!)."

  * sql, work on ability to create sql transaction file for manual sql commit

  * particulars, introduced an abstraction for getting: basic environment;
    document parameters; and machine coded document

  * debian/control use debhelper version 7

  * debian/control introduce vcs info git repo, browser

%% sisu_0.66.2.orig.tar.gz (2008-04-25:16/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.66.2.orig.tar.gz
  6af989ae3bc57889ce0e02eaa8d45d384fdec7ef 1496216 sisu_0.66.2.orig.tar.gz
  989f5cde491ee3890ce083461d0dbf769371c306 1003 sisu_0.66.2-1.dsc
  d76cede86c178164c37a1f1b8f441c2ed48cf2fa 146135 sisu_0.66.2-1.diff.gz

  * sisu-sqlite use sqlite3, unresolved issue finalizing transaction

  * debian, sisu-postgresql ruby-dbi dependencies refer to version 1.8

  * debian, sisu-sqlite ruby-dbi dependencies refer to version 1.8

%% sisu_0.66.1.orig.tar.gz (2008-03-30:12/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.66.1.orig.tar.gz
  1b858e7650f8011205734cc20f36c628 1495277 sisu_0.66.1.orig.tar.gz
  bde3cfd63bfa6ba2c65dbcb2d3c7cb4d 629 sisu_0.66.1-1.dsc
  d97f2831470c8aeb86f9b896a20aa6fb 146395 sisu_0.66.1-1.diff.gz

  * tex to pdf,  xetex (utf8) added as alternative to pdftex
    [for now special character processing is separate, consider merging common
    parts, that is, most of it]

  * debian, sisu-pdf recommends texlive-xetex

  * debian (control, compat), debhelper >= 6, (6 in lenny)

%% sisu_0.66.0.orig.tar.gz (2008-02-24:07/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.66.0.orig.tar.gz
  b45d81d949590a9b24924589bc98032b 1492653 sisu_0.66.0.orig.tar.gz
  3d02ba34822075bea890eaa3ff666ef9 629 sisu_0.66.0-1.dsc
  161a19d61d48713be4890bc9d00bed18 146339 sisu_0.66.0-1.diff.gz

  * ruby identify program files as utf-8
    # coding: utf-8

  * param identify markup type as 0.66 added

  * shared_sem semantic tag matching

  * sst_to_s_xml (sax/dom/node) semantic xml mockup naive conversion of known
    abbreviated tags, in flux, e.g.
      sisu --to-sax autonomy_markup0.sst
    back to sst markup with:
      sisu --from-sxml autonomy_markup0.sxs.xml

  * sst_to_s_dom fix to footnote/endnote conversion

  * vim
    * replace HiLink with "hi def link"
    * semantic tag matching, (may prune matches later)

%% sisu_0.65.0.orig.tar.gz (2008-02-16:06/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.65.0.orig.tar.gz
  ef65b612268491857934bc4160ea0238 1488645 sisu_0.65.0.orig.tar.gz
  dd2bf992db6a5f0a5faeb62cbea3bd33 629 sisu_0.65.0-1.dsc
  ba8d19c3221430bc1a9d8c89f55ca3d6 146323 sisu_0.65.0-1.diff.gz

  * semantic tag, match refinement related, (consider a possible extension)
    [version bump for tags]

%% sisu_0.64.4.orig.tar.gz (2008-02-14:06/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.64.4.orig.tar.gz
  2ab102057702aaf35ec96b9a082fb2d9 1488644 sisu_0.64.4.orig.tar.gz
  62604c78e2574f80a4e13cb38e1374cd 629 sisu_0.64.4-1.dsc
  b797bf7f165be762ff97d50914a5b102 146562 sisu_0.64.4-1.diff.gz

  * markup tag, semantic tag added

%% sisu_0.64.3.orig.tar.gz (2008-02-06:05/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.64.3.orig.tar.gz
  8af7f396c0aeb231869fa0d12c5429c2 1486648 sisu_0.64.3.orig.tar.gz
  6b2f4554afe0a328f7861d3be943ea8d 629 sisu_0.64.3-1.dsc
  4300eac4651ed7ae3788f7d7c22fb8dc 146267 sisu_0.64.3-1.diff.gz

  * db sql pgsql future development and testing on version postgresql 8.3

  * encoding utf-8 some compatibility checks

  * db sql, for updates use match criteria '=' instead of LIKE
    (required for pgsql 8.3 with bigint)

  * ruby 1.9 testing, however remains closed

  [(side note) ramaze looks good, search form re-done (cgi search form
  re-engineered)]

%% sisu_0.64.2.orig.tar.gz (2008-01-19:02/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.64.2.orig.tar.gz
  4b0e97e4387c84ac4017128ef7718cf2 1485265 sisu_0.64.2.orig.tar.gz
  7fec34740202920c7182d39eeb55b7dc 629 sisu_0.64.2-1.dsc
  ee2fe7d3dd57a7d98f3689e8e6bd6e97 146200 sisu_0.64.2-1.diff.gz

  * Dir.mkdir [instead of ftools File.mkpath], ruby 1.9

  * debian/control, permit running on ruby 1.9, needed for debian unstable
    install of current ruby (running remains stopped for the time being in
    bin/sisu, bin/sisu_webrick, bin/sisu_termsheet [details remain])

%% sisu_0.64.1.orig.tar.gz (2008-01-09:01/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.64.1.orig.tar.gz
  995ef406d13cdfd441f8d4a32860f505 1485298 sisu_0.64.1.orig.tar.gz
  256f13e488c62d81da56cbaf8e00d693 629 sisu_0.64.1-1.dsc
  22b55a852eed3831426ab3314cd3beb7 146151 sisu_0.64.1-1.diff.gz

  * odf output bug (preliminary) fix, related to angle-brackets in markup
    (reported by Jason Corfman)

%% sisu_0.64.0.orig.tar.gz (2008-01-02:00/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.64.0.orig.tar.gz
  f00c9aac4e1a4fab41219bd08a98b9aa 1485082 sisu_0.64.0.orig.tar.gz
  5ce9ebce50796cbb82d83626541d3be1 629 sisu_0.64.0-1.dsc
  d2383e720a783f53b3508f9d44f56c5d 146129 sisu_0.64.0-1.diff.gz

  * sql, postgresql allow tcp/ip connections... take relevant parameters from
    resource configuration file, sisurc.yml

  * sql (postgresql, sqlite), switch primary keys to bigint (as requested)

  * processing, default processing directory moved to /tmp and renamed
    _sisu_processing~ [previously was in user's home ~/_sisu_processing]
    a user subdirectory is made and permissions set to user 700
    pros: get rid of an unattractive directory in user's home
    cons: /tmp is usually in / which is frequently a relatively small directory
    compromise: is possible to set an alternative path for processing in
    sisurc.yml

  * copyright dates updated

  * debian/postrm.sisu on purge remove /etc/sisu, should fix packaging bug
    #454372 (reported by Kumar Appaiah), [thank you, and sorry for not having
    acknowledged this earlier]

%% sisu_0.63.0.orig.tar.gz (2007-12-20:51/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.63.0.orig.tar.gz
  280792a14893ba5a912a7d300a9c2d74 1484075 sisu_0.63.0.orig.tar.gz
  27523129a29d1d27e8b3b343f525a5d6 629 sisu_0.63.0-1.dsc
  958736cfeaf188806a0933c775de1294 145944 sisu_0.63.0-1.diff.gz

  * texpdf, (latex pdf) generate sisu latex output in a single pass

    implications if additional modules added e.g. provide dvi file without
    latex pdf headers or generate an A6 document by default for e-readers
    capable of reading pdf (this would otherwise require a separate pass/loop
    of content for each type to be generated)

    [current shortcoming, images are sized for smaller landscape output by
    default, image dimension adjustments not yet made (for different
    orientation)]

  * sisupod, bugfixes for rsync placement and for download and processing
    [(if made available) once downloaded may be converted when needed to the
    output format desired, outputs may also be generated by executing commands
    directly against pod at remote location, e.g.
    sisu -3 http://www.jus.uio.no/sisu/pod/free_culture.lawrence_lessig.sst.zip
    ]

%% sisu_0.62.4.orig.tar.gz (2007-12-14:50/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.62.4.orig.tar.gz
  94d262be57e2990c975e6532d258ce7f 1482977 sisu_0.62.4.orig.tar.gz
  dcf18077108e6a94842a4eda41bacf1b 629 sisu_0.62.4-1.dsc
  86e7fadaef232a08161bb3204f61bd27 145841 sisu_0.62.4-1.diff.gz

  * cgi_sqlite, variable name bugfix, fixes sql auto-generated sample search
    form

  * some treatment of String and Array adjustment

  * gpl3 or later links to online license source updated

  * vim ftplugin search and replace keybinding set to C-@

  * debian build version update

  * debian/watch file

  * debian DM upload

  * gpg/pgp signature used changed (now B98F62B1 before BD76E77F)

%% sisu_0.62.3.orig.tar.gz (2007-11-27:48/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.62.3.orig.tar.gz
  46511173fc0e3d75982debc37206fa6e 1481806 sisu_0.62.3.orig.tar.gz
  494386aa1e44ebd9ea4d2c7bcfd41ba3 606 sisu_0.62.3-1.dsc
  d7a5222e99c53c7bd561b1e322b8a490 145532 sisu_0.62.3-1.diff.gz

  * html <hr> follows text, before footnotes (refine later)

  * rsync remote images partial fix

  * minor bug fix, related to error message passing, in texpdf and url

  * sisu_manual version info

  * vim ftplugin, status line info on cursor position modified

  * debian/control Dm-Upload-Allowed: yes

  sisu_0.62.3-2 (2007-11-29:48/4)
  89b5b3198dd33084c407e8b641042e4c 606 sisu_0.62.3-2.dsc
  3009d58c6c8231f11671a224ba615413 145972 sisu_0.62.3-2.diff.gz

  * debian/changelog (take more care with git reset)

  sisu_0.62.3-3 (2007-11-30:48/5)
  6eb4289cf9e1ca7ade96ccf22cc9188e 629 sisu_0.62.3-3.dsc
  b71825bd5746149780cef709659fb7a3 146249 sisu_0.62.3-3.diff.gz

  * debian/control XS-Dm-Upload-Allowed: yes
    [dpkg does not yet recognize Dm-Upload-Allowed field unless prefixed by
    XS-]

%% sisu_0.62.2.orig.tar.gz (2007-11-03:44/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.62.2.orig.tar.gz
  0d7cd5f953ac457dc96a7edd5892ee72 1480947 sisu_0.62.2.orig.tar.gz
  5246cbaf7021c7fb4bb876e5c1f64578 606 sisu_0.62.2-1.dsc
  fea5b46c410ab11228f25a5c1618c04f 145557 sisu_0.62.2-1.diff.gz

  * db rearranging basic things todo (create, drop, update)

  * generate from remote markup source, image path fix, e.g.
    sisu -hv http://www.jus.uio.no/sisu/src/free_culture.lawrence_lessig.sst

  * vim
    * ftplugin, status line info update
    * colors slate, name fix [requested thanks]

  * debian/control Homepage: header
    (for the time being lintian override necessary)

%% sisu_0.62.1.orig.tar.gz (2007-10-22:43/1)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.62.1.orig.tar.gz
  5a9226473b409a8a9345781deeca12b8 1480117 sisu_0.62.1.orig.tar.gz
  59e50685bb42eedfcad1540227aa1c9c 606 sisu_0.62.1-1.dsc
  dd147d5f2d978a7e2195ba3ccbe8c827 145468 sisu_0.62.1-1.diff.gz

  * db common and cgi, regex to match new composite file filename (.ssm.sst)

%% sisu_0.62.0.orig.tar.gz (2007-10-20:42/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.62.0.orig.tar.gz
  5b46f6959c1190cdf92eee2b53b05b21 1479805 sisu_0.62.0.orig.tar.gz
  66256160d7bcb4611ede4a1e67d0da2c 606 sisu_0.62.0-1.dsc
  e0ec09c1e7608316dd2daa2dd1f5149e 145435 sisu_0.62.0-1.diff.gz

  [NOTE/WARNING: some directories moved, for existing sites will need manual
  adjustment of output locations, (moving of a couple of image directories, and
  if sharing text source the creation of shared source directories src and
    pod), see notes  below (on directory shunting)]

  * directory shunting ... [some resulting re-setting/configuration up
    necessary]

    * markup source and source pod directory (src and pod), all shared markup
      source placed in common directories src for text source, and pod for
      binary (instead of being in output files generated sub-directory) [NOTE:
      New src and new pod directory for shared markup source output required at
      [output path]/src and [output path]/pod ] [if nothing else makes repo of
      online submissions easier]

    * images, output images used by html moved, now in image directory instead
      of image_local; system images moved from image to image_sys (to make sure
      they are always available, i.e. not written over (by subsequent images
      given same name)) [NOTE: Image directories moved and may need to be
      tended to manually as existing directories are not overwritten, [output
      path]/_sisu/image_local is moved to [output path]/_sisu/image (and old
      _sisu/image is now _sisu/image_sys) ]

  * pwd directory stub name exception, regexs in sysenv and elsewhere, when
    determining the pwd stub, take stub from parent of a directory named src
    (todo with directory shunting, and placing of output source markup files
    where shared in a directory named src)

  * remote, (put, get) placed in single file (consider separating later)

  * conf, remote, work on rsync building of basic remote site structure

  * embedded content, included binaries such as images, audio, video, copy
    content associated with document to desired output locations, [decide how
    audio, video/multimedia are to be handled, initially just links to content]

  * image conditions and regex for matching and extracting list of images used
    by a document visited

  * copy images associated with document along with document, does not take
    care of skins though, for all images still need to use -CC

  * sysenv remote placement, and config, able to define multiple hosts for
    rsync or scp placement of output, for this sisurc.yml remote info given
    provided as array with '-' separator [old form of notation is also
    honoured]

  * special character exceptions, exception, fix (:code underscore angle bracket
    issue)

  * pruning

  * conditionals rearranged, (scope for breakage)

  * fictionbook, (-f) first pass at output, look into further and develop or
    drop? fictionbook is interesting, links:
      http://www.fictionbook.org/index.php/Eng:FictionBook
      http://www.fictionbook.org/index.php/Eng:FictionBook_description
      http://en.wikipedia.org/wiki/FictionBook

  * debian/control added depends on rsync, used extensively (now also
    internally)

  NOTE: fixed today in Debian Sid, bug with String.strip in ruby 1.9.0
    (2007-09-10 patchlevel 0) [i486-linux] ? [behaviour noted in
    2007-09-18:38/2, existed till 2007-10-18:42/5]:
    ' apples, oranges'.strip #==> "apples," # expected "apples, oranges"
    ' apples, oranges '.strip #does as expected

    ruby 1.9, for present time retain restriction on running and testing sisu
    with ruby 1.9, there are still issues with 1.9 (at the C stack level, and
    probably some in sisu compatibility/updating as well)

%% sisu_0.61.0.orig.tar.gz (2007-10-12:41/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.61.0.orig.tar.gz
  3a2329726d49945247b1f4340482c895 1474630 sisu_0.61.0.orig.tar.gz
  c02eb65a86eac49e5735253a05b86c57 606 sisu_0.61.0-1.dsc
  f68431c83e37939fd4cfa7fa085ed31a 144888 sisu_0.61.0-1.diff.gz

  * dal, markup shortcut for available outputs, present as grouped text object,
    (as opposed to each available output being a separate object) this makes
    more sense for search results - where matched returns all versions of a
    document, (rather than just e.g. the document title) [affects document
    objects and numbering where used, hence version number bump]

  * html, pdf, switch text object numbering off, may be set in: (a) document
    header, @markup: no_ocn; (b) skin (for documents sharing that skin) "def
    ocn_display_off" and set to true;  or (c) as a processing flag "sisu -hpv
    --no-ocn [filename]". NOTE, now in html objects are still named, (i.e. will
    still work with searches though the relevance of the numbers returned is
    obscured)

  * shared markup source, composite documents, look to processing directory for
    both text (share source) and binary (sisupod (make))
    [fixes 0.60 shared markup source bug, introduced by falling out of step
    with processing changes introduced in 0.60]

  * processing flag shortcuts,
    * sisurc.yml reduced -1 outputs [to -hwpoyv] (minimum output used in
      dynamic building of some documents)
    * sysenv (default) replaced (obsoleted) -A with -a

  * sisu manual, manpage, download info, change links to source to archive,
    rather than transient repo

  * special character exceptions, some fixes

%% sisu_0.60.1.orig.tar.gz (2007-10-07:40/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.60.1.orig.tar.gz
  264736a1f2ccf4b87fa784fa46cf19b1 1474279 sisu_0.60.1.orig.tar.gz
  a0f4ff4d2b7d9ff6e0929b9dd1580f84 606 sisu_0.60.1-1.dsc
  8920341e8e13e65ec50134ee51fbcc6d 144767 sisu_0.60.1-1.diff.gz

  * param, multi-line parse, fixing @link: header

  * dal, fix to shortcut for listing available generated output (without source)

  * html, where no ocn selected, keep ocn id, just remove visible reference to
    ocn, as search result links will continue to function

  * xml, make sure &#160; is used instead of &nbsp;

  * sisu_manual, link to markup and book examples updated/corrected

%% sisu_0.60.0.orig.tar.gz (2007-10-03:40/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.60.0.orig.tar.gz
  1d8d5b58c96bf403961fd4f5b78a5e7d 1474187 sisu_0.60.0.orig.tar.gz
  615658601df61d81c7e6fc6c5e3660f2 606 sisu_0.60.0-1.dsc
  b71f3678d87952081bd04e4a00dd3e28 144715 sisu_0.60.0-1.diff.gz

  * generated documentation moved out of source tarball entirely, in sisu-0.59
    series sisu documentation as generated by sisu was introduced, (the debian
    package made a separate sub-package of this), however: this made the
    tarball much larger than it was previously (in the order of 5 times the
    size, over 10Mb instead of under 2), and; this has very unattractive
    implications for source control management / git, as much of the output is
    in binary file format which as they include information on when they were
    built and which version of sisu they were built with, have different hash
    values from one generation to the next, which means large diffs and
    repeated storing of binary files which may contain essentially the same
    data, and rapid growth in size of the git repository. Solution sisu-0.60:
    * keep the sisu source tarball to as little binary content as is necessary
      by separating out the documents produced (this keeps diffs to essentials,
      and both the tarball and repository smaller in size)
    * keep a separate tarball for documentation as generated sisu-doc; offer
      that as a package on its own, (request that debian consider it for
      inclusion as such).

  * sysenv, sisurc.yml allow use of relative output paths, expand to absolute

  * parameter reading on first run of file, (initialization of parameters)

  * processing directory /tmp/_sisu_processing permissions set to 777 as
    processing for individual users occurs within sub-directory named after
    user

  * composite files (.ssm) building moved to processing directory, to overcome
    problem of non-writable sisu-source document directories, perhaps also
    cleaner (management of files)

  * param, behavior for reading headers changed to take in multi-lines, affects
    regex matching, watch

  * vim syntax highlighting for sisu markup, change to take account of
    possibility of multi-line headers

  * html segmented, bugfix: footnotes for headings levels :A,:B and :C
    correctly placed in first segment when batch-processing files/output

  * latex/pdf minor cleaning,
    * caret '^' is latex special character, additional match for escaping
    * clean major headings of markup heading tag with tilde and name
      e.g. '1~meta'

  * help, (hub), minor reorganisation and a change in info returned, most
    significantly the response for typing 'sisu' without options

  * sysenv, syslink issue, additional check made

  * sisu markup header, @man: accepting manpage parameters for: man_section,
    man_name and man_synopsis

  * man-pages, refinements to generation

  * param / metadata, hash sums now returns has sum and file-name only even for
    sisu-skin

  * NOTE you may be better off doing any diffs between 0.60 and 0.58 branch
    than against 0.59 which includes a lot of generated within the package
    documentation, 0.60 adds source only. [Am tempted to remove 0.59 completely
    from git history as it increases the size of the scm repository by so
    much...]

  * debian, 0.60 sorts issues with 0.59 branch

-
  sisu_0.60.0-2 (2007-10-04:40/4)
  0f14db0dcbffbfcf0d9de2d5d3d13035 606 sisu_0.60.0-2.dsc
  b08a95ce4f2c8c15495e0d3dba0523f8 146307 sisu_0.60.0-2.diff.gz

  * debian/control
    * remove reference to sisu-doc, (sub-package created in 0.59 and removed
      again in 0.60)
    * sisu-pdf sub-package (now) suggests alternative pdf viewers

%% sisu_0.59.1.orig.tar.gz (2007-09-25:39/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.59.1.orig.tar.gz
  cf512ec871aeb7cdabc0b3b35b7e6d05 10952059 sisu_0.59.1.orig.tar.gz
  a260c1dbec59c78cd0e330b5cd790f6a 617 sisu_0.59.1-1.dsc
  55837afd842d274afc2180fca519d260 141832 sisu_0.59.1-1.diff.gz

  * plaintext, more space between endnotes where chosen (default remains
    footnotes)

  * manpage special character handling improvement

  * manpage added for sisu-doc package

  * documentation headers cleanup

  * html table of contents
    * toc, css, distinguish "Document Information (metadata)" link from other
      links, made smaller
    * cosmetic fix for rights and prefix appearing with toc

%% sisu_0.59.0.orig.tar.gz (2007-09-23:38/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.59.0.orig.tar.gz
  1f2497d2ac39ed9af24c0747b536e50e 10705420 sisu_0.59.0.orig.tar.gz
  e11a8663fd274521ab63e6afe6a4d9f4 617 sisu_0.59.0-1.dsc
  255fefe11ea4747f8347268880ffdd1f 141833 sisu_0.59.0-1.diff.gz

  * start documenting sisu using sisu
    * sisu markup source files in
      data/doc/sisu/sisu_markup_samples/sisu_manual/
      /usr/share/doc/sisu/sisu_markup_samples/sisu_manual/
    * default output [sisu -3] in
      data/doc/manuals_generated/sisu_manual/
      /usr/share/doc/manuals_generated/sisu_manual/
      (adds substantially to the size of sisu package!)

  * help related edits

  * manpage, work on ability to generate manpages, improved

  * param, exclude footnote mark count when occurs within code block

  * plaintext changes made

  * shared_txt, line wrap visited

  * file:// link option introduced (in addition to existing https?:// and
    ftp://) a bit arbitrarily, diff here, [double check changes in sysenv and
    hub]

  * minor adjustments
    * html url match refinement
    * css added tiny_center

  * plaintext
    * endnotes fix
    * footnote adjustment to make more easily distinguishable from substantive
      text
    * flag -a only [flags -A -e -E dropped]
      controlled by modifiers --unix/msdos --footnote/endnote

  * defaults, homepage
    * renamed homepage (instead of index) implications for modifying skins,
      which need likewise to have any homepage entry renamed
    * added link to sisu_manual in homepage

  * css the css for the default homepage is renamed homepage.css (instead of
    index.css) [consider removing this and relying on html.css]

  * ruby version < ruby1.9
    * place stop on installation and working with for now [ruby String.strip
      broken in ruby 1.9.0 (2007-09-10 patchlevel 0) [i486-linux],
      2007-09-18:38/2]
    * debian/control restrict use to ruby > 1.8.4 and ruby < 1.9

  * debian
    * debian/control restrict use to ruby > 1.8.4 and ruby < 1.9
    * sisu-doc new sub-package for sisu documentation
      debian/control and sisu-doc.install

%% sisu_0.58.3.orig.tar.gz (2007-09-06:36/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.58.3.orig.tar.gz
  e9a20a06ffee8d633b8ce525017d89ba 1278987 sisu_0.58.3.orig.tar.gz
  b8330f8b97a15e6eaecba8f2616acb10 606 sisu_0.58.3-1.dsc
  90ed14ac9e04203bcce80e4de86a3b55 142642 sisu_0.58.3-1.diff.gz

  * param, identify markup type, fix, make sure distinguishable from standalone
    markup identify module

  * html & texpdf, cosmetic, 'copy @' reduced to smaller font size, consider
    removing

%% sisu_0.58.2.orig.tar.gz (2007-09-05:36/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.58.2.orig.tar.gz
  43826c427add52938ee89b38c5ae266f 1278561 sisu_0.58.2.orig.tar.gz
  f2d89f587acb970c624ab59d7bb38edb 606 sisu_0.58.2-1.dsc
  e231f416be57da710aada71e695c8144 142625 sisu_0.58.2-1.diff.gz

  * code-block exceptions for composite documents

%% sisu_0.58.1.orig.tar.gz (2007-09-04:36/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.58.1.orig.tar.gz
  2b46ddfcfd9985c13535733eb822cdbd 1277392 sisu_0.58.1.orig.tar.gz
  bba9a0473873b693be702c6d41e991ec 606 sisu_0.58.1-1.dsc
  382cea2504c7e40574916e8252554891 142591 sisu_0.58.1-1.diff.gz

  * code-block exceptions
    * dal, code block, url matching, should no longer be tagged with decoration
      escape mark
    * texpdf, code-blocks latex markup change to scriptsize from tiny (consider
      going back to footnotesize); other grouped-text including poem, indents
      fixed and set to footnotesize
    * angle bracket exceptions

%% sisu_0.58.0.orig.tar.gz (2007-09-03:36/1)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.58.0.orig.tar.gz
  dffd47831df42ca96e77940936d04c8b 1276544 sisu_0.58.0.orig.tar.gz
  859e21f81c9ac012db126ecf1b72529f 606 sisu_0.58.0-1.dsc
  66480197b3b04d255a104a94d32628dc 142555 sisu_0.58.0-1.diff.gz

* code block, exclude from most markup, should make it possible (eventually) to
  describe sisu markup using sisu, which was not an initial goal, but useful
  nonetheless.
  * pdf, some issues with some line-wraps, changed code-block fontsize to tiny,
    (consider footnotesize also should prefer use of ttfamily (texttt))

* html css, odf, xml, use black bullets instead of red, and introduce
  black_bullet images in sizes 8px to 12px default used 9px

* man page update on sources of markup examples

* debian/control moved trang and kdissert to suggests

%% sisu_0.57.0.orig.tar.gz (2007-08-22:34/3)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.57.0.orig.tar.gz
  1f730ef349606c02cd90c8cd7cb6b790 1274006 sisu_0.57.0.orig.tar.gz
  a15133ca987525273886116797ba271b 606 sisu_0.57.0-1.dsc
  7cc5aaebbf3b9954b0d3dd138e825f87 142479 sisu_0.57.0-1.diff.gz

  * markup addition, headings, shortcut for top level title (and author)
    :A~ @title @author (also available for level 2 (or 3) author) [version bump]

  * param markup identifier (and identifier) updated to identify markup
    addition in 0.57, :A~ @title

  * manifest
    * use relative link by default
    * in absence of configured url_root (http://) use info on location on local
      filesystem (file://)

  * html search form in navigation band/banner and promo, adjustments,
    hyperestraier option offered in promo, requires change in sisurc.yml

  * sisurc.yml requires changes to make use search form options, [version
    bump] sample updated and commented out

  * html outputs, navigation band/banner adjustment, in concordance and manifest

  * html scroll, fix to document information link in table of contents

%% sisu_0.56.3.orig.tar.gz (2007-08-19:33/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.56.3.orig.tar.gz
  6e799836a6e6aa226f34134b44815ae7 1272888 sisu_0.56.3.orig.tar.gz
  2bfcea560911c8395d9b65bf11760712 606 sisu_0.56.3-1.dsc
  42f08cf062dd8bd2d0deae459620671c 142408 sisu_0.56.3-1.diff.gz

  * manifest make file-type descriptions simpler to understand

  * copyright restricted to rights tag, unless none, in which case rights tag
    gets creator information
  * copyright mark picked up in rights if 'Copyright (C)' is used

  * tex/pdf url matching semi-colon following url

  * endnote heading, apply tag to exclude numbering and segment heading where
    there is no segment

  * html scroll endnote text minor fix

  * initialize site structure, make copy site images default (sisu -CC)

%% sisu_0.56.2.orig.tar.gz (2007-07-31:31/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.56.2.orig.tar.gz
  f9f1091e846cdaf9df4c53eb537dcf85 1272237 sisu_0.56.2.orig.tar.gz
  5c440179db51bbf2d061233fdc16c5e6 606 sisu_0.56.2-1.dsc
  8cfc0d4d0c2cdeb72ace91cf80a5430e 142387 sisu_0.56.2-1.diff.gz

  * odf, a few regex matches, a new fix (url), and an old one (grouped text
    with change to fontface)

%% sisu_0.56.1.orig.tar.gz (2007-07-31:31/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.56.1.orig.tar.gz
  6740ed538a5558cead0228315b811d9f 1272026 sisu_0.56.1.orig.tar.gz
  1270f327c735cca3ea077950e5229f25 606 sisu_0.56.1-1.dsc
  87e12b0b18192346e4a98c3127a73968 142382 sisu_0.56.1-1.diff.gz

  * dal, endnote / url matching refinement

%% sisu_0.56.0.orig.tar.gz (2007-07-31:31/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.56.0.orig.tar.gz
  66cf639776d75a30377f9f94d5c1c492 1271730 sisu_0.56.0.orig.tar.gz
  5018746e3bed9bc100a38b80a988ac65 606 sisu_0.56.0-1.dsc
  a92042ff94487f516315a722348db633 142363 sisu_0.56.0-1.diff.gz

  * same as 0.55.7 - use version number to flag (small) change to db structure
    rebuilt with more significant version number to flag the likely need to
    rebuild search database if used, [results from need to enlarge db cell
    related to dc identifier, (which is automatically constructed and used to
    populate the database, (and is too small) as of 0.55.6)]

%% sisu_0.55.7.orig.tar.gz (2007-07-31:31/2)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.7.orig.tar.gz
  aba322573410f19ae2ca2d85021e9585 1271464 sisu_0.55.7.orig.tar.gz
  046ba140d3f443974c9b88cc5ce3b9f5 606 sisu_0.55.7-1.dsc
  4e7774a80b1938b19218dd0d3657559f 142284 sisu_0.55.7-1.diff.gz

  * url matching refinement
    * add semi-colon as possible url terminator
    * dal match https

  * db increase identifier size, (varchar 256 from 100) url automatically
    constructed in param, it is necessary to rebuild database (re-create and
    re-populate) for this to take effect [sisu -Dv --recreate]

  * added processed count info for output urls and remote placement (to
    existing counts)

  * help info updated -0 is no longer used to generate output without numbering
    (ocn), re-introduce possibility later

  * some unintended tabs replaced with spaces

%% sisu_0.55.6.orig.tar.gz (2007-07-28:30/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.6.orig.tar.gz
  69368f8eb4da28d07f3a1ee1ea5b89f3 1271022 sisu_0.55.6.orig.tar.gz
  1d5fa22bdad75c1c27c2171d2a054d66 606 sisu_0.55.6-1.dsc
  6fc6d8abf18aef047bb15e0079ae0f1c 142211 sisu_0.55.6-1.diff.gz

  * matching multiple and consecutive urls within a paragraph, refinements
    * db html (html_lite), multiple urls, bug fix
    * consecutive url matching: html, html_lite, xml, odf, texpdf

  * open archive initiative for metadata harvesting, initial implementation,
    Dublin Core, XML output available (-O), decide use later (filenames, output
    dir etc.)

  * rinstall as both a rant and rake installer for sisu
    * Rakefile softlink to rinstall
    * Rantfile softlink to rinstall

  * debian vim
    * moved installation of syntax and ftplugin back to vim/addons
    * added recommends vim-addon-manager
    (thanks zack)

%% sisu_0.55.5.orig.tar.gz (2007-07-22:29/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.5.orig.tar.gz
  cb4e98ced1d11f4ac8c84d80b773fe92 1268030 sisu_0.55.5.orig.tar.gz
  38da598ad949b3efc623b676f9826fe1 606 sisu_0.55.5-1.dsc
  c5a9dacc9f8993553e0a78f927af2147 142162 sisu_0.55.5-1.diff.gz

  * initialize output directory, fix (Closes: #434168)
    [(a trivial but serious) bug introduced with changed use of variable in
    0.55.3, (serious because it prevents the initialization of new output
    directories "sisu -CC")]

  * dal, matching of underscore, so as not to be to greedy and incorrectly
    match url with escape url decoration tag (_url)

  * vim syntax highlighting, match url with escape url decoration tag (_url)

  * output note added on software libre's use and adherence to practical
    open standards

  * debian vim, syntax and ftplugin install moved to /usr/share/vim-scripts
    (syntax file synced with Bram, thanks)

%% sisu_0.55.4.orig.tar.gz (2007-07-20:29/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.4.orig.tar.gz
  1d7bcf423b2e13a457d6565bfec74f20 1267367 sisu_0.55.4.orig.tar.gz
  a75609387bc894181ccf36a42b79517c 606 sisu_0.55.4-1.dsc
  1d7bcf423b2e13a457d6565bfec74f20 1267367 sisu_0.55.4-1.diff.gz

  * db import, minor refactoring

  * cgi fixes
    * search form pre/next
    * scope for matches in individual documents

  [manually re-closed bug #406280, actually closed in February in version
  sisu-0.48.11, back-ported to sisu-0.48.8-7 freeze branch]

%% sisu_0.55.3.orig.tar.gz (2007-07-14:28/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.3.orig.tar.gz
  d540a4f656393449c5f4ad5b7a5b5245 1267096 sisu_0.55.3.orig.tar.gz
  a0c2e3c6ab5e59c9e675ae48ed2582cb 606 sisu_0.55.3-1.dsc
  9e0ae70f83fa29c10aaf8a9626aaed8e 142063 sisu_0.55.3-1.diff.gz

  * url
    * matching improved
      (plaintext, html, xml, odf, tex/pdf, db)
    * possibility to escape decoration <http://url>
      with \http://url or _http://url becomes http://url

  * texpdf
    * TeX line breaking tolerance altered, to deal with urls
      better
    * indentation levels reset

  * cgi, generated sample search form, improved
    * presentation adjustments, placement of info, larger text entry form
    * additional result information provided
      * canned searches provided to show matched text or indexes in individual
        matched documents
      * links to odf text
      * new results defaults set
    * better highlighting of matches
    * footnotes and footnote references have links to the main text in which
      they are found
    * no next page if there are none

  * manifest and concordance, output presentation title and author information
    more prominent

  * editor syntax highlighting (for SiSU), visited/improved
    * diakonos
    * gedit
    * kate, kwrite
  * renamed directory "syntax" "editor-syntax-etc"
    * vim directory moved into editor-syntax-etc

  * debian install, correctly map moved vim directory

%% sisu_0.55.2.orig.tar.gz (2007-07-07:27/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.2.orig.tar.gz
  510b2648ada09f60241f0a6f7cb8d180 1265392 sisu_0.55.2.orig.tar.gz
  bfa9b434842a47eb1596da9a72c28924 606 sisu_0.55.2-1.dsc
  6cae596e51f7f94a320c211c7088f259 142013 sisu_0.55.2-1.diff.gz

  * cgi generated sample search form
    * order results on files of the same title, in multiple files (with
      different filenames)
    * postgresql, character case sensitivity, control, on/off
    * tail decoration, gplv3 & sisu info

  * texinfo/info (pinfo) module starts to do something vaguely useful again
    [not a much used module, testing required]

  * print XML rendition of document structure to screen -T

  * help on environment visited, sisu -V

  * sisurc.yml default, color set to true
    [apologies if this causes anyone any inconvenience, it is configurable in
    sisurc.yml]

  * help and man pages, some work man(8) related

  * docbook entries removed for the present time

  * sisu-install (install ruby rant script renamed) and permissions set to
    executable

%% sisu_0.55.1.orig.tar.gz (2007-07-02:27/1)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.1.orig.tar.gz
  cabdec70ded52ea7a0f3da45987169de 1265187 sisu_0.55.1.orig.tar.gz
  a4dbcb3257385fedb30d5e8d2ac7a9e5 606 sisu_0.55.1-1.dsc
  e34248f7ab594dae50faafe189ef26a5 144647 sisu_0.55.1-1.diff.gz

  * dal, auto-numbering (minor) fix for segments/headings

  * odf break fix

  * cosmetic fixes,
    * screen output of project name
    * screen output when generating tex pdf
    * debian documents skins
    * html indent levels, regular and bulleted text

%% sisu_0.55.0.orig.tar.gz (2007-07-01:26/7)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.55.0.orig.tar.gz
  51b9b2a70d12409a809ae66d960d43a9 1264881 sisu_0.55.0.orig.tar.gz
  11ac0b88d73a800d13ab70681c580ed1 606 sisu_0.55.0-1.dsc
  f7dab91917ad0ce4c87e3f838cbe8d15 150729 sisu_0.55.0-1.diff.gz

  * GPL 3 related changes
    * LICENSE update/change: GPL v3 or later.
    * document markup samples added GPL 3
    * images added GPL 3

  * default skin, info re-arranged/redesign, (some content dropped else much
    the same apart from reference to GPL v3)

  * html, do not make link to concordance file in html output even if it exists
    if document has over 300,000 words (as concordance would be a large file),
    if generated will be listed in manifest (maximum number of words to
    prevent its generation can be set in sisurc.yml, (default is currently
    set to 260,000))

  * odf, url match bug fix

  * dal, text block fix, space follows url before <br>

  * minor
    * cosmetic changes to html and digest code
    * man page and html (note concordance word limit)

  * debian make lib available to ruby1.9

%% sisu_0.54.1.orig.tar.gz (2007-06-15:24/5)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.54.1.orig.tar.gz
  716601a80e8942d8cdc953e5cfa33237 1258642 sisu_0.54.1.orig.tar.gz
  a095bf0e84858e2e31a6fe474d1ab2b3 606 sisu_0.54.1-1.dsc
  8696690cc0dc9776b374754fa12777b8 150532 sisu_0.54.1-1.diff.gz

  * cgi script (for search matching), fix (imperfect), match highlighting is
    now ignored in paragraphs with urls

%% sisu_0.54.0.orig.tar.gz (2007-06-14:24/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.54.0.orig.tar.gz
  e1a98feb15d72e669d3726dbc9cc81da 1258857 sisu_0.54.0.orig.tar.gz
  0be75fc5cdf10fdf7d8073490bec4fe6 606 sisu_0.54.0-1.dsc
  d1e9622e5835641c00eb65d248535adb 149716 sisu_0.54.0-1.diff.gz

  * indent levels (1-9) added [previously two levels] done for plaintext, html,
    xml, odf, latex/pdf [minor syntax addition (_3 - _9), version number
    change]

  * bullet indent levels (1-9) added [previously two levels] done for
    plaintext, html, odf, latex/pdf [minor syntax addition (_3* - _9*), version
    number change]

  * url decoration, open close, default angle brackets <http://url>

  * fixes, some line-breaking for plaintext (and text groups for) odf and xml

  * css, modifications for extended indents in html and xml [sisu -CC (for
    update)]

  * vim syntax highlighter updated to take account of extended indent range

  * rant installer minor changes for future ruby

  * conversion script in data/sisu/conf/convert/sisu_convert

%% sisu_0.53.0.orig.tar.gz (2007-06-02:22/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.53.0.orig.tar.gz
  b8f28c2cade1f95956f5cdaef7af7fbd 1254059 sisu_0.53.0.orig.tar.gz
  2a741d1fbe95f25a06b6d10ee709514a 606 sisu_0.53.0-1.dsc
  65b8d4638cb0df8a8d8bcd33e20482b4 182847 sisu_0.53.0-1.diff.gz

  * housekeeping, internal program adjustments (i.e. unrelated to output)
    * lib, moved lib base to v0 branch (major version preceded by a v), [from
      major.minor version (this version would otherwise be 0.53)], primarily to
      simplify reading of scm history (with fewer lib directory changes)
    * issues with strings and arrays (flatten and compact some arrays)
    * changed require from Constant + '/path' back to "#{Constant}/path"
    * various little things
    * cleanup, including cleaning of end of line (hanging white) spaces

  * Note: dcc, several hash values change.

  * moved to git for scm including git-buildpackage
   (from a combination of mercurial and dars + darcs-buildpackage, [don't ask,
   it served me quite well though])

%% sisu_0.52.7.orig.tar.gz (2007-05-17:20/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.7.orig.tar.gz
  a9513dea06487a4e588f160f3d2491e8 1283842 sisu_0.52.7.orig.tar.gz
  5e0cfa4abf66318161819331d6b0f5af 606 sisu_0.52.7-1.dsc
  0e5c9ddcf696aae9026d8b881a3dc7d7 148706 sisu_0.52.7-1.diff.gz

  * texpdf, related to special characters

%% sisu_0.52.6.orig.tar.gz (2007-05-14:20/1)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.6.orig.tar.gz
  3255ec945b0583a01af963dde3f76f1d 1283482 sisu_0.52.6.orig.tar.gz
  f466b68b3093e2c95fed13e4ebf0d495 606 sisu_0.52.6-1.dsc
  aafb3b715fe2566f88c2def746d73099 148689 sisu_0.52.6-1.diff.gz

  * texpdf, a url representation fix, escape of special characters

%% sisu_0.52.5.orig.tar.gz (2007-05-10:19/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.5.orig.tar.gz
  e01dd9390785e8b087140a7166cc6a5e 1283393 sisu_0.52.5.orig.tar.gz
  1bc960b5ce02d58153579d32bfbb2bd0 606 sisu_0.52.5-1.dsc
  d6ab36fca512d494a4ce6fe0feec217a 148667 sisu_0.52.5-1.diff.gz

  * postgresql TCP/IP port setting changed, looks first at sisurc.yml else the
    environment variable PGPORT, else fallback is to set
    default to 5432

  * debian/control postgresql dependencies updated, version agnostic (Closes:
    #419294) [Martin Pitt thanks for report]
    * on debian postgresql-8.2 now replaces postgresql-8.1, migrate database.
    * you may need to set the TCP/IP port, and this can be done either by
      setting PGPORT (e.g. "export PGPORT=5432") or setting the port in
      sisurc.yml (check what the correct value should be [on my system the
      default was set to 5433 for 8.2, "ls -la /var/run/postgresql/" may help])

%% sisu_0.52.4.orig.tar.gz (2007-05-05:18/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.4.orig.tar.gz
  8712a6162633f27dce36f57bc60599a5 1282392 sisu_0.52.4.orig.tar.gz
  fd5618da795883fbeb1d53076783f80a 606 sisu_0.52.4-1.dsc
  7f6b377e5f0bdc0ea805a7af5f21f2bb 148482 sisu_0.52.4-1.diff.gz

  * param, markup version detection added

  * some code cleaning and anchoring of some regexs to start and end of string

  * [checked against ruby 1.9.0 (2006-06-08) [i486-linux] in Debian Sid]

  * debian debhelper (>= 5)

  * [very rough wiki text output/assist (-g), may remove, not documented]

%% sisu_0.52.3.orig.tar.gz (2007-04-26:17/4)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.3.orig.tar.gz
  d71332c68a8ed6b01f358f1e5ae45875 1279017 sisu_0.52.3.orig.tar.gz
  4dd90c7e7790ea75be3017577759a128 606 sisu_0.52.3-1.dsc
  a82c2c62106475640b25fefb38e9a6a4 148442 sisu_0.52.3-1.diff.gz

  * texpdf, a fix, utf-8 markup/input file now required and assumed
    [file magic identification of sisu markup files changes, utf-8 info is not
    currently provided, (resulting in false assumption on encoding)]

  * debian/control, postgresql dependency reverted till ruby db driver
    dependencies are updated, [reopened: #419294] [not caught in 0.52.2 because
    both versions of postgresql were installed, 0.52.2 was not uploaded to the
    debian repository]

%% sisu_0.52.2.orig.tar.gz  (2007-04-21:16/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.2.orig.tar.gz
  96a2d9628e14e997bd93edd817b04996 1278391 sisu_0.52.2.orig.tar.gz
  b3ed14988e1deed59ba13e0cfaae0b35 606 sisu_0.52.2-1.dsc
  fb9ec4798fd769320873dbbc7ff145f8 148322 sisu_0.52.2-1.diff.gz

  * html, links to other output make use of the default settings as well as
    availability of software (e.g. to generate pdf from LaTeX)

  * debian/control, postgresql dependency update, [intended to close: #419294]
    [thank you for report Martin Pitt]

%% sisu_0.52.1.orig.tar.gz  (2007-04-14:15/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.1.orig.tar.gz
  24faea8c8565af2a24fb02c4499cb287 1280993 sisu_0.52.1.orig.tar.gz
  46a488ef619227fd02426a7311e86927 606 sisu_0.52.1-1.dsc
  b0286f72ebcbb9a8443ae99bb905407a 141510 sisu_0.52.1-1.diff.gz

  * initial revisit of XML output (and input) models, lots as yet to be done

  * cleanup of some unused code, re-introduce if needed

%% sisu_0.52.0.orig.tar.gz  (2007-04-07:14/6)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.52.0.orig.tar.gz
  e8767ea85c9e4f0941a8019f184031f3 1273211 sisu_0.52.0.orig.tar.gz
  991acda3465d5a8a043da7f327d8d020 606 sisu_0.52.0-1.dsc
  731cb9af8e47d4ebcd4a93c98286ac15 1391220 sisu_0.52.0-1.diff.gz

  * 0.52 introduces: file-type identifier declaration, the _{first line of SiSU
    a markup file}_ should be the sisu file-type identifier, indicated by the
    word SiSU optionally (and preferably) followed by the version number of the
    markup used:
    e.g. current markup files would start with the line:
      'SiSU 0.52'
    or
      'sisu-0.52'
    [most markup is unchanged since sisu-0.38 though there have been some
    additions since see e.g. sisu-0.42... (sisu-0.16 markup remains valid
    though depreciated) to keep backward compatibility use:]
    commented out equivalents:
      '% SiSU 0.38'
    or
      '% sisu-0.38'
    variants include:
      'SiSU text 0.52'   [filename].sst (equivalent to the default 'SiSU 0.52')
      'SiSU insert 0.52' [filename].ssi
      'SiSU master 0.52' [filename].ssm

    sisupod (zip) files (currently) have inserted into the binary:
      'SiSU sisupod 0.52.0'
    and sisupod (zip) of directory content:
      'SiSU sisupod 0.52.0 directory contents sisupod-sisu-2007-04-03.ssp'

  * command line options:
    * default action for 'sisu [filename]' introduced: sisu -0 [filename]
      [flag -0 introduced and can be configured in config as 'flag' 'default']
    * added long forms for -q (--verbose-0|--quiet) -v (--verbose-1|--verbose)
      -V (--verbose-2|--Verbose) -M (--maintenance) and -VM (--verbose-3)

  * sst_identify_markup minor adjustments

  * sst_do_inline_footnotes minor adjustments

  * xml input representation variants (sax, dom, node), minor adjustments in
    conversion to and from ordinary sisu markup (.sst)

  * shared_xml fix (occasionally affecting html) make sure content of
    <meta name= tag do not contain double quote character transform to
    single quote

  * ODF and XML special character and XML escape fixes

  * gpl3 draft3 included as document markup sample
    (requires the ODF and XML escape fixes made in this release version)

%% sisu_0.51.0.orig.tar.gz  (2007w13/6 | 2007-03-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.51.0.orig.tar.gz
  a5e68fd38f2e35d9d18e0fdbcb5e13cb 1260579 sisu_0.51.0.orig.tar.gz
  2f7a0cd2b8866c1b92cdd09ff307ed5e 606 sisu_0.51.0-1.dsc
  bd3565eabc814d2c457302bb0d88a0c2 141851 sisu_0.51.0-1.diff.gz

  * defaults and skins, refactoring (code simplification)
    * consequential pervasive small changes throughout code
    * existing skins need to be rewritten (necessary modifications relatively
      straightforward) [this is the reason for the version number bump up]

    [NB. (i) document syntax remains unchanged;
    (ii) refactoring changes pass initial tests but require further testing]

  * xml representations of sisu markup, small a touch

%% sisu_0.50.4.orig.tar.gz  (2007w12/6 | 2007-03-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.50.4.orig.tar.gz
  9582c43e6a8b888865ffa756f5b897c5 1269202 sisu_0.50.4.orig.tar.gz
  606947b8081fc7d7bbfb299c258e2f19 606 sisu_0.50.4-1.dsc
  c194ae084a143b8b7e586bac152f3486 141639 sisu_0.50.4-1.diff.gz

  * (rudimentary generated) sample search form
    * fix: db paths for files;
    * fix: highlighting of matches (not yet consistent)
    * feature: db select range can be set from url (limit and offset)
    * cosmetic: text adjustments

%% sisu_0.50.3.orig.tar.gz  (2007w11/6 | 2007-03-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.50.3.orig.tar.gz
  fd6c335ea792bdec34dafd22112a28cc 1266710 sisu_0.50.3.orig.tar.gz
  ab6e0d4e85f9bbe4ccbf73c13050a76b 606 sisu_0.50.3-1.dsc
  ab3d87396df3cf4c4319d84ce86e30ef 141612 sisu_0.50.3-1.diff.gz

  * sample search form, generated cgi fixes, including selected db path for
    urls, and setting of webserver port

  * concordance, add search widget

  * html navigation band, need more space with search widget, descriptions
    shortened

%% sisu_0.50.2.orig.tar.gz  (2007w11/6 | 2007-03-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.50.2.orig.tar.gz
  a8775153ce7e36b900c93b2d21108592 1266482 sisu_0.50.2.orig.tar.gz
  0fdfc5112033dd0477757193bda1e732 606 sisu_0.50.2-1.dsc
  a7f5598bc317e18694777cca32eeb277 141599 sisu_0.50.2-1.diff.gz

  * cgi sample search form, a bit of work, needs more
    * url logic (testing required)
    * boolean constructs (passed to SQL engine) (requires work)
    * cgi_pgsql system call made to psql to extract list of available databases

  * search forms (embedding), incorporation into navigation bands, and promo
    panes (can be limited to search of document in question only, and provide as
    result matched: object number index or text)
    * configure sisurc.yml with information on action (cgi query url) and sisu
      database name
    * html_promo, search forms may be constructed for sisu databases
      (yaml samples promo.yml and list.yml provide commented out example)

  * promo (html) may be set (a) per document in document header or by document
    skin, by directory in directory skin, or directory sisurc file, or per site
    in per site skin or sisurc file

  * initialisation of directories -CC, set permissions of copied files to 644

  * help, man pages minor updates, default homepage update

    [many small changes, extensive testing required]

  * initial tests with ruby-1.8.6 passed

%% sisu_0.50.1.orig.tar.gz  (2007w10/6 | 2007-03-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.50.1.orig.tar.gz
  51f2236f3612bce6fa2bbcb0cf9545ed 1263537 sisu_0.50.1.orig.tar.gz
  25a1a4adf387c11d66b985dc2cf47623 606 sisu_0.50.1-1.dsc
  ae312bda6b54e9e1b8cfaece0f03e1b4 141521 sisu_0.50.1-1.diff.gz

  * promo/advertise minor extension

  * css default, minor changes

  * postgresql indexes, not built automatically on text fields, rely on tsearch,
    (suggest you build gin indexes)

  * cgi sample search form scripts visited

  * yaml sample files promo.yml and list.yml updated
    (removed from conf (/etc/sisu) copy in document samples)

%% sisu_0.50.0.orig.tar.gz  (2007w10/2 | 2007-03-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.50.0.orig.tar.gz
  76844391967ef202a748fa1be9d16a23 1265163 sisu_0.50.0.orig.tar.gz
  af406857bf7cf1d91ddf0ff1249fe174 606 sisu_0.50.0-1.dsc
  6b0f5e2a44d8f2dc130efb075601834c 141436 sisu_0.50.0-1.diff.gz

  * CHANGELOG renamed from version_manifest.changelog

  * html some play with navigation bands (usability)

  * sisurc.yml used (instead of depreciated sisurc.yaml)

  * version.yml used (removed version.yaml)

  * dal, metaverse renamed da for document abstraction (layer), variables (and
    sisupod structure) renamed accordingly. [dal preferred to da because it is
    easier to find].

  * i18n, (babel renamed i18n)

  * texpdf pdf output make a note about sisu_manifest, alternative output
    formats

  * promo/advertise, html, permits division into a major and a minor pane
    (left) which is available for promotional material, links etc. the content of
    which is currently controlled header @promo: and yaml files promo.yml and
    list/yml usual path = = = _sisu/skin/yml ~/.sisu/skin/yml /etc/sisu/skin/yml
    added sample of promo.yml and list.yml and an edited out header for promo
    inclusion in "Free as in Freedom" and "GPL" document samples (these are
    called by the document (header) but stored externally from the document (in
    yml files (promo.yml and list.yml)), (will be possible to make a directory
    wide inclusion))

  [.gh 50th anniversary commemorative edition - "Freedom and Justice"]

%% sisu_0.49.2.orig.tar.gz  (2007w08/6 | 2007-02-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.49.2.orig.tar.gz
  10795b62c129f99645dd100a2fe52ddc 1263418 sisu_0.49.2.orig.tar.gz
  9983da392f16660e9e580b4d92197239 606 sisu_0.49.2-1.dsc
  0a13214e9ac2aba566c1f7bcd030c1ec 141340 sisu_0.49.2-1.diff.gz

  * sysenv, for processing of remote files, download of remote images,
    correction to variable name

  * odf documents linebreaks removed

  * description, less mention of document management, more on lightweight
    markup, text structuring, publishing and search

%% sisu_0.49.1.orig.tar.gz (2007w06/6 | 2007-02-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.49.1.orig.tar.gz
  4c2f96d5236d389384599899ed524bdb 1261990 sisu_0.49.1.orig.tar.gz
  e9d3028830f44afb1ddd91fa08022bfe 606 sisu_0.49.1-1.dsc
  4dd3d53ca4b881e62654b871c9cf0957 141247 sisu_0.49.1-1.diff.gz

  * xml, minor refactoring

  * segmented html, minor user interface navigation changes (for pre next and
    toc):
    * navigation arrow buttons and available documents information trade
      places, navigation arrows moved right (less cursor movement used in
      navigation, the scroll bar is usually on the right, also more consistent
      presentation (placement as in toc))
    * removed two sets of html segment navigation bands, from very top and
      under title (cleaner presentation without reduction in functionality, (also
      for console clients))

  * remote placement, rsync, simplify mapping used, should be a bit more robust

  * response, user response abstraction, minor

  * metaverse, superscript, subscript regex adjusted, (consider adopting this
    modification more widely)

  * digests, representation of document structure updated to use @, :A-:C, 1-3
    (instead of 0-6)

    [consider object numbering rule change, re: paragraph/line consisting
    solely of * * * or ***, should these be un-numbered?, currently are numbered]

%% sisu_0.49.0.orig.tar.gz (2007w04/5 | 2007-01-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.49.0.orig.tar.gz
  b628ed7a7b50cb6af37b7072c1ebff3a 1262979 sisu_0.49.0.orig.tar.gz
  a4d610ca440369ee6bfec28d386f6490 606 sisu_0.49.0-1.dsc
  56903630d97439f290de51622941dfe1 141237 sisu_0.49.0-1.diff.gz

  * substantially the same as 0.48.8-10 (minor change (sysenv mkdir))
    0.49 opened post freeze and decision to use iso 639-2

  * [use recursive acronym]

    [0.48 branch should have become 0.49 with switch to iso 639-2
    in 0.48.8-8 = = = 0.48.12-1 (as this requires the renaming
    of some markup files e.g. dk becomes da) [builds from now are
    post freeze (Etch), and the development routine should be
    more regular]]

%% sisu_0.48.12.orig.tar.gz (2007w04/3 | 2007-01-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.12.orig.tar.gz
  9b5798e5452624ee051b6a2e1c3cbee5 1262380 sisu_0.48.12.orig.tar.gz
  0984bb76407ffeb2ed320e2fe54dd370 609 sisu_0.48.12-1.dsc
  5781b7838cc7eb0a442e99b65713ef74 141210 sisu_0.48.12-1.diff.gz

  * [NOTE substantially the same as 0.48.8-8 (Etch freeze is at 0.48.8)]

  * [NOTE rebuild of the 0.48.11  of (2007w02/5 | 2007-01-12) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-7, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.12.orig.tar.gz (2007w03/7 | 2007-01-21)
  174368e60459b0a57db63bfb818f2d80 1261172 sisu_0.48.12.orig.tar.gz
  5c941a2810bd816c3c4285171c90e13c 609 sisu_0.48.12-1.dsc
  7705abb94584cbe9b4803933e8ebf765 140977 sisu_0.48.12-1.diff.gz

  * use ISO 639-2 for language codes, file names etc.
    (rename danish samples .~da (instead of dk), [took out Brazilian Portuguese
    and U.S. American English])

  * debian samples, tex pdf page breaking instruction modified/corrected, and
    danish examples renamed ISO 639-2

  * sisupod initialisation, fix, (should not fail when initiated in a new sisu
    work directory, (however do not mix regular sisu markup files and sisupod on
    command line))

  * sysenv, generic question/check added; used as safeguard against accidental
    making sisupod of (whole) directory.

  * xml, xhtml several adjustments (including use of xlink), also related css
    fixes

  * html, toc cosmetic correction

%% sisu_0.48.11.orig.tar.gz (2007w04/3 | 2007-01-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.11.orig.tar.gz
  341b2cebe2efdba4ae776f2752e9ce1b 1259351 sisu_0.48.11.orig.tar.gz
  66f3abd74a14f671af92074e7e6ea0fd 609 sisu_0.48.11-1.dsc
  0d416f48777c99c2b13f2c98a330fd13 141583 sisu_0.48.11-1.diff.gz

  * [NOTE rebuild of the 0.48.11  of (2007w02/5 | 2007-01-12) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-7, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.11.orig.tar.gz (2007w02/5 | 2007-01-12)
  67ac00458d75646750c67ae3c685cee4 1258340 sisu_0.48.11.orig.tar.gz
  79c32c1eca4a3be3f97b90ffa6f6f746 609 sisu_0.48.11-1.dsc
  92153fcc5bd633e45c90c4d8b32115e0 141365 sisu_0.48.11-1.diff.gz

  * sisu-0.48.8-7 equivalent, which includes a fix to the sample cgi search
    form [0.48.8-4 introduced a bug]

%% sisu_0.48.10.orig.tar.gz (2007w04/3 | 2007-01-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.10.orig.tar.gz
  42b50dac775cbad84ebc394ec415986d 1259007 sisu_0.48.10.orig.tar.gz
  d23694f1466e2af8766e61109fa97fcc 609 sisu_0.48.10-1.dsc
  9ea670634d088c996642ad4f2ec95c4d 141560 sisu_0.48.10-1.diff.gz

  * [NOTE rebuild of the 0.48.10  of (2007w02/1 | 2007-01-08) to merge branch
    in version control, chronological break in sequence, this build is
    substantially the same as 0.48.8-6, subsequent versions of 48.8 are more
    recent (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.10.orig.tar.gz (2007w02/1 | 2007-01-08)
  57f4d4f16ec7bb210823a3fb50cfc644 1257250 sisu_0.48.10.orig.tar.gz
  2f61d673ded3df48e0e55b49051b652f 609 sisu_0.48.10-1.dsc
  6cee860bf9684dce3660f5433b9b1bf4 141126 sisu_0.48.10-1.diff.gz

  * debian control, sisu-pdf now depends on texlive alone (tetex removed)
    (and free from use of metapackages). Feedback from Frank Küster, Ralf
    Stubner and Norbert Preining (Closes: #402807)
    [0.48.8-6]

  * rollover year 2006 to 2007
    [0.48.8-5]

   * cgi sample form related modifications (relatively minor but nice to have
    sorted) [0.48.8-4]:

    * cgi_pgsql and cgi_sqlite, dynamic path used instead (fixed path will
      result in errors where the default path is not used).

    * cgi_pgsql and cgi_sqlite, "documentation" tip for copying generated cgi
      sample to cgi-bin directory, prevent accidental copying to a directory
      instead of file. Dynamic path used.

    * debian/control Recommends libfcgi-ruby1.8 moved to sisu-postgresql and
      sisu-sqlite (only used in this context) (previously suggested, needed for
      sample search form)

  * documentation/help on initially creating postgresql database for use if
    necessary
    [0.48.8-3]

  * LaTeX, bugfix - restores missing left column object/paragraph numbers
    (missing curly (close) brace) [important, though marked as normal]
    [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)
    [0.48.8-2]

  * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
    Frank Küster in Bug#402807)
    [0.48.8-2]

  * cgi-sample form, an arbitrary limit set for sql query results
    (1000 better than none) (closes: 403042)
    [0.48.8-2]

  * defaults, update sisu default homepage to current, (mainly urls)
    [0.48.8-2]

  * css addition to correspond with change to homepage
    [0.48.8-2]

  * debian control, adds mention of editors other than vim for which there is
    some kind of syntax support, kate, kwrite, gedit, diakonos
    [0.48.8-2]

  * vim syntax file, minor adjustment (related to an endnote shortcut)

  * doc/sisu/html keep copy of homepage
    [introduced in 0.48.9]

%% sisu_0.48.9.orig.tar.gz (2007w04/3 | 2007-01-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.9.orig.tar.gz
  1ad6d950454583d0130430664fc982ec 1258128 sisu_0.48.9.orig.tar.gz
  f727321854bdf95cbb12e40bc247dd7f 606 sisu_0.48.9-1.dsc
  957f1438013ec99bc9a6c5010ca5ea1c 141430 sisu_0.48.9-1.diff.gz

  * [NOTE rebuild of the 0.48.9  of (2006w52/1 | 20061225) to merge branch in
    version control, chronological break in sequence, this build is substantially
    the same as 0.48.8-2, subsequent versions of 48.8 are more recent
    (Etch freeze is at 0.48.8), the latest being 0.48.8-8]

  Originally released as:
  %% sisu_0.48.9.orig.tar.gz (2006w52/1 | 20061225)
    237b2bae3e343e4b4c2f781d554f7df8 1254360 sisu_0.48.9.orig.tar.gz
    8dc727e95913688179b7808592e1c4e9 606 sisu_0.48.9-1.dsc
    f53b18bbc0919121040cf4c022356e35 140080 sisu_0.48.9-1.diff.gz

  * source tarball incorporates fixes added after Etch freeze in deb 0.48.8-2

    * LaTeX, bugfix - restores missing left column object/paragraph numbers
      (missing curly (close) brace) [important, though marked as normal]
      [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)

    * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
      Frank Küster in Bug#402807)

    * cgi-sample form, an arbitrary limit set for sql query results
      (1000 better than none) (closes: 403042)

    * defaults, update sisu default homepage to current, (mainly urls)

    * css addition to correspond with change to homepage

    * debian control, adds mention of editors other than vim for which there is
      some kind of syntax support, kate, kwrite, gedit, diakonos

  * texpdf, usepackage url

  * doc/sisu/html keep copy of homepage

  * debian control, sisu-pdf depends for tetex | texlive, take on board
    suggestion by Frank Küster (see #402807)

%% sisu_0.48.8.orig.tar.gz (2006w48/1 | 20061127)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.8.orig.tar.gz
  556de4a3025156e0e7010210a0ddc32f 1248719 sisu_0.48.8.orig.tar.gz
  e32d8183b0c1dde1020ecf3eced25dff 606 sisu_0.48.8-1.dsc
  b054905ec4d964f73ccb0c705d593e63 139568 sisu_0.48.8-1.diff.gz

  * metaverse, "visual" adjustment to allow inclusion of column width
    information

  * debian, dfsg document samples debian constitution v1.3 added
    [english, german, danish]

  * [sisu-markup-samples_1.0.4 contains "The Wealth of Networks", Yochai
    Benkler]

%% sisu_0.48.8-2 (2006w50/4 | 20061214)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  0eba8d5dd3086bd2d1fa830c6c19527c 606 sisu_0.48.8-2.dsc
  42662b8bf9a83321edbbab0b3b3db554 145527 sisu_0.48.8-2.diff.gz

  * LaTeX, bugfix - restores missing left column object/paragraph numbers
    (missing curly (close) brace) [important, though marked as normal]
    [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)

  * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
    Frank Küster in Bug#402807)

  * cgi-sample form, an arbitrary limit set for sql query results
    (1000 better than none) (closes: 403042)

  * defaults, update sisu default homepage to current, (mainly urls)

  * css addition to correspond with change to homepage

  * debian control, adds mention of editors other than vim for which there is
    some kind of syntax support, kate, kwrite, gedit, diakonos

%% sisu_0.48.8-3 (2006w52/5 | 20061229)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  0f5acb28c8e9fdd21c29db7fbc7e1d3c 606 sisu_0.48.8-3.dsc
  669875a8ca8102e5772df258b0665ba8 147220 sisu_0.48.8-3.diff.gz

  * texpdf, usepackage url (improved placement of urls)

  * debian control, sisu-pdf now depends on texlive alone, (alternative tetex
    depends removed - reason: problem keeping both working!), take on board
    suggestion by to rely on texlive Frank Küster if tetex is problematic (this
    addresses, but does not close #402807 without further discussion, dropping
    alternative tetex depends simplifies sisu-pdf (tex) related depends, and
    makes it much more reliable (also see in changelog earlier feedback on
    sisu-pdf depends from Norbert Preining url at 0.47.7-3) depends here drop
    reliance on metapackages, (extra checks required as to determine whether
    texlive depends list may be shortened, playing safe))

  * debian/control priority changed to extra (from optional) as depends on
    texlive (without option for use of tetex instead)

  * debian/control sisu recommends libfcgi-ruby1.8 (previously suggested,
    needed for sample search form)

  * documentation/help on initially creating postgresql database for use if
    necessary

%% sisu_0.48.8-4 (2006w52/7 | 20061231)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  20337413c61bc87b8a9b3e8a2e843b81 606 sisu_0.48.8-4.dsc
  b440173ffabe147a851ecb25b20db6a2 148820 sisu_0.48.8-4.diff.gz

  * cgi sample form related modifications (relatively minor but nice to have
    sorted):

    * cgi_pgsql and cgi_sqlite, dynamic path used instead (fixed path will
      result in errors where the default path is not used).

    * cgi_pgsql and cgi_sqlite, "documentation" tip for copying generated cgi
      sample to cgi-bin directory, prevent accidental copying to a directory
      instead of file. Dynamic path used.

    * debian/control Recommends libfcgi-ruby1.8 moved to sisu-postgresql and
      sisu-sqlite (only used in this context)

%% sisu_0.48.8-5 (2007w01/2 | 2007-01-02)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  07964ec823ae5d96a04ff6c88f5a7f66 606 sisu_0.48.8-5.dsc
  90aa76b6061e10e715726c51e5b08a70 153491 sisu_0.48.8-5.diff.gz

  * sisu-pdf texlive dependencies shortened and free from use of metapackages

  * rollover year 2006 to 2007

%% sisu_0.48.8-6 (2007w01/3 | 2007-01-03)                 [Etch related fixes, uploaded by Daniel Baumann (Medium), cleared/unblocked by  Marc 'HE' Brockschmidt]
  4c95034d6d9bbe67cd2d008e561a78cc 606 sisu_0.48.8-6.dsc
  02bda8e1da0ef74396b1e85ac8ce9e6e 154145 sisu_0.48.8-6.diff.gz

  * sisu-pdf texlive dependency in -5 adjusted on feedback from Norbert
    Preining (Closes: #402807)
      http://lists.debian.org/debian-tex-maint/2007/01/msg00034.html
      http://lists.debian.org/debian-tex-maint/2007/01/msg00033.html

%% sisu_0.48.8-7 (2007w02/3 | 2007-01-10)                 [Etch related fixes, uploaded by Daniel Baumann (Medium), cleared/unblocked by  Marc 'HE' Brockschmidt]
  fd6e2df63f7b75bc3ad7aa5c34f606fd 606 sisu_0.48.8-7.dsc
  2e2fc97a23a4550ed279f94f85ea7378 157623 sisu_0.48.8-7.diff.gz

  * the cgi sample form modifications introduced in -4 were premature, they
    break things, behaviour reverted to -2 [-3].
    (Closes: #406281 and #406280) [same bug]

  * removed sisu-sqlite suggests on libdbd-sqlite and
    sisu-postgresql suggests on libdbd-pgsql which are
    not found in testing/Etch
    (Closes: #406282 and #406284)

  * sisu html man page regenerated (from man page)

%% sisu_0.48.8-8 (2007w03/7 | 2007-01-21)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  0ba3e2e6efecd2c57dccf6457200e945 606 sisu_0.48.8-8.dsc
  2fb929cfa2fd00366cda7b38f2dea4dd 168554 sisu_0.48.8-8.diff.gz

  * use ISO 639-2 for language codes, file names etc.
    (rename danish samples .~da (instead of dk), [took out Brazilian Portuguese
    and U.S. American English])

  * debian samples, tex pdf page breaking instruction modified/corrected, and
    danish examples renamed ISO 639-2

  * sisupod initialisation, fix, (should not fail when initiated in a new sisu
    work directory, (however do not mix regular sisu markup files and sisupod on
    command line))

  * sysenv, generic question/check added; used as safeguard against accidental
    making sisupod of (whole) directory.

  * xml, xhtml several adjustments (including use of xlink), also related css
    fixes

  * html, toc cosmetic correction

%% sisu_0.48.8-9 (2007w04/1 | 2007-01-22)                 [Etch related fixes, uploaded by Daniel Baumann (Medium)]
  8ba3e0a9ba6b9b0f4966e020cbcee865 606 sisu_0.48.8-9.dsc
  1ac6537c065807c1459e63a4122f9d79 145898 sisu_0.48.8-9.diff.gz

  * removed Danish debian sample markup files to reduce the size of the
    inter-diff against the package in testing.

  * minor further adjustments to xml processing

%% sisu_0.48.8-10 (2007w04/2 | 2007-01-23)                 [Etch related fixes]
  ccc192b7615235f56c9e5b122089d50d 608 sisu_0.48.8-10.dsc
  64732549e20c98a6958a3544770343fb 146148 sisu_0.48.8-10.diff.gz

  * xml and xhtml adjustment of regex match of urls for xlink

%% sisu_0.48.8-11 (2007w07/5 | 2007-02-16)                 [Etch related fixes]
  0f3e22d6fd4cfab955f47f9cb5840d7a 608 sisu_0.48.8-11.dsc
  825404e40bfbe54999c0ae4ec90fa682 162284 sisu_0.48.8-11.diff.gz

  * xml, minor refactoring

  * segmented html, minor user interface navigation changes (for pre next and
    toc):
    * navigation arrow buttons and available documents information trade
      places, navigation arrows moved right (less cursor movement used in
      navigation, the scroll bar is usually on the right, also more consistent
      presentation (placement as in toc))
    * removed two sets of html segment navigation bands, from very top and
      under title (cleaner presentation without reduction in functionality, (also
      for console clients))

  * remote placement, rsync, simplify mapping used, should be a bit more robust

  * response, user response abstraction, minor

  * metaverse, superscript, subscript regex adjusted, (consider adopting this
    modification more widely)

  * digests, representation of document structure updated to use @, :A-:C, 1-3
    (instead of 0-6)

  * sysenv, change in use of mkdir

  * sysenv, for processing of remote files, download of remote images,
    correction to variable name [post 0.49.1 fix]

  [this build is based on 0.49.1 which is "stable" in its major parts]

%% sisu_0.48.7.orig.tar.gz (2006w46/7 | 2006-11-19)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.7.orig.tar.gz
  2bbc89da7fa28de1193ea64fd98bb522 1248263 sisu_0.48.7.orig.tar.gz
  94adac2227718f4a6c1c2437c883e939 606 sisu_0.48.7-1.dsc
  f53871fe2aad4fc8ddfb9b3b1817d677 100806 sisu_0.48.7-1.diff.gz

  * cgi html test search form, multilingual documents, file naming convention
    resulted in incorrect url mapping of results, fixed

  * dcc, document content digest, multilingual/non-English documents, fixes
    related to translation and metadata extraction

  * defaults for html, invisible dot navigation buttons, text made cleaner for
    console clients, using < ^ > for pre, toc, and next, (there are other
    equivalent navigation options)

  * sitemaps, very early days, stubs in place to make this work
    (google, yahoo, ms announced their joint decision to use this week)

  * remote, placement of sitemaps directory to remote server, rsync

%% sisu_0.48.6.orig.tar.gz (2006w45/6 | 2006-11-11)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.6.orig.tar.gz
  82b8dd63a4626fcef222d039820827cc 1245728 sisu_0.48.6.orig.tar.gz
  25be6c97cfa020a1b2971e02bc32b715 606 sisu_0.48.6-1.dsc
  1c682265850177ec5eb32a3cfe1fc3cd 100704 sisu_0.48.6-1.diff.gz

  * html, doc (single text, scroll version) tables, fixed

  * texpdf, bugfix for (asterisk marker type) footnotes in headings, fixed

  * metaverse, in "visual" table representation {table} may be used instead of
    {t} likewise {table~h} instead of {t~h},
    (resulting output cleaned, fix)

  * vim syntax highlighting updated for {table} match

%% sisu_0.48.5.orig.tar.gz (2006w45/3 | 2006-11-08)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.5.orig.tar.gz
  208f47dcc87802fcd14b64e9c1aa2a52 1245103 sisu_0.48.5.orig.tar.gz
  1664f21a14fa2311d7cb115e8d31fc88 606 sisu_0.48.5-1.dsc
  428fe256c0dd063d362baa751866ede8 100632 sisu_0.48.5-1.diff.gz

  * sisupod (directory zip) creation, file selection tuning

  * command line option papersize (texpdf), minor convention e.g.
    --papersize-letter (in addition to --papersize=letter) available options:
    European 'A4', book 'a5', 'b5' and U.S. 'letter', 'legal' (system defaults
    to A4). However, these can be and are better set in the config file
    (document headers being another though not recommended possibility),

    'sisu --help env' should list the current (default/configuration) settings
    including papersize

  * minor checks, minor editing, e.g. man pages

%% sisu_0.48.4.orig.tar.gz (2006w45/1 | 2006-11-06)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.4.orig.tar.gz
  eee656e88462c4dc2f338dadb26fc97a 1244746 sisu_0.48.4.orig.tar.gz
  70bd0670b8b21130856e87d32644102c 606 sisu_0.48.4-1.dsc
  f72edba97792bc72f07b5b66223761fc 100603 sisu_0.48.4-1.diff.gz

  * texpdf, default table behaviour changed to accommodate tables with a lot of
    text, also some cleaning of tables (fixed)

  * plaintext, serious performance issue when dealing with a document with
    tables, [especially annoying as tables are omitted from this output format]
    addressed (fixed)

  * markup footnote conversion to paragraph inline footnotes, (fixed)

  * minor adjustment to sisupod directory name...

%% sisu_0.48.3.orig.tar.gz (2006w44/2 | 2006-10-31)       [Debian Release snapshot, uploaded by Daniel Baumann (High)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.3.orig.tar.gz
  8c3fffc9a7da73220e15d15cfba968bf 1243334 sisu_0.48.3.orig.tar.gz
  6a75a4a2d5817914f274388237ddcf4d 606 sisu_0.48.3-1.dsc
  eea089e0690c3aa6c7a4baae8c4b5f54 100547 sisu_0.48.3-1.diff.gz

  * one file omitted in sisu 0.48.2 fix, see comments there.

%% sisu_0.48.2.orig.tar.gz (2006w44/2 | 2006-10-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.2.orig.tar.gz
  a9a876acb9cdf3501cd3d7bfe09db9d0 1243141 sisu_0.48.2.orig.tar.gz
  ae29c18dfb96d898e608ff50b1d20512 606 sisu_0.48.2-1.dsc
  e16685b9fe00f5e6096f72386d699ff7 100497 sisu_0.48.2-1.diff.gz

  * debian ruby build ruby-1.8.5-3 (uploaded yesterday) detects and breaks on
    cyclic include errors which were found at a basic level of operation,
    rendering program effectively broken. New ruby build affects all previous
    versions of sisu. [Further code review is necessary to ascertain that this
    does not occur anywhere else within sisu code base]

%% sisu_0.48.1.orig.tar.gz (2006w43/7 | 2006-10-29)       [Debian Release snapshot, uploaded by Daniel Baumann (Medium)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.1.orig.tar.gz
  cda3082de5c359737bfdfd23474fee2b 1242845 sisu_0.48.1.orig.tar.gz
  badc4a6d1e6bc77956ec603a5278bbea 606 sisu_0.48.1-2.dsc
  a95c14570a0e5ebd46a588c7181151f5 101129 sisu_0.48.1-2.diff.gz
  sisu_0.48.1-1.dsc
  sisu_0.48.1-1.diff.gz

  * metaverse, indicate image missing if a requested image is not found

  * processing directories default location moved to be placed under home or /tmp
    from pwd

  * (-1) debian/control, recommends hyperestraier removed as appears to cause
    issues (also rename and pgaccess)

  * (-2) debian/control recommends hyperestraier (sisu and sisu-complete) put
    back

%% sisu_0.48.0.orig.tar.gz (2006w43/6 | 2006-10-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.48.0.orig.tar.gz
  5e7bc1752828347d0f43e7eb8403cfec 1241476 sisu_0.48.0.orig.tar.gz
  79cce16683c3da3f70e9cc205710feb1 606 sisu_0.48.0-1.dsc
  748830590639ab2e8097b8c0820b37a4 100197 sisu_0.48.0-1.diff.gz

  * sisupod, creation of (zipped sisu content files, primarily a way of
    bundling sisu content assocated with a prepared sisu file or set of files,
    that sisu commands can be run directly against) creation:
      'sisu -S [filename]'
      places a file named sisupod.zip in the output directory
    for directory
      'sisu -S'
      creates a sisupod of the pwd named:
        sisupod-[pwd.stub]_[date].ssp
      e.g. sisupod-sisu_2006-10-26.ssp
      (uses system call to unix commands find and egrep)

  * sisupod, sisu can be run directly against a sisupod without manual
    unpacking, e.g.:
       'sisu -3 sisupod.zip'
    [early implementation, a system call used],
    run against the following filename/types: sisupod, sisupod.zip,
    [filename].ssp
    * security:
      * sisu does not ever use a sisurc.yaml within a sisupod
      * sisu will only use a skin within sisupod if --trust(ed) modifier is
        added to the command line
    * skins, note: copy dir skin to skin_sisupod.rb
      [doc skin keeps name as called with name within document]

  * remote operations possible on sisupod, e.g.
    'sisu -3 http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/sisupod.zip'

  * sysenv, sisu processing directory '_sisu_processing' default placement now
    first within pwd (markup text directory) if that is not writable under home
    ~ and if not available to /tmp (the preference of home over /tmp my be
    reconsidered, thinking is to default towards keeping processing related
    info within private space)

  * manifest, uses documents home button/icon, if available
    (rather than sisu default)

  * sisupod alternative names sisupod, siuspod.zip [filename].ssp

  * urls, tune, removed link to html 'tune' output file, no longer generated

  * sysenv, url path reporting fix, (broken by renaming in 0.47.7)

  * processing directories default location moved to be placed under home or /tmp
    from pwd, likewise sisupod creation directory moved
    [processing directory]/sisupod  from ./_sisu/sisu_doc

  * extra testing, numerous small fixes, (several related to method renaming in
    sisu-0.47.7, also checks against both ruby 1.8.5 and current 1.9, $KCONV set
    to UTF-8 rather than rely on environment and many more also as above)

%% sisu_0.47.8.orig.tar.gz (2006w42/4 | 2006-10-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.8.orig.tar.gz
  53c131f5c569d96ff60ecfdeb1a1f3d5 1237476 sisu_0.47.8.orig.tar.gz
  a39620a910612684a0dc31b3b5559eda 606 sisu_0.47.8-1.dsc
  8570a26f39ec44b3c8c539d0dcf63a99 100075 sisu_0.47.8-1.diff.gz

  * metaverse, minor fix related to link created for shared source file with
    regard to new syntax shortcut markup for listing multiple available output
    types produced by SiSU (introduced in 0.47.6)

%% sisu_0.47.7.orig.tar.gz (2006w41/6 | 2006-10-14)       [Debian Release snapshot, uploaded by Daniel Baumann]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.7.orig.tar.gz
  6bb28ad3f783184876c455c91cf9ef22 1236983 sisu_0.47.7.orig.tar.gz
  c8bf85fb300d6260176ad459c2f6e3a0 606 sisu_0.47.7-2.dsc
  8eaeebb43b6de5ca727995d681d36b1c 102531 sisu_0.47.7-2.diff.gz
  62c779fa5ca023af71854d989b60bfe9 609 sisu_0.47.7-1.dsc
  07b12f4b1af9873eee44e610511ac525 99876 sisu_0.47.7-1.diff.gz

  * sysenv, minor code play, some method renaming, organisational
    (however affects rest of code, much testing, (smallish possibility of
    breakage remains))

  * gif, reinstate support, however use not yet recommended
    (gif no longer under patent, however, gif is not available for all pdf,
    does not yet appear to be available in tetex)
    [image support: png, jpg, (gif)]

  * [debian/control] sisu-pdf set to work with texlive (tetex|texlive depends)
    (sisu works out of the box with texlive installed, currently an issue with
    the default font in texlive)
    http://lists.debian.org/debian-tex-maint/2006/10/msg00620.html

%% sisu_0.47.6.orig.tar.gz (2006w40/6 | 2006-10-07)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.6.orig.tar.gz
  7e319ebd2f8265f6ca7e46a4c74bd211 1236547 sisu_0.47.6.orig.tar.gz
  bf4602222c37f9e288284e1573ebd034 609 sisu_0.47.6-1.dsc
  9741957517f66d825d952e309d231152 99839 sisu_0.47.6-1.diff.gz

  * tex/pdf, fixed paragraph indent with hyperlink
    (previously linking not parsed and dealt with)

  * tex/pdf, fixed closing double quote (was typo)

  * syntax, new shortcut markup for listing multiple available output
    types produced by SiSU (existing syntax unaffected)

  * [package structure, vim directory moved to data/sisu/conf/vim from
    data/vim]

%% sisu_0.47.5.orig.tar.gz (2006w39/7 | 2006-10-01)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.5.orig.tar.gz
  40d50d1db5e6f1ca4750dec82fc7aad8 1234759 sisu_0.47.5.orig.tar.gz
  e3555bb320920eb25e62c820961105e7 609 sisu_0.47.5-1.dsc
  a030d4f4dd052009ce36ab14dec29ed3 99796 sisu_0.47.5-1.diff.gz

  * sisupod, fix creation of, change of library name caused break in 0.47.4

%% sisu_0.47.4.orig.tar.gz (2006w39/5 | 2006-09-29)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.4.orig.tar.gz
  71ae6429e675fdbfb6a8ab507c3e6989 1233691 sisu_0.47.4.orig.tar.gz
  c0968784d14ac2ff6b7754dc5de6024a 609 sisu_0.47.4-1.dsc
  a0ccb2abcee55dd60529b2cc88c73454 99693 sisu_0.47.4-1.diff.gz

  * syntax highlighting, kate, kwrite, nano minor updates, review

  * debian: browser and pdf reader icons removed,
    (Closes: #389500) fixes debian policy violation
    removed non dfsg compliant firefox icon
    (also removed other browser related icons)

%% sisu_0.47.3.orig.tar.gz (2006w38/6 | 2006-09-23)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.3.orig.tar.gz
  18ac94ea4ab58060873ba22d37d03bd0 1268844 sisu_0.47.3.orig.tar.gz
  3c2fac012a174f930e9030863e92f065 609 sisu_0.47.3-1.dsc
  c075392d392665de4d5054f438352f2f 99612 sisu_0.47.3-1.diff.gz

  * minor code review
    [takes care of RAM issue experienced with some forms of batch processing]

%% sisu_0.47.2.orig.tar.gz (2006w38/5 | 2006-09-22)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.2.orig.tar.gz
  5afc268f78ab72b17c387469e2ae5caf 1268744 sisu_0.47.2.orig.tar.gz
  334056e0cdd87dc2887baf99a638e3d1 609 sisu_0.47.2-1.dsc
  8e468cc4052b0f28fb3b22ef5dfbf4c2 99580 sisu_0.47.2-1.diff.gz

  * metaverse, a line of code needed changing for ruby-1.8.5

%% sisu_0.47.1.orig.tar.gz (2006w38/1 | 2006-09-18)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.1.orig.tar.gz
  77d77e7888ee1f97a38012233d5d4d90 1268488 sisu_0.47.1.orig.tar.gz
  c7e9cd3ee27bba16684651bda463124c 609 sisu_0.47.1-1.dsc
  596bb6380b8355d4b5420aa5ddb2008f 99556 sisu_0.47.1-1.diff.gz

  * fixed, document content certificate, issue with batch processing (and
    cleaning of earlier document details) sorted

  * fixed, sharing document source for multilingual documents (-s), creates and
    copies to the wrong directory

  * plaintext minor adjustments, and a batch processing information sync fix

%% sisu_0.47.0.orig.tar.gz (2006w37/7 | 2006-09-17)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.47.0.orig.tar.gz
  c8eb3908d4b6fb6e6bc199118a0ef897 1268127 sisu_0.47.0.orig.tar.gz
  42836c37c783d9c7aee87085127cd87c 609 sisu_0.47.0-1.dsc
  e02895ae383af556ebc50d7832c7d20a 99541 sisu_0.47.0-1.diff.gz

  * sisupod, use zip compression and file extension .zip
    (instead of tar gzip .tgz) interoperability, wider platform comprehension

  * sisupod, master documents (.ssm) bug in batch processing sorted (todo with
    filenames)

  * html tune, unnecessary hard output removed (except in maintenance mode -M)

  * (document content certificate, issue with batch processing sorted)

  * reduce system calls

  * odf base file, odt.zip (instead of odt.tgz), easy way to maintain directory
    structure (issue in version control, hg drops empty directories)

  * conversion, prefer --to- to --to=, keep both, man page and help updated to
    use --to-[conversion] (also minor cleaning of screen output)

  * debian/control depends zip and unzip added, used for sisupod.zip and ODF output

%% sisu_0.46.5.orig.tar.gz (2006w36/6 | 2006-09-09)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.5.orig.tar.gz
  bea9a0eddb1ea8746de416a7bdd22e2e 1265848 sisu_0.46.5.orig.tar.gz
  87e99256d31497c23509811e122b6ea2 609 sisu_0.46.5-1.dsc
  5b4caafec6ac1ebc5314f7fa44e8f677 99342 sisu_0.46.5-1.diff.gz

  * documentation adjustments

%% sisu_0.46.4.orig.tar.gz (2006w36/3 | 2006-09-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.4.orig.tar.gz
  506bc266f4618eea88c7c005f21c2bf4 1269441 sisu_0.46.4.orig.tar.gz
  6fbd0e2e7f2915725feb03e3ea0f977f 609 sisu_0.46.4-1.dsc
  a7fcd22b852f90ab4af04c56143a8aa2 99242 sisu_0.46.4-1.diff.gz

  * defaults html text/ accompanying blurb removed some Ruby / Debian / Linux /
    Unix text

%% sisu_0.46.3.orig.tar.gz (2006w36/1 | 2006-09-04)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.3.orig.tar.gz
  c41d41e0771e66c236b2832c8798a1d8 1269233 sisu_0.46.3.orig.tar.gz
  74458da231e6e4628996c48eb915344d 609 sisu_0.46.3-1.dsc
  f7ab7c92526bfecd71331a69ef069d44 99223 sisu_0.46.3-1.diff.gz

  * Ruby version upped to 1.8.4, (probably will work with earlier versions but
    not tested)

  * db option synonyms --pgsql for -D or --sqlite for -d

  * document structure, extended level, stubs in place

  * syntax highlighting, directory renamed and a quick look at kate and
    diakonos updated

  * help/man pages, db related minor update

  * termsheet checked

  * minor code play

  * debian/control moved from extra to optional - does not conflict with
    anything, though a bit specialised perhaps

  * debian/copyright, year 2006 added

  * [debian/control build does not permit changing ruby version to 1.8.4]

%% sisu_0.46.2.orig.tar.gz (2006w34/5 | 2006-08-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.2.orig.tar.gz
  852d865e66fd37e1902d3940cd460e55 1265122 sisu_0.46.2.orig.tar.gz
  9931d0d05ea5e37134fb063c31caa66e 609 sisu_0.46.2-1.dsc
  6a52a52ede5cf3158cd4bd843f737295 99124 sisu_0.46.2-1.diff.gz

  * experimental conversion xml(sxs,sxn) to sst, (from xml that was converted
    from sst) [sxd not yet in place, and several errors identified]

  * header metadata extraction and sharing changed (used by xml and other
    document types)

  * conversion file libraries, some renaming

  * zsh completion (see 0.46.1), simplified/corrected in response to feedback,
    still naive

  * help and man pages updated with conversion info between sst and xml and
    back

  * Ruby: ruby version restrict use to ruby-1.8.2 or later, but only tested for
    ruby-1.8.4 (and later) [may have to restrict to more recent versions of
    Ruby]

  * Ruby: if|unless|elsif|where colon constructs are depreciated in Ruby 1.8.5.
    (released today), so (the aesthetically more pleasing) colons switched with
    semi-colons.

%% sisu_0.46.1.orig.tar.gz (2006w33/3 | 2006-08-16)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.1.orig.tar.gz
  26bef582eb5da7fe39b578e9296ceb19 1263026 sisu_0.46.1.orig.tar.gz
  37ebebd9bf56e2e5fd57b0b1411771be 609 sisu_0.46.1-1.dsc
  3537949d88ec6749698fd04d21a30d96 99119 sisu_0.46.1-1.diff.gz

  * zsh, naive zsh completion file _sisu in data/sisu/conf/completion (on
    debian installed to /usr/share/sisu/conf/completion) works if copied
    somewhere within your $fpath (do it yourself on debian copy to ~/.zfunc or
    /usr/local/share/zsh/site-functions and run compinit)

  * code, minor alterations,
    * creation of Arrays and Hashes, not intended to be substantive
    * in hub corrected calling of help for termsheet
    * small adjustments to calling of conversion scripts

  * debian/control, reminded that sisu-vim existed prior to vim-sisu (renamed
    due to vim policy) both now removed and replaced by default installation,
    control file modified accordingly for sisu-vim

%% sisu_0.46.0.orig.tar.gz (2006w32/6 | 2006-08-12)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.46.1.orig.tar.gz
  84d863f4f41ff2e328530930890f7160 1259520 sisu_0.46.0.orig.tar.gz
  9d04df245c99431649f40f58d5022c40 609 sisu_0.46.0-1.dsc
  6b027cbd9d063eae67010ee072a6fc28 99068 sisu_0.46.0-1.diff.gz

  * 0.44 branch reinstated (leapfrogging over 0.45 which was a reversion to
    0.43)

  * metaverse changes for consistency, affects all downstream code (with
    attendant risk), numerous related changes; preliminary tests passed

  * see 0.44.0

    [basic operation (sisu -mNhwpoabxXyv [filename]) also tested for ruby 1.9
    with rmagick switched off (db not tested)]

  * debian/rules compression mentioned twice, one removed

%% sisu_0.45.0.orig.tar.gz (2006w31/7 | 2006-08-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.45.1.orig.tar.gz
  dbdcdd947aa6357492ac50a5bb5b81af 1242290 sisu_0.45.0.orig.tar.gz
  9ac37f27c19ff8696631396627919806 609 sisu_0.45.0-1.dsc
  7426d8ba2f1e2aa709a0aeccd4596f4d 99025 sisu_0.45.0-1.diff.gz

  * an emergency reversion to 0.43 code, as 0.44 breaks many LaTeX/pdfs
    [the other components of 0.44 are fine but the LaTeX part does not play
    properly with the new code base]
    for the present time, ignore (jump over) the version changes in 0.44,
    and continue from 0.43

  * only the odf icon (noted in 0.44) and a cosmetic change to manifest are
    added to this release since 0.43

  * the debian related changes in 0.44 are retained

  * NB. only emergency maintenance on this branch, development is on 0.44

%% sisu_0.44.0.orig.tar.gz (2006w31/7 | 2006-08-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.44.1.orig.tar.gz
  4ce1f4946ce12180bf257d46f5ab6ff0 1256908 sisu_0.44.0.orig.tar.gz
  f976a5e8494184696c70c45b240933ee 609 sisu_0.44.0-1.dsc
  a8fd211fff73a01beb17433707bb1e04 98941 sisu_0.44.0-1.diff.gz

  [some breakage, in particular LaTeX/pdf had issues, fixed in 0.46.0]

  * some juggling of code and renaming of some files
    (db broken into smaller chunks)

    * metaverse, document level structure moved to external shared library and
      determined therefrom

    * metaverse, ocn moved to an external shared library and together with
     "node" numbering determined therefrom
     [raises possibility of ocn (numbering) issues, preliminary tests passed]

    * db operations broken up into smaller code files

    * numerous other little things

    ** Note: shared sisu libraries, practice likely to become that these contain
      pointers to libraries, rather than the libraries themselves, e.g.
      shared_db

  * odf/odt added generic odf tiny icon
  * html, added icon and link to opendocument text
    (assumes output is always present, as do the pdf equivalents)

  * markup, experimenting with simple xml models,
    three xml representations of sisu markup, sxs, sxd, sxn
    export with
    sisu --to=sxs [filename]
    [experimental, these will change]
    import, not done

  * --to made a synonym for --convert

  * debian/rules simplified
    [utilising feedback from Daniel Baumann on "rant" package]

  * debian/control sisu-pdf Depends: changed to make TeX Live optional,
    actually part of it is now required as tetex along with tetex-extra do not
    contain all the LaTeX packages SiSU requires (in particular manyfoot.sty is
    missing) [used feedback from Ralf Stubner on dependency options]

  * debian/lintian/sisu added lintian override for man page and non-executables

%% sisu_0.43.0.orig.tar.gz (2006w29/6 | 2006-07-22)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.43.0.orig.tar.gz
  09127f189334eef57363875bb2fb2a4d 1241138 sisu_0.43.0.orig.tar.gz
  11692249f8ae03a4ead59fb1f0e00514 609 sisu_0.43.0-1.dsc
  e3307627de717fca49c9fbec988c8cc2 99392 sisu_0.43.0-1.diff.gz

  * footnotes, introduction of new editor (square bracket) series,
    using asterisk and plus signs
    ~[ asterisk editor note ]~ or ~[* asterisk ed. note ]~ and
    ~[+ dagger ed. note ]~
    outputs updated: plaintext, latex, html, xml, odf, dcc, database
    the sample search form does not yet search the new (asterisk and plus)
    endnote series
    [easy to add additional symbols later, also consider it should be fairly
    straightforward to add possibility to use of name of note maker with
    numbered note sequences for each contributor; you may wish to think of
    sorting into different types for some of these like plaintext, later]

  * database, breaks existing database model by introducing new tables, to
    accommodate the new endnote series, (square bracket series). (there are
    alternative ways to add the information, e.g. add column with information
    on the endnote symbol involved; have in fact added a table for each of the
    symbols used)

  * additional footnote annotations (asterisk, dagger) can be dropped from
    output with command modifiers --no-asterisk, --no-dagger, --no-annotate

  * --convert=footnotes (convert to embedded footnote markup, do not make
    changes if footnote mismatch)
    --convert=footnotes-force (make changes even if there is a footnote
    mismatch) provide warning about changes what todo, make backup? or create
    new file, what filename to use?

  * --no-ocn switches off object citation numbering. Produce output without
    identifying numbers in margins of html or LaTeX/pdf output. [with -h -H or
    -p]

  * vim syntax highlighter recognises footnote/annotation additions

  * debian vim/addons/syntax/sisu.vim add the new syntax file
    (submit changes to Bram)

  * man page and help.rb updated on editor footnotes, square bracket series

  * relaxng object models, look at, included in data/doc/sisu/models/relaxng
    (some models quite old, and undeveloped, originally in sisu library
    relaxng.rb)

  * metaverse, and elsewhere, utf-8 is assumed: started cleaning out legacy
    code (character converting regex) sisu generates its first Chinese document
    in html, plaintext and sql databases (postgresql and sqlite) only, at this
    stage... [confirmation that first Chinese document presentation is fine,
    from author of test (law related) text; the listed text representations
    reasonably handle the utf-8 characters involved, and document structure is
    ok]

%% sisu_0.42.4.orig.tar.gz (2006w29/1 | 2006-07-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.42.4.orig.tar.gz
  dccd6a56bcd2217d3bb0f1be5211ed57 1230468 sisu_0.42.4.orig.tar.gz
  a6814ae0311a22d1f0ca89208629e2ac 609 sisu_0.42.4-1.dsc
  bdebad3bdcda48423bdb4a021224c04b 99255 sisu_0.42.4-1.diff.gz

  * sisu_manifest, pdf description express portrait copy to be optimised/biased
    towards print, and landscape to have screen view bias/optimisation
    (orientation and colored links)

  * debian (mostly), meta-packages man pages moved to man(7)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377209
    (Closes: #377209) [which was re-opened as not properly done previously,
    myon]

  * debian, closed bug 377208 after informing submitter changes had been made
    and requesting review ('fixed' in 0.42.2)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377208
    (Closes: #377208) [submitted:myon]

  * debian/control added a Conflicts: vim-sisu,
    sisu-remote, to the existing Replaces: these
    two packages have been removed

  * ruby, also tested ok with ruby1.9 (Debian Version: 1.9.0+20060609-1)
    sisu -3v [filename]
    [database tests omitted, relevant ruby drivers not on system]

%% sisu_0.42.3.orig.tar.gz (2006w28/2 | 2006-07-11)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.42.3.orig.tar.gz
  d3ab92e9f20ef48de711512d10fd3fe7 1230428 sisu_0.42.3.orig.tar.gz
  33088e3d51a612cf73a64afe239eb8f5 609 sisu_0.42.3-1.dsc
  28a4652fdade40b19ddb88df4344242f 99164 sisu_0.42.3-1.diff.gz

  * html, segments, cosmetic, removal of footnote marker in headings

  * sysenv, fix for when sisu sql related packages are not
    installed, should not then be loading rb dbi module

%% sisu_0.42.2.orig.tar.gz (2006w27/6 | 2006-07-08)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.42.2.orig.tar.gz
  cf5b6605089179140da52f5bde655ebd 1229996 sisu_0.42.2.orig.tar.gz
  081c37f65a4fbb5ed7d3a2ed1a02c423 609 sisu_0.42.2-1.dsc
  19f7878a951fa966acb5ab3c5d38f6c8 99115 sisu_0.42.2-1.diff.gz

  * html, xhtml, added utf-8 specification
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    [(previously relied on correct browser setting]

  * debian/control, removed sisu-remote, added recommends rsync,
    openssh-client|lsh-client, keychain,  to main sisu package instead
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377206
    (Closes: #377206) [submitted:myon]

  * debian/control, removed vim-sisu, this used to contain syntax highligter
    and color scheme now included in Vim 7, all that remains is ftplugin, now
    installed by main sisu package
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377207
    (Closes: #377207) [submitted:myon] [* change to source package structure]

  * debian/control, sisu Replaces: vim-sisu
    debian/sisu.install installs ftplugin originally in vim-sisu

  * debian/manpages, sisu (main package) now installs vim_sisu page in man(7)
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377209
    (Closes: #377209) [submitted:myon]

  * debian/control, package description related issues:
    * modified sisu
    * modified sisu-complete
    * modified sisu-postgresql
    * modified sisu-sqlite
    * modified sisu-pdf
    * removed sisu-remote, (as sisu-remote is no more)
    * removed vim-sisu, (as vim-sisu is no more)
    * removed sisu-remote, (as sisu-remote is no more)
      [consider adding a note on remote placement of documents in sisu(8)
      later]
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377208
    (verify that descriptions are satisfactory before closing: #377208)
    [submitted:myon]

%% sisu_0.42.1.orig.tar.gz (2006w27/4 | 2006-07-06)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.42.1.orig.tar.gz
  7d6bcb9a4be5ded17e71522b37a2af5a 1227649 sisu_0.42.1.orig.tar.gz
  734e48c69096c912cbd60f38b8961bd0 632 sisu_0.42.1-1.dsc
  bb107345477000cc540fb08a73df4379 99097 sisu_0.42.1-1.diff.gz

  * dbi fix (--createdb)

  * [ruby1.9, forward testing, general check, (tests ok db operations apart,
    drivers not installed)]

  * debian/control, removed recommends libtidy [non-existent, see current
    libtidy-0.99-0, called in by tidy which is recommended and sets libtidy
    dependency]
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377086
    (Closes: #377086) [submitted:luk]

%% sisu_0.42.0.orig.tar.gz (2006w27/4 | 2006-07-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.42.0.orig.tar.gz
  297702e8c44b95f0ac16c656b798812d 1227287 sisu_0.42.0.orig.tar.gz
  065d70ba326d517401f2b62fe5c837c4 632 sisu_0.42.0-2.dsc
  0ad5a4471a31f4968a7b900a17c43ac7 99754 sisu_0.42.0-2.diff.gz
  c3be264946486f71b021227a16197162 632 sisu_0.42.0-1.dsc
  83577a37dbbe6915a25814a541263e54 98970 sisu_0.42.0-1.diff.gz

  * texpdf fix, object citation numbering reinstated

  * asterisk (and plus sign) footnote/endnote marker/tags
    [SubTech2006::LII:TB "request": required for U.S. law articles]
    done: html, odf, xmls, plaintext,
    latex pdf (some cosmetic changes to come)
    digests(dcc)
    sql (specific issue not addressed but works sortof)

  * syntax, asterisk (and plus sign) footnote/endnote marker/tags
    introduced ~{* for an asterisk marked endnote }~ and plus sign equivalent
    [reason for version number change, as previous
    version won't parse]

  * texpdf portrait text now all black, including toc and endnote markers
    landscape retains color for toc (red) & linked text (blue) [online viewing]
    [introduce configuration options?]

  * help updated

  * kdissert conversion to sisu markup a refinement (with less-than &
    greater-than)

  ** debian/control changed back to ruby >= 1.8.2
  * debian/control ruby >= 1.8.4
    (not done sufficient testing on 1.8.2, so not supported)

  * debian/control sisu-pdf added Depends: texlive-latex-extra
    (needed for manyfoot.sty, used for asterisk footnotes)

  * debian vim-sisu, description
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374873
    (Closes: #374873) [submitted: Jens Seidel]

%% sisu_0.41.8.orig.tar.gz (2006w25/6 | 2006-06-24)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.8.orig.tar.gz
  ea76d18d8c58bb444f4be71c4e9a3185 1225229 sisu_0.41.8.orig.tar.gz
  283d46cf2196e667e5416327a19659c5 632 sisu_0.41.8-1.dsc
  1fe0b2f06aed3d3f8a272340dcabef9c 98810 sisu_0.41.8-1.diff.gz

  * kdissert, texpdf, accept sisu page break and new page marker, used for
    LaTeX/pdf

%% sisu_0.41.7.orig.tar.gz (2006w25/6 | 2006-06-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.7.orig.tar.gz
  792ed0b0e57e78cf88ec37102fd3de8a 1225007 sisu_0.41.7.orig.tar.gz
  77b90465be946edcdb57c31b8fc3cd10 632 sisu_0.41.7-1.dsc
  0f568b819dd5b18a5637d77c220beaf5 98795 sisu_0.41.7-1.diff.gz

  * document samples, created subdirectory dfsg for documents that comply
    with the Debian Free Software Guidelines and moved the "GPL2" and
    "Free as in Freedom" texts and associated images back into the source
    tarball and main (from sisu-markup-samples) [FaiF is published under
    the GNU Free Documentation License]

  * html segments, footnotes for segments, bugfix, [faulty regex matched more
    than it was supposed to resulting in dropping of some footnote sections -
    these remained available elsewhere in the endnote segment]

  * relaxng, sisu object models, first pass at XML object models for sisu input
    structure, and sisu metaverse structure, alternative data representation

  * kdissert:
    * sisu headers, added a hack to permit the inclusion of sisu headers, by
      entering them in the top level node (for which sisu will now only process
      properly if empty or if it contains comments or sisu headers)
    * texpdf, tell when documents are prepared using kdissert
    * html default skin for kdissert with icon
    * [kept out for now: kdissert sisu sample file, and its converted sisu text
      equivalent]

  * Debian control, 'Home page:' corrected to 'Homepage:'
    closes Bug#374873: Improved package description

  * Debian rules, .ssm and .ssi files added to list of not compressed file
    types (/usr/share/doc/sisu)

%% sisu_0.41.6.orig.tar.gz (2006w25/2 | 2006-06-20)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.6.orig.tar.gz
  ff6217bb156f2ab803bf87367fb327e4 671142 sisu_0.41.6.orig.tar.gz
  594e27b60ceb415bdd3504929a7adb0f 631 sisu_0.41.6-1.dsc
  3ba8aecfd904844b40ef2a26a6379aec 98359 sisu_0.41.6-1.diff.gz

  * sisu_manifest, added possibility of sharing of kdissert source, see sample:
    http://www.jus.uio.no/sisu/kdissert.kdi/sisu_manifest
    and note the kdissert source file on which sisu markup and outputs are based:
    http://www.jus.uio.no/sisu/kdissert.kdi/kdissert.kdi

  * kdissert fixes to make the following true:

    * sisu --convert=kdi [kdissert filename]
      will attempt to convert a simple file produced using kdissert to sisu
      markup, basic and experimental

    * kdissert_to_sisu: some fixes, still very basic and experimental
      [data/sisu/conf/convert or /usr/share/sisu/conf/convert]

  * debian control, added recommends kdissert

  * [issue spotted with rsync, new output directories, fix later]

%% sisu_0.41.5.orig.tar.gz (2006w25/1 | 2006-06-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.5.orig.tar.gz
  da50cd8f993761e8011386afcd8d2636 669069 sisu_0.41.5.orig.tar.gz
  33e2fc91260a5131e60588729cbf0c67 631 sisu_0.41.5-1.dsc
  d63fd861450216b66acf0295100c754d 98313 sisu_0.41.5-1.diff.gz

  * sisu --convert=kdi [kdissert filename]
    will attempt to convert a simple file produced using kdissert to sisu
    markup, basic and experimental

  * kdissert_to_sisu: some fixes, still very basic and experimental
    [data/sisu/conf/convert or /usr/share/sisu/conf/convert]

  * param, minor fix to "prefix" metadata regex

  * renamed a couple of libraries related to file conversion

%% sisu_0.41.4.orig.tar.gz (2006w24/7 | 2006-06-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.4.orig.tar.gz
  4182ed0cd4d32beaa71e53028fdd17c5 667716 sisu_0.41.4.orig.tar.gz
  4d1c95b8e8734adfa72ed7ca3dca443d 631 sisu_0.41.4-1.dsc
  210daf7fd979a41b1a34db3918a68dbc 98286 sisu_0.41.4-1.diff.gz

  * kdissert_to_sisu: a very basic trial conversion script from kdissert .kdi
    to sisu .sst markup provided [preliminary/proof of concept, provided in
    data/sisu/conf/convert or /usr/share/sisu/conf/convert] (Kdissert, by
    Thomas Nagy is a topic/mind mapping tool for the preparation of documents
    http://freehackers.org/~tnagy/kdissert/ )

%% sisu_0.41.3.orig.tar.gz (2006w24/3 | 2006-06-14)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.3.orig.tar.gz
  fc5f119deefab7cab8c226d8724d4f99 666605 sisu_0.41.3.orig.tar.gz
  a64f86b41186e6edc039c960a41c2e1b 631 sisu_0.41.3-2.dsc [2006-06-15]
  e3bab2d070567bed6e0c72762beb594b 98885 sisu_0.41.3-2.diff.gz
  55e612d16607e1a23dd2aa2d241a374f 631 sisu_0.41.3-1.dsc
  36a386fb433eb17e7cfe195b09216d8c 98249 sisu_0.41.3-1.diff.gz

  * options parsing changes, possibility of letter duplication
    removed [-CC no longer will work use -C --init=site]

  * texpdf_format, old code rearranged

  * sysenv, fixes in File_map where @md (param) not available

  * info related to share source file and sisudoc, bug fix

%% sisu_0.41.2.orig.tar.gz (2006w23/5 | 2006-06-09)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.2.orig.tar.gz
  e98068cf061df4f428b40cfee984f593 666123 sisu_0.41.2.orig.tar.gz
  55896e6fd677475b3af56b19d20fc33a 631 sisu_0.41.2-1.dsc
  d66cc73ca8fa3103a5de58903e99626c 98220 sisu_0.41.2-1.diff.gz

  * search form, options passing, sisu -F --webserv=webrick

  * html segments endnote fix for the deposit of endnotes occurring in levels
    :A - :C

  * texpdf, a4 text height re-fixed

  * digest, document metadata, info re-fix

  * plaintext, small fix, document metadata

%% sisu_0.41.1.orig.tar.gz (2006w23/3 | 2006-06-07)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.1.orig.tar.gz
  e8c3381acb10e678e167755181380091 665743 sisu_0.41.1.orig.tar.gz
  116ee32633631a305307f59eef4f32e9 631 sisu_0.41.1-1.dsc
  fef43880a4b0c0ce68ca269b19108216 98204 sisu_0.41.1-1.diff.gz

  * defaults, html_format, some html cleaning (including fix of html comment
    marker that was problem for dillo in doc.html)

  * html segments endnotes, fix for first segment, (endnotes were deposited in
    first segment multiple times (or rather this happened in some segments
    following a level :A - :C heading ))

  * markup_convert, hub, changes, should now be possible to convert and
    generate in a single changed rune, e.g.

    sisu --convert=to38 -h autonomy_markup0.sst gpl2.fsf.sst

%% sisu_0.41.0.orig.tar.gz (2006w22/6 | 2006-06-03)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.41.0.orig.tar.gz
  b35ae1c9380d3ec94db8f97950e32a82 665634 sisu_0.41.0.orig.tar.gz
  bd2e6542cd3dba16d0489155d1b4e7d5 631 sisu_0.41.0-1.dsc
  e1d2948368753d4880c8ba9efcb2a651 98182 sisu_0.41.0-1.diff.gz

  * options, (command line options) message passing (should become cleaner),
    program piping changed, command line information added as 'opt',
    (subsequently contained within param 'md'), creates considerable scope for
    further tidying (cosmetic refactoring) [most code affected, preliminary
    tests passed, (some possibility of bugs and breakage)]

  * hub, param, hooks in place to permit modification of default processing
    instructions set in config files or within document headers by way of
    command line processing instruction starting with -- (however, only
    implemented for latex/pdf paper size).

  * hub command line now accepts individual command instructions, previously
    was necessary to write, e.g.
      sisu -mNhwpoabxXyv [filename/wildcard]
        (sisu -3 [filename/wildcard] for short) now may alternatively write:
      sisu -m -N -h -w -p -o -a -b -x -X -y -v [filename/wildcard]

  * dbi command line rune now requires "--" before instruction,
    --import, --update, --recreate, etc.
    removed short forms for --import and --update (-i and -u)

  * texp pdf, adjustments to document presentation dimensions
    (A4, US_letter, book_b5, book_a5, US_legal)

  * texpdf, command line parameter may be used to change paper size output
    sisu -p --papersize='book' [filename]
    preset sizes include: 'A4', U.S.  'letter' and 'legal' and 'book'  sizes 'A5'
    and 'B5' (system defaults to A4).

  * texpdf, image resizing for different paper sizes
    (useful when offering on the fly alternative document dimension processing)
    (manually calibrated to suit default document layouts) [note however other
    blocks such as tables are not (yet) handled similarly]

  * help (interactive help) now needs to be invoked with:
    sisu --help [help query]
    sisu on its own will still get you into an interactive help mode

  * [consider permitting multiple document size pdf outputs, (easily done, but
    promises slower processing as each additional size selected is generated)
    currently you select your size and get a portrait and landscape, the
    selection of whatever size over-writes the other, as they are saved to the
    same file-name]

%% sisu_0.40.4.orig.tar.gz (2006w21/7 | 2006-05-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.40.4.orig.tar.gz
  4266b03409162c68322b054fda599134 664267 sisu_0.40.4.orig.tar.gz
  009e41731e25ddfde8e685998432d795 631 sisu_0.40.4-1.dsc
  4469b7acab1e00ac9b4fcdf5ae384edb 98011 sisu_0.40.4-1.diff.gz

  * tex pdf, minor adjustments, including page-breaks restored for 0.38 markup

  * package source directory renamed with underscore instead of hyphen

%% sisu_0.40.3.orig.tar.gz (2006w21/3 | 2006-05-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.40.3.orig.tar.gz
  f67f66e42617dd2c0cd8d28cfa95e217 663690 sisu_0.40.3.orig.tar.gz
  2280c18cbb60c671a06e0b2dced435af 631 sisu_0.40.3-1.dsc
  84cb50d042b87fc19e42b156a27480a4 97951 sisu_0.40.3-1.diff.gz

  * metaverse, fix reference to dc_publisher in param (not publisher)

  * rant installer checked, removed sisu-examples, and post install routine as
    document samples are now packaged separately as sisu-markup-samples

%% sisu_0.40.2.orig.tar.gz (2006w21/3 | 2006-05-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.40.2.orig.tar.gz
  e792de16cb6acbe2cabe3c650eef47ce 665085 sisu_0.40.2.orig.tar.gz
  76c87061052e430d8d8ac0cfad4a2168 631 sisu_0.40.2-1.dsc
  eee774779cb3a15cb164c032de5ae4cc 97904 sisu_0.40.2-1.diff.gz

  * babel, more use of translation module, used in metaverse (originally used
    for manifest) [expand]

  * correction to apt sources.list information provided in this document for
    0.40.1, and updated in README

%% sisu_0.40.1.orig.tar.gz (2006w21/1 | 2006-05-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.40.1.orig.tar.gz
  86b2c25a8bccb0ecb38f0e1fe11aa522 664295 sisu_0.40.1.orig.tar.gz
  3a2a198b18847ebf6ccf30278848e354 631 sisu_0.40.1-1.dsc
  85d6478dd001f19f7e3d126a47d85aea 97880 sisu_0.40.1-1.diff.gz

  * debian archive sources.list changed, started using reprepro to produce
    apt archive, debian "upstream" /etc/apt/sources.list changes to:

      deb http://www.jus.uio.no/sisu/archive unstable main non-free
      deb-src http://www.jus.uio.no/sisu/archive unstable main non-free

    [archive string corrected]

    [previous string (obsolete for future releases) was:
      deb http://www.jus.uio.no/sisu/pkg_priv ./deb/
      deb-src http://www.jus.uio.no/sisu/pkg_priv ./src/
    ]

%% sisu_0.40.0.orig.tar.gz (2006w20/7 | 2006-05-21)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.40.0.orig.tar.gz
  cfaa83c0f7a55a143b50865d72338442 663916 sisu_0.40.0.orig.tar.gz
  5d0801b203e3d76f46b676676226d537 631 sisu_0.40.0-1.dsc
  68e6d68b871920b372a20ca8ba479b55 97850 sisu_0.40.0-1.diff.gz

  * translate, an internal framework for the translation of related text used
    first for the document manifest. (it is suggested that i look at gettext)
    some initial translation by daniel (german), nicholas (french), agi
    (spanish), enrico (italian), hanna (finnish)

  * param, metaverse fix, 0.38 markup syntax to work with processing
    instructions related to levels and their translation from :A,:B,:C,1,2,3 to
    internal representation 1,2,3,4,5,6

  * debian package sisu-examples removed, debian packaging policy requires
    removal of un-modifiable documents from the main archive. accordingly the
    books provided as markup samples have been moved from the main sisu package
    to sisu-markup-samples (which should eventually make its way to the debian
    non-free archive). Considerable changes in packaging required, and new
    version number appropriate.

  * [mention of use of reprepro in this release was premature, see sisu-0.40.1]

%% sisu_0.39.3.orig.tar.gz (2006w19/7 | 2006-05-14)       [Debian Release snapshot, uploaded by Wookey (at Debconf 6, in Queue new till replaced)]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.39.3.orig.tar.gz
  6eadfbf37cbaf43fbae49dc2b71209d2 3406768 sisu_0.39.3.orig.tar.gz
  cfca428562370b9b2672fc8f7f0b7840 647 sisu_0.39.3-1.dsc
  8338ef32ecb203bf0328f7f4eb71857a 95295 sisu_0.39.3-1.diff.gz

  * metaverse fix, changed rules on auto-naming of html segments resulted in
    the introduction of some undesirable artifacts, (actually a change in
    sequence, some risk of need for further modification)

%% sisu_0.39.2.orig.tar.gz (2006w19/5 | 2006-05-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.39.2.orig.tar.gz
  e80aae7a5733dbbee6545cb7ff0f9633 3406402 sisu_0.39.2.orig.tar.gz
  adde80ce35b3258feb199a65ccb5be88 647 sisu_0.39.2-1.dsc
  f8ffdfb51016cae9f150e95b7d92f177 95226 sisu_0.39.2-1.diff.gz
  23a45dde920e1c0cab53231eb90865c0 647 sisu_0.39.2-2.dsc
  18f49697c0634fc87edccdfd6f4ba9ce 95835 sisu_0.39.2-2.diff.gz

  * what to do when missing required: header title; heading top;
    heading seg. carries risk, false positives not acceptable, testing
    required, may need to scrap

  * debian policy standards version 3.7.2
    debian vim policy changes, rename sisu_vim vim_sisu
    vim 7 in debian includes filetypes, syntax, and color, removed
    vim-sisu includes ftplugin

%% sisu_0.39.1.orig.tar.gz (2006w19/1 | 2006-05-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.39.1.orig.tar.gz
  bb72b981ace449a4803aaad879398266 3405744 sisu_0.39.1.orig.tar.gz
  acc111aae4ebf5485e3ae4740ebeab52 647 sisu_0.39.1-1.dsc
  9094b6e51890fbeb2789365add613143 95128 sisu_0.39.1-1.diff.gz

  * digest/dcc (document content certificate), fix: image digests reinstated
    [note: during some simplification of code, removed the need to flag images
    as local or remote, some regexes did not take into account this change, one
    in metaverse also addressed, (issue likely from 0.38.8 till this fix)]

%% sisu_0.39.0.orig.tar.gz (2006w19/1 | 2006-05-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.39.0.orig.tar.gz
  3c043d2f1356527686a72cd82858d7be 3405229 sisu_0.39.0.orig.tar.gz
  e1d17b525cf81dceefbb0c81d27aca76 647 sisu_0.39.0-1.dsc
  3657f7538d1cbd23c8b40d3e32862afd 95097 sisu_0.39.0-1.diff.gz

  * metaverse, changes to auto-naming/numbering of headings, and segment names
    [back to the more elegant auto-naming of segments solution, however, need
    to determined to be reliable (naming used to be done in a similar way)
    release passes initial checks though further testing is required; changes
    involve reducing the use of extra characters where possible in the
    auto-naming of html segments (the tilde and underscore were added to reduce
    the chance of name collision, and have now been removed where possible),
    additional checks that duplication does not occur have been added. This
    does mean any existing indexes (sql or hyperestraier) will have to be
    regenerated and url mappings/ links made within a sisu markup file to other
    sisu output of html segments will need to be checked and updated. Long term
    the currently implemented naming should provide a preferable solution
    (primarily in its being easier on the eye.)

  * odf, odd regex related bug related to matching of + sign in link text and
    corresponding urls fix not particularly satisfactory

  * debian policy standards-version back 3.7.0 ... (should be 3.7.2 but
    lintian and linda not up to date this instant)

%% sisu_0.38.10.orig.tar.gz (2006w18/5 | 2006-05-05)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.10.orig.tar.gz
3bc28f808280673e2f8b86dfe071a53a 3402660 sisu_0.38.10.orig.tar.gz
6c930e4ea4e3b41388bb61c9b6aad7ac 650 sisu_0.38.10-2.dsc
43717b69a0bf29cbd810a0c36066fb2e 95761 sisu_0.38.10-2.diff.gz

  * rebuilt using debian standards version 3.7.2
    (previous build used 3.7.0)

%% sisu_0.38.10.orig.tar.gz (2006w18/4 | 2006-05-04)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.10.orig.tar.gz
3bc28f808280673e2f8b86dfe071a53a 3402660 sisu_0.38.10.orig.tar.gz
26c4ae2cca2e1b22e826834fcd4c135b 650 sisu_0.38.10-1.dsc
2e17298545f1afb64d6258fb7f732be8 94904 sisu_0.38.10-1.diff.gz

  * minor fixes, need resulting from default removal of ._sst temporary files
    (master documents:processed composite documents:temporary files)

    process .ssm master file instead where possible, e.g. -R (and url info),
    (implemented in hub)

    _ flag provided as hack to have ._sst files kept at the end of a run, (as
    an alternative to use of the -M (maintenance) flag (which changes screen
    output))

  * vim ftplugin, minor irritation with vim folds sorted

%% sisu_0.38.9.orig.tar.gz (2006w18/3 | 2006-05-03)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.9.orig.tar.gz
f513d112435ff923e5197a5f5875c58a 3402148 sisu_0.38.9.orig.tar.gz
317ff04be060a534cc9ddaf356ebbe79 647 sisu_0.38.9-1.dsc
1b389daf0e1f52c6c1cc88bb48aaba0c 94879 sisu_0.38.9-1.diff.gz

  * sisupod/ sisu_doc, .ssm, renamed sisupod.tgz. Master document pod now
    contains the composite elements of the master, .ssm and .ssi files rather
    than the "composited document" ._sst, examine for example:
    http://www.jus.uio.no/sisu/alices_adventures_in_wonderland_and_through_the_looking_glass.lewis_carroll/sisupod.tgz
    [consider giving the option as this may not always be preferred, is
    necessary to find master within pod, but otherwise seems a more elegant
    solution]

  * search, debian:sisu "recommends" added hyperestraier
    [option in addition to sisu "atomic" search with postgresql and sqlite]

    some help on setting hyperestraier up (in very basic way) for sisu
    provided: sisu help hyperestraier

    documentation for hyperestraier: http://hyperestraier.sourceforge.net/
    file:///usr/share/doc/hyperestraier/index.html man estcmd

    for help on sisu search generally follow suggestions in: sisu help search

  * vim filetypes fix, the temporary ._sst rather than ._ssi

  * temporary files ._sst are now removed after run, unless -M (maintenance)
    flag is used

  * rexml fix necessary

  * help prompt fix

  * fix, 0.38 markup interpretation, evident particularly in XML Dom variant
    -X of a few documents, more strict regex

  * removed reference to 0.38 markup as experimental in help and man page
    (conversion script makes it easy to switch between markup versions)

  * debian 'Standards' version changed to 3.7.0

NOTE DISCARDED BUILD -{6d2149ba45d601347d9562edc2995fe7 3401901
sisu_0.38.9.orig.tar.gz}- -{b96ce1d8b5801c1e2ffa12eddbb1850a 647
sisu_0.38.9-1.dsc}- -{ee7182ffdca58bd94dec3d07d4ccb9f8 94874
sisu_0.38.9-1.diff.gz}-

%% sisu_0.38.8.orig.tar.gz (2006w17/6 | 2006-04-29)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.8.orig.tar.gz
9c1df6c4524fa3a047ca566b779f6600 3398443 sisu_0.38.8.orig.tar.gz
7514ebf71f95c0d3dd99d2355ad65fc0 647 sisu_0.38.8-1.dsc
63ae62d331f23a5f79819656e345ef8f 94794 sisu_0.38.8-1.diff.gz

  * images, in particular to do with remote sisu markup source
    e.g.  sisu -3
    http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/free_culture.lawrence_lessig.sst
    sisu -3
    http://www.jus.uio.no/sisu/sphinx_or_robot.leena_krohn.1996/sphinx_or_robot.leena_krohn.1996.sst
    should once again pull down and generate documents with images (consider
    using url base plus directory, to make unique image directories for
    external documents images)

  * vim:sisu syntax, spell
    [Re: use of Vim, have made the transition to Vim 7]

  * (html_tune, some renaming which could cause breaks)

%% sisu_0.38.7.orig.tar.gz (2006w17/4 | 2006-04-27)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.7.orig.tar.gz
39bf0e31035f4a97259e2b077835b7bc 3397454 sisu_0.38.7.orig.tar.gz
b37cba6a7ef7436dc9b4f95648d12a0d 647 sisu_0.38.7-1.dsc
75aa4afefc0bf8867de5498c6b9642fe 94763 sisu_0.38.7-1.diff.gz

  * sisu, code rearrangement, relatively minor, /usr/bin contains require only

  * vim:sisu ftplugin, only activate :setlocal spell spelllang
    if version >= 700

  * html, link to concordance only if < build concordance word count limit

  * (html, sub_toc fix for pg texts)

%% sisu_0.38.6.orig.tar.gz (2006w17/2 | 2006-04-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.6.orig.tar.gz
d01345fe0748ea24af2e206648be1df0 3397003 sisu_0.38.6.orig.tar.gz
a3819708b447aa1391c923847bc5f868 647 sisu_0.38.6-1.dsc
fa4f965f92835dccbdcadfbabc29528e 94717 sisu_0.38.6-1.diff.gz

  * a glance forward at ruby 1.9, some early tests passed
    [ruby 1.9.0 (2006-04-21)]

  * vim:sisu
    syntax: Spell on vim 7, not quite right colors: slate, vim colors, toned
    down, endnotes (green changed to "darkkhaki")

  * concordance, wordmaps renamed

%% sisu_0.38.5.orig.tar.gz (2006w16/7 | 2006-04-23)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.5.orig.tar.gz
b9eae129c6a86c89398a3af5170a22a8 3396296 sisu_0.38.5.orig.tar.gz
8a559bc917ef9bb082c46949cc77ac53 647 sisu_0.38.5-1.dsc
2f4ea49bd593d5557b9043b354335181 94686 sisu_0.38.5-1.diff.gz

  * primarily a new debian build as lintian 1.23.17 "published"
    yesterday, complains about existing builds

  * vim ftplugin, folds, another minor modification
    [without which would have been built as 0.38.4-2]

%% sisu_0.38.4.orig.tar.gz (2006w16/5 | 2006-04-21)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.4.orig.tar.gz
84d5e911d17aaf6a360972acd5bb3a3f 3395161 sisu_0.38.4.orig.tar.gz
60aa30b124edcd87a622f2a895f3c1a5 647 sisu_0.38.4-1.dsc
7aeae2641bf9b3968a08bb8fb9eeb8e2 94665 sisu_0.38.4-1.diff.gz

  * param, fix, correction to a condition for setting markup type to 'rad'
    (0.38)

  * param introduced header @clatalogue: (documented in man)

  * markup_convert and param, a refinement to matching :A type headings

  * vim ftplugin, folds, minor modification

%% sisu_0.38.3.orig.tar.gz (2006w16/4 | 2006-04-20)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.3.orig.tar.gz
aacb2696144a0d91da658266bff34010 3394702 sisu_0.38.3.orig.tar.gz
85ad80241d8be30c15af31979d4ed69e 647 sisu_0.38.3-1.dsc
8e3044976461dce97d78601f0f073c0a 94622 sisu_0.38.3-1.diff.gz

  * convert, refinement in 0.37 to 0.38 and back, required.

  * sample documents, header 'markup' not very descriptive, 'level' preferred,
    but not ideal either..., changed though accordingly

%% sisu_0.38.2.orig.tar.gz (2006w16/3 | 2006-04-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.2.orig.tar.gz
b7183828d8debf7dfeb671c44fcf984d 3394425 sisu_0.38.2.orig.tar.gz
6e4c33da7880dede7de035f53003388e 647 sisu_0.38.2-1.dsc
1df895d8457cf0e2a90c70536c65a5c9 94598 sisu_0.38.2-1.diff.gz

  * --identify ; --convert ; --query ; minor adjustments

%% sisu_0.38.1.orig.tar.gz (2006w16/1 | 2006-04-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.1.orig.tar.gz
6d6a57fb0671c0740abdd75389c8255e 3393572 sisu_0.38.1.orig.tar.gz
db731e962a0e6553602a978addc49933 647 sisu_0.38.1-1.dsc
7601b42bb90e739bdac0c65e4a46d753 94579 sisu_0.38.1-1.diff.gz

  * sisu --convert [filename/wildcard] converts between 0.38 and 0.37 markup
   (which is substantially the same as 0.16 markup, only the file names
   changed)

  * sisu --identify [filename/wildcard] attempts to recognises the markup
    version

  * sisu --query [version number| or history] provides a bit of information
    on changes to markup and file naming conventions used

  * urls, minor fix,
    (screen output of generated output omitted -H, (-h was ok))

  * generated cgi search form needs a writable present directory,
    warning of failure posted if it is not (consider placing result elsewhere)

  * vim syntax minor touch

%% sisu_0.38.0.orig.tar.gz (2006w15/7 | 2006-04-16)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.38.0.orig.tar.gz
ed0af7fd0c4b05301642422bd95647cc 3388111 sisu_0.38.0.orig.tar.gz
e8611c3610409c083c92d76da8c8ef6d 647 sisu_0.38.0-1.dsc
5b9872b1b278bf8697d76350038bc47b 94504 sisu_0.38.0-1.diff.gz

  Summary: there is some scope for breakage. preliminary tests passed new
  markup introduced, as alternative, existing markup is not affected - new
  document header markup, new document structure markup, experimental, [new
  header for tagging categories or topics, stub]

    a script modify.rb is provided for easy conversion between 0.37 standard
    and 0.38 experimental markup

  * alternative header notation, for consideration, an example
      @title: is equivalent to 0~title

  * sisu structure, experimental alternative notation,
    A,B,C,1,2,3 mapping to 1,2,3,4,5,6 switched on on encountering level A~ or
    if document header should contains @markup: rad
    * SiSU has in effect two sets of levels to be considered
    1-3 headings/levels, pre-ordinary paragraphs /pre-substantive text, and 4-6
    headings/levels, levels which are followed by ordinary text.  This may be
    conceptualised as levels A,B,C, 1,2,3, and using such letter number
    notation, in effect: A must exist, optional B and C may follow in sequence
    (not strict) 1 must exist, optional 2 and 3 may follow in sequence i.e.
    there are two independent heading level sequences A,B,C and 1,2,3 or using
    the standard notation 1,2,3 and 4,5,6 on the positive side:
      * the A,B,C,1,2,3 alternative makes explicit an aspect of structuring
        documents in SiSU that is not otherwise obvious to the newcomer (though
        it appears more complicated, is more in your face and likely to be
        understood fairly quickly)
      * the substantive text follows levels 1,2,3 and it is 'nice' to do
        most work in those levels a couple of issues to consider:
      * 1,2,3 usually precede A,B,C (and do for generated output),
        but in the form is better suited to this context, it takes some getting
        used to though, and may be necessary to add a marker (an optional
        exclamation mark (!) or colon (:) perhaps) to the A,B,C to indicate
        that they are not subsidiary values, and are 'greater' than 1,2,3.
        :A,:B,:C,1,2,3 colon selected as aesthetically more pleasing (to me)
        (despite exclamation mark already being in use for bold lines/headings)
      * there ends up being more in marking up to know, (which needs to be
        balanced against any perceived convenience) unless ultimately only one
        markup structure style is adopted
      * ok within code may confuse a bit, as things simple are not always what
        you would expect, present solution is to translate rad markup values to
        standard ones, so A,B,C,1,2,3 and references to them become 1,2,3,4,5,6
        (where you expect to find 1 you may find a 4)
    * a note on implementation of 0.38 experimental (rad), within the program
      structural markup is converted back to the the standard notation, i.e.
      levels A,B,C,1,2,3 are re-mapped to 1,2,3,4,5,6 which is used for
      processing

  * param, header, 0~tag or to use newer notation @tag: introduced,
    a stub for topic lists, categories, classification within documents.
    Formal only in the sense that to make work you need to be aware of previous
    categories, a degree of organisation is necessary.  Raises technical
    questions in relation to method and notation used for SiSU structuring.
    Mapping may be fairly simple for an independent system, however, it is a
    bit more complex to directly map to SiSU structure as SiSU has in effect
    two sets of levels to be considered A technically simple but inconvenient
    solution for making SiSU pages out of tags would be to have them between 4
    and 6 levels deep, four levels is however from a practical tagging
    perspective (a bit arbitrary and) an inconvenient minimum depth to require
    it also also could be inconvenient for other technical purposes

  * sysenv, utf-8 assumed if file encoding cannot be determined, 'fix' results
    from an unexpected issue with the use of alternative document header markup
    introduced in 0.38 (@title:) the program 'file' used to check document type
    no longer parses the markup document and recognises it as utf-8 unless the
    document starts with a sisu comment line %2

  * an auto-converter, with canned conversion from 0.37/traditional to 0.38
    (rad) markup and back from 0.38 (rad) to 0.37/traditional is tossed in to
    sisu-examples (permissions at 644) sisu-examples/config/convert/modify.rb
    once enabled (permissions and path set), usage: modify.rb --convert
    [filename/wildcard] for further options and generally a better place to
    begin: modify.rb --help this is a fairly generic simple tool that can be
    used to store other canned conversions

  * an auto-converter with canned conversion
      from 0.37/traditional to 0.38 (rad) markup and back from 0.38 (rad) to
      0.37/traditional is tossed in to sisu-examples (permissions at 644)
      sisu-examples/config/convert/modify.rb

  * refactor, minor, moved some dublin core checking, affects
    plaintext, html, xhtml, xml, odf ...

  * db, create added as synonym for createall

  * sqlite, common_db, create command makes directory for output if it
    does not already exist

  * header @structure: added as a synonym for @toc: it is used to build
    the table of contents, but probably more usefully thought of and described
    as the document structure header

  * sisu help, some additions and a fix
    sisu help env, 'issues' reporting when machine offline

  * vim syntax highlighting file (sisu-0.38),
    ftplugin more vimrc type defaults review, and colors minor

0.37 introduces NEW FILE-NAME EXTENSIONS rename 's/\.s[123]$/\.sst/' *.s{1,2,3}
rename 's/\.r[123]$/\.ssm/' *.r{1,2,3} rename 's/\.si$/\.ssi/' *.si

%% sisu_0.37.12.orig.tar.gz (2006w14/7 | 2006-04-09)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.12.orig.tar.gz
cf6d1cc419522f353e8b3e1f0c01afa6 3351564 sisu_0.37.12.orig.tar.gz
31f19920cceee8a8212c12ba5eb62ffe 650 sisu_0.37.12-1.dsc
73693cb634ddae10ebef21ddeffb0c26 93059 sisu_0.37.12-1.diff.gz

  * vim syntax highlighting file, further testing

%% sisu_0.37.11.orig.tar.gz (2006w14/7 | 2006-04-09)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.11.orig.tar.gz
7004d8060065f8c4f6108a7d8ba3b825 3350939 sisu_0.37.11.orig.tar.gz
e8ff904f31207140cbc35802c710b3ee 650 sisu_0.37.11-1.dsc
73a9275c43abfbee672d15b60262eb1c 93046 sisu_0.37.11-1.diff.gz

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)
    syntax/sisu.vim minor refinements; colors/slate.vim has become a bit of a
    christmas tree, pretty far from what it started out as, will probably tone
    it down again, (it works only on dark backgrounds)

  * help, 'environment' information, minor addition,
    (and sysenv remote host rescue so works when machine is offline): 'sisu
    help env'

%% sisu_0.37.10.orig.tar.gz (2006w14/4 | 2006-04-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.10.orig.tar.gz
416094f2d0e04e1a5c38df6a321712e3 3350639 sisu_0.37.10.orig.tar.gz
d7f836eec596a99db9bcbd8a21ebb885 650 sisu_0.37.10-1.dsc
a70a47001d321c3429eee72b0e0e7ea6 93016 sisu_0.37.10-1.diff.gz

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)

%% sisu_0.37.9.orig.tar.gz (2006w13/6 | 2006-04-01)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.9.orig.tar.gz
4d546c58a828821baf2463a8fa75d3d9 3350076 sisu_0.37.9.orig.tar.gz
886fd0492b54340111fead7edb20b250 649 sisu_0.37.9-1.dsc
d080e93446a7304e6fa699ffaec8cd80 92985 sisu_0.37.9-1.diff.gz

  * vim related files, cleaning
    (filetype.vim, syntax/sisu.vim ftplugin/sisu.vim & colors/slate.vim)

  * db common, fix for table representation

%% sisu_0.37.8.orig.tar.gz (2006w12/6 | 2006-03-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.8.orig.tar.gz
60a8f59bb38a43f6de2018a0ce150a60 3353064 sisu_0.37.8.orig.tar.gz
4782c9516557f93bf8aedea985068e14 649 sisu_0.37.8-1.dsc
b667a88206342970a051734073f7b791 92945 sisu_0.37.8-1.diff.gz

  * screen text ansi color turned off by default, (color does not suit all
    terms/consoles)
    * to turn color on by default, edit sisurc.yaml in (found in ./_sisu
    * ~/.sisu
      or /etc/sisu) set flag: color: true
    * to toggle screen color (on/off) use the -c flag

  * processing path where markup directory is not writable [and no other
  * default
    has been set] is now /tmp/_sisu_processing/$USER (instead of
    /tmp/_sisu_processing) [if document markup directory is writable, it
    remains ./_sisu_processing, unless a different processing path is set in
    active sisurc.yaml] e.g. of a non-writable document markup directory:
    /usr/share/sisu-examples/sample/document_samples_sisu_markup

  * processing path when /tmp/_sisu_processing/$USER is used, clean of content
    after use (as is in public area on a multi-user system) unless maintenance
    flag (-M) is used

  * sisurc.yaml, removed processing directory entry, rely on sysenv default
    (can still change default in sisurc.yaml)

  * help, added a bit of 'environment' information, [expand further as needed]
      sisu --help env

%% sisu_0.37.7.orig.tar.gz (2006w12/4 | 2006-03-23)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.7.orig.tar.gz
246a94c92f19e0640f6b5cf368ec6bd1 3351292 sisu_0.37.7.orig.tar.gz
eefac162286ca49563b20692536a6092 649 sisu_0.37.7-1.dsc
6794d8e1f5593fae1c920e301fd59fd7 92902 sisu_0.37.7-1.diff.gz

  * common_db, fix affecting pgsql for endnotes in heading levels 1-3
    [relational db catch-up with footnote fix in 0.36.24]

%% sisu_0.37.6.orig.tar.gz (2006w12/4 | 2006-03-23)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.6.orig.tar.gz
f0623474f1635d87f0d5674e0d3ae927 3351023 sisu_0.37.6.orig.tar.gz
c546a82203c685fe59be60ab5492fa96 649 sisu_0.37.6-1.dsc
699b594457459248a22e2ed97e56c4f5 92886 sisu_0.37.6-1.diff.gz

  * sisu control, minor cleaning

  * gedit/gobby syntax highlighting, very basic start, in:
    sisu-examples/config/syntax_hi

%% sisu_0.37.5.orig.tar.gz (2006w12/3 | 2006-03-22)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.5.orig.tar.gz
9a03bbcea82c1625bad4a92d6498e408 3351422 sisu_0.37.5.orig.tar.gz
46dca71f33c206dbff9b798f75733484 649 sisu_0.37.5-1.dsc
d3c5ed96ca85254870e2500d2e3957a2 92863 sisu_0.37.5-1.diff.gz

  * metaverse, digest: sha256 offered as alternative to md5
    (configure in sisurc.yaml, md5 should be sufficient for most purposes and
    remains default)

  * metaverse, auto bold markup fix

  * some code shuffling and method and variable renaming
    (including in sisu control file)

  * wmap, sorting of matches (object citation numbers)

  * wmap, words capitalised unless several letters uppercase or is a phrase
   (rather than a single word)

  * wmap, names/id associated to phrases, space replaced with underscore

  * html, heading tag names #h dropped if heading starts with alphabet so e.g.:
    #h1.2 but #linux [consider #h_linux]

%% sisu_0.37.4.orig.tar.gz (2006w10/4 | 2006-03-09)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.4.orig.tar.gz
22970c76bd545a4852076b958f288d0b 3350498 sisu_0.37.4.orig.tar.gz
4add721933eaf0b4418e28b61937c837 647 sisu_0.37.4-1.dsc
cd31e7f43b70bc8bbff7a53f8b96a540 92832 sisu_0.37.4-1.diff.gz

  * w3c compliance in html for: default homepage, document manifest, and
    wordmap, (and check that renders properly in lynx, elinks, links2, w3m,
    dillo as well as the rest)

%% sisu_0.37.3.orig.tar.gz (2006w10/4 | 2006-03-09)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.3.orig.tar.gz
a2f28400c4e741991cbca6c1239003a1 3350055 sisu_0.37.3.orig.tar.gz
cce7e960ead1ff0fdc2fb4903cdefcd7 647 sisu_0.37.3-1.dsc
acbada001ba115b5ac1c2f476a5b6d97 92809 sisu_0.37.3-1.diff.gz

  * default home page, make sure that html is w3c compliant, (and renders in
    lynx, elinks, links2, w3m, dillo as well as the rest)

  * editors (other than vim already done) filetypes match new filenames

%% sisu_0.37.2.orig.tar.gz (2006w10/2 | 2006-03-07)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.2.orig.tar.gz
422703f270dd8a0df5ea6de38097708b 3356778 sisu_0.37.2.orig.tar.gz
3669c92aa335a335f0e51a4566747862 647 sisu_0.37.2-1.dsc
db86dcd03b1ca8c3b730331ba1df62b8 92772 sisu_0.37.2-1.diff.gz

  * filename extensions, reduce in number and rename processed
    secondary/temporary files to make matching of editable files trivial *.ss?
    (editable files .sst .ssm .ssi matched with *.ss? or more precisely
    *.ss[tmi])

  * .sst (sisu structured text). .ssf removed, reason this is processed as
    being the same file as .sst and increases the possibility of confusion for
    the user.  .ssm (sisu structured master) .ssc removed for same reason as
    removal of .ssf described above. .ssm files may include .sst and/or .ssi
    files within them.

  * filename extensions, processed secondary/temporary files
      ._sst was .sss and previously .t (substantive content of composite/master
      file) .-sst was .ssu and previously .u (sisu markup .sst downloaded as
      url for processing) reason for choice, identifies as .sst files and are
      processed as such, while easily ignored/excluded on the command line for
      editing and processing. These can be ignored by the user, but should be
      processable by sisu as .sst files.

  * .ssd (sisu structured document) is retained, for use in sisudoc,
    or sisupod, where a zipped file with image and other content necessary to
    reproduce the original is made.

  * .ssi (sisu structured insert/information) unprocessed, sisu markup text,
    for use in master documents, is likewise unchanged

  * filetypes.vim made to match (filename extensions)

%% sisu_0.37.1.orig.tar.gz (2006w10/1 | 2006-03-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.1.orig.tar.gz
50064bf4ca448ca512f0867342bda977 3355756 sisu_0.37.1.orig.tar.gz
47cf73b44e96185a59eaf963ae832cf2 647 sisu_0.37.1-1.dsc
89a542fc1f5eb054ad6f701e368d2829 92500 sisu_0.37.1-1.diff.gz

  * cgi search forms in sisu-examples, updated to match filename extensions
   [and to match 'sisu-F webrick' equivalent]

%% sisu_0.37.0.orig.tar.gz (2006w09/7 | 2006-03-05)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.37.0.orig.tar.gz
24760db51b627f553d57e6b8126a37b5 3355565 sisu_0.37.0.orig.tar.gz
4cfb6fac0ac6179f1140389c38ef943b 647 sisu_0.37.0-1.dsc
8ca3ac75f71e776aeffa9727adb6e185 92371 sisu_0.37.0-1.diff.gz

  WARNING: FILE RENAMING NECESSARY as file name extensions have been changed,
  (there is scope for program breakage as a result, though preliminary tests
  have been passed).

  Also note that, SiSU markup syntax is unchanged.  Repeat: there is NO CHANGE
  to SiSU markup syntax.  Renaming of file-extensions should be all that is
  necessary for things to work as before.

  File extension name changes, note this does not affect SiSU markup in any
  way... but the .s1 .s2 .s3 and like types are discontinued, files should be
  renamed as explained below

  NEW FILE EXTENSIONS the obvious sd and sdf appear to be taken, and there is
  some use of .st and .sm extensions, so will use .ss extensions, which from an
  examination of vim filetype.vim and mime.types appear to be available.

  * sst (.ssf) ('sisu structured text')
      .sst == .s3 (also .s1 and .s2) .ssf == .s3 (also .s1 and .s2)

      rename 's/\.s[123]$/\.sst/' *.s{1,2,3}

  * ssm & ssc
    ('sisu structured master' and 'sisu structured composite') .ssm == .r3
    (also .r1 and .r2) .ssc == .r3 (also .r1 and .r2) [r was for require]

      rename 's/\.r[123]$/\.ssc/' *.r{1,2,3}

      suggested convention: use ssm where the master contains only requests for
      parts; use ssc where the composite document contains its own text but
      requests inserts. they are in fact (technically) interchangeable, not
      being recognised as distinct by sisu.

  * ssi
    ('sisu structured insert/information') (this is an unprocessed recognised
    as being in sisu markup but only used as part of a composite document .ssm
    or .ssc)

    ssi == si

    rename 's/\.si$/\.ssi/' *.si

  * ssd
    ('sisu structured document') [filename].ssd should be mapped to sisudoc.tgz

  THE FOLLOWING OCCUR IN PROCESSING they should be taken care of automatically
  on use of sisu

  * sss
    secondary file .sss == .t3 [t was for tmp]

  * ssu
    downloaded url .ssu == .u3 [u was for url]

  * sst_meta
    human readable processing file (metaverse)

    .sst_meta == .s3.meta

  * sst_meta.rbm
    ruby marshal processing file (metaverse)

    .sst_meta.rbm == .marshalMeta

  OTHER CHANGES

  * sample markup documents file type extensions changed to .sst from
    .s3

  * sisu, provide warning and advice on renaming when requests are made to
  * process files with old filename extensions.

  * xml(s) and xhtml, escape greater than and less than in "code" mode.

  * cgi search form, postgresql, fix - create canned url etc., in line with
  * what sqlite form does

%% sisu_0.36.25.orig.tar.gz (2006w09/7 | 2006-03-05)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.25.orig.tar.gz
c614a0f838c46065853ce8a70660df55 3355275 sisu_0.36.25.orig.tar.gz
14bb8779affa6b1fe88bcdfeb81d2c35 650 sisu_0.36.25-1.dsc
3091300f2045e946aff51a04beec9b77 91154 sisu_0.36.25-1.diff.gz

  [A Fix is Necessary will revisit]

  * metaverse, don't number headings that are numbered (or rather, start with
    numbers), [may need an escape]

  * manifest, don't assume a document will contain header (related/recommended)
    links

  * vim syntax highlighting, sisu.vim, added check that url not preceded or
    followed by > or < without an intervening space (or <br> which is a bit
    redundant but a fairly common error that is highlighted as such in full),
    needed for auto-markup match

%% sisu_0.36.24.orig.tar.gz (2006w09/2 | 2006-02-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.24.orig.tar.gz
f2a727ef111585efbb84fad7d131fdb0 3354247 sisu_0.36.24.orig.tar.gz
109b804513271cc4b0da43d27dcef8ef 650 sisu_0.36.24-1.dsc
95838c0b653fc987b69d76c4713015cc 91128 sisu_0.36.24-1.diff.gz

  * html, segmented, footnote in heading levels 1, 2, or 3, (deposit in first
    segment 4 that follows), and clean heading of the footnote reference marker
    after the segment in which footnote (for the heading) occurs

  * html, multilingual documents, ensure html filetype suffix is used in html
    i.e. use html file suffixes within html, even when -H (rather than -h) is
    selected
    [decision to hardcode protection is a bit arbitrary, suffixes required here
    by existing server configuration. Consequences of overlooking this
    requirement are a bit latent and fairly dire..., add configuration file
    escape of protection]

%% sisu_0.36.23.orig.tar.gz (2006w09/1 | 2006-02-27)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.23.orig.tar.gz
  c0677a4ae79820261fa28dd9e21c01ee 3354053 sisu_0.36.23.orig.tar.gz
  65ff2fede20f8aeb10a9f6cd55089e21 650 sisu_0.36.23-1.dsc
  51233be83917282cc1d13647902bd0f6 90413 sisu_0.36.23-1.diff.gz

  * odf, use of brackets (also square) within linked text (and linked images
    with text), fix
    { text to link (use of brackets odf issue fix) }http://url

  * odf, issue with ? in url in linked text and images, fix

  * odf, single step indent with bullet, fix

  * html, rights passed through special character filter...
    [do for other "fields"]

  * metaverse, a couple more characters sanitised
    “” converted to "
    — converted to -
    'irregular' whitespace converted to space

  * html, segmented, footnotes in subheadings (levels 5 & 6) a clumsy fix
    revisit and address upstream, [also notes name tag remains unclosed]

  * regex, set for utf-8, [you may wish to reconsider fixed default]

  * [sisu-examples, free_culture, minor adjustments to text]

%% sisu_0.36.22.orig.tar.gz (2006w08/4 | 2006-02-23)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.22.orig.tar.gz
  78d8d224b4db8985072b1806617b5ff0 3352595 sisu_0.36.22.orig.tar.gz
  6b8caa7cbf4893111deb30ccd05fc680 650 sisu_0.36.22-1.dsc
  b54396f9443c7f77a9c4ef695128a0bc 90388 sisu_0.36.22-1.diff.gz

  * odf, footnote fix for url matches

%% sisu_0.36.21.orig.tar.gz (2006w08/3 | 2006-02-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.21.orig.tar.gz
  a8e7a6adf347c9b20965b3d19ad872a7 3352881 sisu_0.36.21.orig.tar.gz
  b0ff57766149bf1dd63c002d4cba3a84 650 sisu_0.36.21-1.dsc
  089441cf1a4f72e63772f037036a18be 90358 sisu_0.36.21-1.diff.gz

  * metaverse, further fix to catch exception for auto-heading/title numbering,
    change of 0.36.19 (non-substantive/editorial hedings)

  * html cosmetic, lower navigation band in scroll (doc.html), fix

%% sisu_0.36.20.orig.tar.gz (2006w08/3 | 2006-02-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.20.orig.tar.gz
  60c3775c4f553906118f01f5976c2d70 3352515 sisu_0.36.20.orig.tar.gz
  264cb03dbd7a789568f70d94d117e56f 650 sisu_0.36.20-1.dsc
  e4d05f5a543f53bfe4acac5fb7ea3b66 90313 sisu_0.36.20-1.diff.gz

  * metaverse, fix required, issue introduced by 0.36.19, affected pdf

%% sisu_0.36.19.orig.tar.gz (2006w08/3 | 2006-02-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.19.orig.tar.gz
  3ff5116481aeb77583c4144a76f41589 3351726 sisu_0.36.19.orig.tar.gz
  a096c23f194e748505432b4ea0ae2a2b 650 sisu_0.36.19-1.dsc
  b6cedff150ad4a65aa85ad9e507a293b 90281 sisu_0.36.19-1.diff.gz

  * metaverse, document auto-heading/title numbering, rule change

  * odf anchor of heading matches to start of line, fix

  * odf hyperlinked text match, escape brackets within linked text, fix

%% sisu_0.36.18.orig.tar.gz (2006w08/1 | 2006-02-20)      [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.18.orig.tar.gz
  5d1e674fc8d61c703b8479c230abbe21 3351642 sisu_0.36.18.orig.tar.gz
  4186636de25bb42888c519cd62891101 650 sisu_0.36.18-1.dsc
  6f61755dc6baeb6b09aac52bba504616 90236 sisu_0.36.18-1.diff.gz

  * cgi sample form, sql search improved
    [development iterations necessary]

%% sisu_0.36.17.orig.tar.gz (2006w07/7 | 2006-02-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.17.orig.tar.gz
  3715d971d556c5eb4de10ccb8cae4857 3352507 sisu_0.36.17.orig.tar.gz
  2667514040bbdb928c130b2e565aea18 650 sisu_0.36.17-1.dsc
  f393dd1f8ba8b344aba976af2c92771e 90212 sisu_0.36.17-1.diff.gz

  * cgi sample forms (sqlite), match highlighting made case insensitive
    character 'i' added to two files in two places

%% sisu_0.36.16.orig.tar.gz (2006w07/7 | 2006-02-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.16.orig.tar.gz
  1d4ab63bb65308f27fc057e2c4f045de 3352304 sisu_0.36.16.orig.tar.gz
  2215b97903545574fe57c8b413ac5ba1 650 sisu_0.36.16-1.dsc
  5100b3d4bfb0eabf11cc3614e389005a 90196 sisu_0.36.16-1.diff.gz

  * cgi form (generator),
    canned url populates search field
    more cosmetic rearrangement of code, e.g. cgi_common_sql introduced
    for common code (in pgsql & sqlite forms)

  * manual cgi samples renamed and updated
    sisu-examples/sample/cgi-bin/sisu_search_pgsql.cgi
    sisu-examples/sample/cgi-bin/sisu_search_sqlite.cgi

%% sisu_0.36.15.orig.tar.gz (2006w07/6 | 2006-02-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.15.orig.tar.gz
  7daadfb8ea39c30c0bc2317e24a3ce17 3358917 sisu_0.36.15.orig.tar.gz
  13501be6212b0fd7067f4fccd575d22e 650 sisu_0.36.15-1.dsc
  12d5fcca3dfedf94d0f3360b06b78ffb 90169 sisu_0.36.15-1.diff.gz

  * cgi form (generator), some cosmetic rearrangement of code,
    order by output esp. for sqlite,
    image paths rearranged

%% sisu_0.36.14.orig.tar.gz (2006w07/6 | 2006-02-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.14.orig.tar.gz
  bb206e160026ee8a0804a86191d088fc 3355327 sisu_0.36.14.orig.tar.gz
  c3c8df68d3c9dea339fd18afce83f258 650 sisu_0.36.14-1.dsc
  dcbdde8b5401d7aa2ea08cf30d2a4202 90155 sisu_0.36.14-1.diff.gz

  * cgi form (generator) for pgsql and sqlite split up

  * cgi form (generator) match highlighting added
    [sample search form remains very basic]

  * images, minor change to sisu.png and
    inclusion of fsf/gnu levitating gnu

  * metaverse, sanitize ’ character

%% sisu_0.36.13.orig.tar.gz (2006w06/7 | 2006-02-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.13.orig.tar.gz
  7a4aa2e929e19df900f18b96ae1d5de6 3286170 sisu_0.36.13.orig.tar.gz
  92cde921735e33b3a781c2632470b721 650 sisu_0.36.13-1.dsc
  7a4aa2e929e19df900f18b96ae1d5de6 3286170 sisu_0.36.13-1.diff.gz

  * bold line shortcut tag, !_ where no bold list, a fix

  * minor, cosmetic code changes of tests with equivalents (type .nil? and
    .empty?) [done a bit quickly though]

  * minor, one spelling correction in free_as_in_freedom

%% sisu_0.36.12.orig.tar.gz (2006w06/4 | 2006-02-09)      [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.12.orig.tar.gz
  0e5ca6878d119dafc6652b4f3dd0fb24 3285735 sisu_0.36.12.orig.tar.gz
  01ecb4df7879f576e284339abc6b49e2 650 sisu_0.36.12-1.dsc
  8fe27729103af5a5cbddc26a89d7522e 90101 sisu_0.36.12-1.diff.gz

  * metaverse_syntax, fix required for alternative markup endnotes

  * cgi (frontend for pgsql), url link fix (.html suffix) for webrick server

  * digests/dcc, added info, minor

%% sisu_0.36.11.orig.tar.gz (2006w06/4 | 2006-02-09)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.11.orig.tar.gz
  31749714603f3730a5589eb736e26cab 3284870 sisu_0.36.11.orig.tar.gz
  49a9807d5b7cf436a303de1c8f7100d1 650 sisu_0.36.11-1.dsc
  79301acf6b43364639f34e2baa5697c3 90088 sisu_0.36.11-1.diff.gz

  * digest/dcc, further tuning of output presentation (digest.txt)

%% sisu_0.36.10.orig.tar.gz (2006w06/3 | 2006-02-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.10.orig.tar.gz
  672259d2176c1fa5bba0414493d74970 3284698 sisu_0.36.10.orig.tar.gz
  da64e5f067408b6db1ffac97649e246b 650 sisu_0.36.10-1.dsc
  25000b7faf86e44ccdb65b9c9bc0a42d 90073 sisu_0.36.10-1.diff.gz

  * digest/dcc, (document content certificate), a bit more information
    provided, in output and on man pages, e.g. see
    http://www.jus.uio.no/sisu/sisu_changelog/digest.txt
    or
    http://www.jus.uio.no/sisu/SiSU/digest.txt
    etc.

  * sisu man page, minor fixes and minor embellishments

  * home page, in default and skins, minor change

%% sisu_0.36.9.orig.tar.gz (2006w06/2 | 2006-02-07)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.9.orig.tar.gz
  e76442aac4a8cdd7492ad167dca41925 3282776 sisu_0.36.9.orig.tar.gz
  eedec4d07f05ea60143d87fe0b7a4d98 647 sisu_0.36.9-1.dsc
  565b0a6b88f2eda2dcd22284e5d6ff72 90040 sisu_0.36.9-1.diff.gz

  * fix of filelists where param is not parsed, relevant to rsync, scp and zap
    [problem introduced by changes made for multilingual documents which
    assumed that param is always parsed]
    [solution not elegant, but likely to remain a while]

%% sisu_0.36.8.orig.tar.gz (2006w06/1 | 2006-02-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.8.orig.tar.gz
  9ed1bf836f160a2bc1b731f28603b546 3281967 sisu_0.36.8.orig.tar.gz
  6284e201cc9cf8c0eccf7e25ac7d3868 647 sisu_0.36.8-1.dsc
  bc6c9675bfc3e14ef1a44b0b93d9cf6f 90003 sisu_0.36.8-1.diff.gz

  * plaintext dos/Unix, check that all dos linefeeds are in place

  * help (man pages, html, program), minor adjustments, and sync html
    with man pages

  * remote (rsync,scp) building of filelist for placement of output
    improved, relevant for multilingual documents
    [could be improved further especially for scp, where there is no
    language code all documents are copied, which results in
    duplication]

%% sisu_0.36.7.orig.tar.gz (2006w05/7 | 2006-02-05)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.7.orig.tar.gz
  b803f347a64d0419965e194f380988fe 3281398 sisu_0.36.7.orig.tar.gz
  d07542cb5d8789af37a89db8b5ef2753 647 sisu_0.36.7-1.dsc
  9cda1006001769a03a22245499ebc321 89967 sisu_0.36.7-1.diff.gz

  * metaverse, linefeed conversion, convert msdos line feeds \r\n to unix \n
    for processing

  * sisu(1) man page, note added on how to produce dos plaintext output file
    (instead of linux/unix)

  * plaintext, default shortcut flags changed to produce dos ascii files,
    reason, Unix/Linux seldom has a problem dealing other ascii filetypes, MS
    based programs are more likely to stumble, also if manifest built
    concurrently with plaintext will use plaintext command flag to give
    information on output type - whether Unix or dos etc. [could add a file
    check of type where manifest is built separately, not really necessary]

  * skins, minor edits, path to css corrected

%% sisu_0.36.6.orig.tar.gz (2006w05/6 | 2006-02-04)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.6.orig.tar.gz
  490413665dc030ac80eafde61d816aa0 3280852 sisu_0.36.6.orig.tar.gz
  5823740759b6c1cd7af9f0427f5e5446 647 sisu_0.36.6-1.dsc
  fcc375a5464c65be9a665d600b7b775a 89943 sisu_0.36.6-1.diff.gz

  * html (some w3c compliance steps) [2006-01-15]:
    * object "id" number names changed, preceded by letter o
    * use of name tag to give objects numbers (instead of id for numeric value)
    * footnote links changed (use of underscore (instead of tilde not permitted))
    * image tags "closed"
    * skin adjustment
    * finally reinstate w3c transitional xhtml header

  * html tables, changed organisation of code [2006-01-16]

  * odf tables [2006-01-17]
    [display only without tables headings]

  * odf pagebreaks [2006-01-17]

  * odf bullets [2006-01-17]

  * odf multiple images in object [2006-01-18]
    image handling, fix [2006-01-22]
    image captions [2006-01-22]
    placement within text "as char" [2006-01-23]

  * overview.txt updated with things done

  * url screen display, fix to urls in batch processing [2006-01-17]
    [overlooked because of personal practice of using rant/make to run all
    requested processes on each markup file in a batch process]

  * sisu headers, document recommended links, 12 link limit removed [2006-01-20]

  * tables, introduced an alternative visual representation [2006-01-20]

  * odf tables, max number of columns increased to 14 from 8 [2006-01-22]
    (12 may be useful for months plus at least one to describe content)

  * sisu_test.s3 document added to serve as quick test of markup forms and a
    rough guide however it does not at all serve as an example of a typical
    document [2006-01-21]

  * html anchor heading matches to start of line, [watch] [2006-01-22]

  * odf text links [2006-01-22]

  * odf bullets, as image, currently using "red pill" [2006-01-23]

  * texpdf special character vertical bar / pipe, fix [2006-01-23]

  * digests, document content certification, work on multiple images [2006-01-26]

  * digests, document content certification, (digest info) digest for
    document skin digest, and repeat of document digest [2006-01-27]

  * sql (pgsql, sqlite), special character escape, changes [2006-01-28]

  * docbook experimental introduced, another form of xml (may need to rename,
    so far represents a quick first pass at docbook, and does not qualify as
    docbook: docbook is released under a liberal license permitting all manner
    of modifications, but if modified may not be called docbook) is as noted
    experimental and undocumented, (and may as easily be quietly removed, or
    renamed as improved upon) [2006-01-31] [will need to study a number of things
    including embedding document parts (within parts)..., may take opportunity
    to introduce some substantive tags to sisu that are docbook compatible]

%% sisu_0.36.5.orig.tar.gz (2006w01/5 | 2006-01-06)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.5.orig.tar.gz
  e774624280d20e8e7153a5eaf6cfeadd 3271834 sisu_0.36.5.orig.tar.gz
  3dc07a05827739b13aebcdb07c777aed 647 sisu_0.36.5-1.dsc
  1b15ff3121d71868fcc64a912dd7d5c4 89869 sisu_0.36.5-1.diff.gz

  * sisu man page minor edit

  * copyright file contains information on setup.rb included with tarball
    and on Rant used to generate install,
    both under Gnu Lesser Public License

  * Debian build changed, fewer packages, hope to unify the SiSU development
    and SiSU Debian upload builds

%% sisu_0.36.4.orig.tar.gz (2006w00/7 | 2006-01-01)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.4.orig.tar.gz
  4fb9343d78745fe582c1d91c5874d8cf 3270301 sisu_0.36.4.orig.tar.gz
  d89b702d13d00b1bb34f6aca2a03b77a 691 sisu_0.36.4-1.dsc
  c0889387ad3fe063c38d04a7cdcd0695 89581 sisu_0.36.4-1.diff.gz

  * plaintext, multi-language document url adjustments

  * termsheet, output path and urls

  * [some multi-language document markup samples added to debian build in
    sisu-examples]

%% sisu_0.36.3.orig.tar.gz (2005w52/6 | 2005-12-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.3.orig.tar.gz
  b2ab154a1f2656edd9032500e757c03e 3261612 sisu_0.36.3.orig.tar.gz
  964e4279748cf63526b8963f162f1eaf 691 sisu_0.36.3-1.dsc
  ad3b135cb8dd825e56769b0f583b5542 13969 sisu_0.36.3-1.diff.gz

  * adjustments made for consequences of possibility of multi-language documents in sysenv, wmap, sql (psql/sqlite), remote put

  * sql prefix column changed to TEXT (from VARCHAR)

  * sysenv, change to the initialization of constants [revisit]

%% sisu_0.36.2.orig.tar.gz (2005w52/5 | 2005-12-30)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.2.orig.tar.gz
  990dd7e60ecfee3b9dce863a0a28cc4e 3261132 sisu_0.36.2.orig.tar.gz
  e2a3e592727eb67eacdc863a817df482 691 sisu_0.36.2-1.dsc
  d8e12848dc94f0c0da1a2afa23312e53 13913 sisu_0.36.2-1.diff.gz

  * sql (pgsql/sqlite), (a fix:) "manifest" column replaces "summary" column

  * html_format_table.rb removed, last dependency removed, rely on css

  * wmap use main css, and own styles

%% sisu_0.36.1.orig.tar.gz (2005w52/4 | 2005-12-29)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.1.orig.tar.gz
  099b3c9735e664d164a42835e157055b 3262472 sisu_0.36.1.orig.tar.gz
  646d6b052d0de625badd2ae22551808b 691 sisu_0.36.1-1.dsc
  31fc43e92b23ceb2834c8b2fdc4caaf5 13896 sisu_0.36.1-1.diff.gz

  * html batch processing fix, placement of files:
    index.html, toc.html and doc.html

%% sisu_0.36.0.orig.tar.gz (2005w52/4 | 2005-12-29)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.36.0.orig.tar.gz
  9f81885774e9bccf267ba1bde2d9894b 3261722 sisu_0.36.0.orig.tar.gz
  f380ff4f31e1e92c796017bf2636f037 691 sisu_0.36.0-1.dsc
  44f61789decda5816cf4b106fade30b2 13864 sisu_0.36.0-1.diff.gz

  * html -h -H behaviour switch, -h now produces urls with suffixes (hardlinks,
    including .html .pdf etc.) (this being the default that just works,
    including for reading output in a browser directly off a file-system), -H
    omits them and requires an appropriately configured web server.
    [change in behaviour is the reason for this version number bump]

  * multilingual/(multiple language) document filenaming convention and
    associated behaviour, made default, unless turned off in configuration file
    default:
      multilingual: false

  * multilingual/(multiple language) document output filenaming convention set
    at 1 in following example list:
    (1) outputdir/es.[file].html
    (2) outputdir/[file].es.html
    (3) outputdir/[file].html.es (which Apache for example can be
    the first option is convenient in that it organises versions of document by
    language in the output directory, (i tend to use 2 though)

    default:
      language_file: 2

    (the default in the absence of a setting is 1 es.index.html, rather than 2
    index.es.html)

    [contains a batch processing bug affecting some html output, fix in 0.36.1]

%% sisu_0.35.0.orig.tar.gz (2005w52/3 | 2005-12-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.35.0.orig.tar.gz
  f86673b0bf576a82aa73c80540a2303f 3260953 sisu_0.35.0.orig.tar.gz
  4db5b9c912b117286460a85b59fd8d8a 691 sisu_0.35.0-1.dsc
  362829f8d71ee03eaf47aa1f8b8f3856 13828 sisu_0.35.0-1.diff.gz

  * sisupod, sisu multi-language document pod, in place
    if config file permits, will search for multiple versions of the same
    document in different languages, by file naming convention, and all these
    will be placed into the same sisudoc source file, the intention will be
    to separate the sisudoc file format for single documents and sisupod for
    multi-lingual versions of the same.
    (changes to sysenv and sisudoc for this purpose)

  * multi-lingual versions of document naming and output conventions
    conceptually sorted,
    e.g. assuming config file set as appropriate
    language version name takes the form:
    filename~es.s3
    output alternatives become, (depending on config file setting)
    (1) filename/es.index.html
    (2) filename/index.es.html
    (3) filename/index.html.es (which Apache for example can be
    configured to use for automatically serving the users preference)
    it is now just to stepwise implement the rules for output...
    some detail remains as what to do with the default language, will this
    feature be strict so that too will have the language version code included,
    or, is it more convenient to drop it in that instance

    default:
      language_file: 2
    #  multilingual:  true

  * param, config filename placement information gathering rules for
    multi-document version output are in place, done with flexibility in mind,
    language insertions may be made at any of three points in filename

  * sub-numbering system, default behaviour change/correction, reset when any
    major number changes [consider offering the alternative of running
    sub-numbers, below 4~, would be set in header]

  * urls (-u, -U, -v), match new multilingual file naming convention

  * manifest, show multilingual version manifests, if available

    [contains a batch processing bug affecting some html output, fix in 0.36.1]

%% sisu_0.34.2.orig.tar.gz (2005w51/1 | 2005-12-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.34.2.orig.tar.gz
  db01ece3bc2314c57f0aa88d6ebd2974 3254394 sisu_0.34.2.orig.tar.gz
  197f762e774ddb42bc35c922386d3133 691 sisu_0.34.2-1.dsc
  2520379d811471ff5a3ca7fab6c4c646 13798 sisu_0.34.2-1.diff.gz

  * default css, fix to image links (paths),
    necessitated by changes to directory structure

  * digests, include in header url for set sisu_manifest, and time and version
    information at the top of the document

%% sisu_0.34.1.orig.tar.gz (2005w50/7 | 2005-12-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.34.1.orig.tar.gz
  d42234876268924db8dddd33faecd3b0 3254032 sisu_0.34.1.orig.tar.gz
  ba33053014594db6cc36489ccf49b5c1 691 sisu_0.34.1-1.dsc
  0d7297accec601ff4e9f93a4746f3cd5 13756 sisu_0.34.1-1.diff.gz

  * html and wmap output manifest cosmetic link change and a link fix in html

  * manifest, md5 if markup source is shared, show if -v

%% sisu_0.34.0.orig.tar.gz (2005w50/6 | 2005-12-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.34.0.orig.tar.gz
  b46664690687cec318848df0f2d663f7 3253826 sisu_0.34.0.orig.tar.gz
  2c5cdede22b60b4f71294ca1a2a1e804 691 sisu_0.34.0-1.dsc
  1c636c138c29931d6216349f0655a709 13695 sisu_0.34.0-1.diff.gz

  * directory structure changes
    [reason for version number jump]
    * all sisu output server configuration
      goes into subdirectories named _sisu,
      one within the main server directory
      and another within each document directory created
        _sisu/image
        _sisu/css
        _sisu/dtd
    * localised sisu markup/input configuration
      is placed directly under _sisu in the markup directory
      (rather than _sisu/config), the hierarchy becoming
        ./_sisu
        ~/sisu
        /etc/sisu
    NOTE: it is again necessary to run sisu -CC
    NOTE: the following have so far been considered and discarded as
    alternatives to _sisu: "sisu" discarded as a name sometimes used for a
    document directory; ".sisu" discarded as hidden output directories may be
    confusing to the user; "sisurc" remains a possible alternative which is a
    bit descriptive, however "_sisu" is consistent with the configuration
    directories, and chosen for now

    * see notes on css and images
    for changes to image and css output directories
    * see notes on configuration for notes on changes within
    _sisu in local markup directory

  * manifest, renamed from summary, sisu_manifest.html instead of summary.html
    [reason: less likely to be useful in other circumstances, summary freed as
    a reserved filename] [contains: #output #metadata #links]

  * _sisu: _sisu/conf files and subdirectories moved to _sisu
    [reason: the deeper directory structure made sense when sisu_processing was
    also contained with _sisu, it is no longer helpful,
    the directory structure of ./_sisu mirrors that of ~/.sisu]

  * images now placed within output directory sisu/image
    (there is a main sisurc directory and each subdirectory (mapping to a
    markup directory stub) contains its own sisurc directory)

  * generation of remote markup/source documents url, some work, on image
    mappings

  * css: logic in place for manually created css substitution
    * -CC copies css files to output/webserver director sisu_css
    if they exist in ./_sisu/css, ~/.sisu/css or /etc/sisu/css
    * -H or -h html -x -X for xml etc. will look in output/webserver
    sisu_css directory for any requested css. If it exists, pages created
    will link to it, otherwise, the default css files provded by sisu are used.
    * css requests may be done on a document or directory stub basis 0~css grey
    will look for grey_html.css and the directory stub book, will look for
    book_html.css
    [note: check and make pages more css friendly]

  * fix, if the within a document markup directory the directory
    _sisu_processing exists and is writable it will be used for processing
    otherwise /tmp/_sisu_processing is used
    [i.e. to use ./_sisu_processing for processing, create it]

  * sisurc.yaml defaults set to false to prevent zap (-Z) and css changes

  * Sam Williams copyright notice, included under 0~rights in Free as in
    Freedom, not sure how this has been missed.

  * minor screen display url correction, in sax.xml

%% sisu_0.33.0.orig.tar.gz (2005w50/4 | 2005-12-15)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.33.0.orig.tar.gz
  8a0907a006a1cb7187b5006db4f5ff7c 3252270 sisu_0.33.0.orig.tar.gz
  42b0ac73e9c5d680c70c86d9ee3115c2 691 sisu_0.33.0-1.dsc
  2c1a41d51aefa57d3a7c0f4c82356ce5 13649 sisu_0.33.0-1.diff.gz

  * processing directory, moved to ./_sisu_processing from ./_sisu/processing
    [reason: makes it easier to backup _sisu [you will almost never want _sisu_processing]]
    /tmp/_sisu_processing is default and used if the former directory is absent
    (instead of /tmp/sisu_processing for consistency)
    [reason for local directory processing option if /tmp is default, exists,
    if you prefer to keep processing out of /tmp]
    [consider for /tmp adding to path /tmp/_sisu_processing/[$USER]/[directory
    stub] to minimise likelihood of collisions, unlikely currently as the
    default is to regenerate "metaverse" for each request]

  * css, moved to [web_output]/sisu_css from [web_output]/style
    [reason: collision with other efforts, manual or otherwise even less likely]
    this means it is necessary to reinitialise directories, see sisu -CC

  * external document (using url to call for processing), paths for processing
    and downloaded images adjusted (processing and output)

  * install (Rantfile and rant: install), a fix required

%% sisu_0.32.5.orig.tar.gz (2005w50/3 | 2005-12-14)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.5.orig.tar.gz
  aaaa1f0b62a45f5631d6875b8d1c4f60 3250422 sisu_0.32.5.orig.tar.gz
  e201e7b1429886cf9b2be3ec14a63f18 691 sisu_0.32.5-1.dsc
  01009df572a86b00e2ea1d3ddf7b1211 13627 sisu_0.32.5-1.diff.gz

  * orig.tar.gz should now be updated together with debian package
    orig.tar.gz has not been updated properly since 0.31.4, debian package has
    issue with autopackage builder

  * debian package improved, however: diffs started from scratch, information/history abandoned
    Reason: undetermined problem with automated package builder.
    automated package builder (which uses darcs and darcs-buildpackage) builds package
    normally/properly with a pristine directory structure, but not with accumulated debian build history.
    For now, the orig.tar.gz and debian package structure are updated, and debian history is not included.

  * directory named extra removed from source tarball,
    extra/debian/man moved to debian/man

  * debian, correction of a man page

%% sisu_0.32.4.orig.tar.gz (2005w50/1 | 2005-12-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.4.orig.tar.gz
  bd699b88457a2daf06de35681cd4df47 3265783 sisu_0.32.4.orig.tar.gz
  2e8a85326c7e14845481affb4df00fc0 692 sisu_0.32.4-1.dsc
  e18913a52d26cf6bd1e5952b288cc08a sisu_0.32.4-1.diff.gz

  * odf (opendocument), images - an image per paragraph/object only, at present
    (thanks Alex Hudson #odf so_solid_moo for feedback, was placing paragraphs
    within paragraphs, last step in getting images working)

  * odf (opendocument), sisu document metadata

%% sisu_0.32.3.orig.tar.gz (2005w49/7 | 2005-12-11)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.3.orig.tar.gz
  83e69d4ae96e578e8d089e9ad52c53c0 3265897 sisu_0.32.3.orig.tar.gz
  e5c79923d0f574b7c9b8c5e36b9cead8 692 sisu_0.32.3-1.dsc
  6b95e5e713468c957da365e05bf5b3a7 258645 sisu_0.32.3-1.diff.gz

  * html endnote url re-fix

%% sisu_0.32.2.orig.tar.gz (2005w49/4 | 2005-12-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.2.orig.tar.gz
  b95ce4a61d1ad27eca528624fcc582c9 3265864 sisu_0.32.2.orig.tar.gz
  8d84f343edb6dc7dd5e4edbc54f5633c 692 sisu_0.32.2-1.dsc
  a95ac72c37636ac3ba15f6a9ec6ab4d2 258346 sisu_0.32.2-1.diff.gz

  * sqlite, repair

%% sisu_0.32.1.orig.tar.gz (2005w48/6 | 2005-12-03)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.1.orig.tar.gz
  568917465359a1324f973929009c6993 3265886 sisu_0.32.1.orig.tar.gz
  6f539432cebe4abfeadf87e993416fcb 692 sisu_0.32.1-1.dsc
  3420efac3b35079d0ad3197a1e7fb4e0 257563 sisu_0.32.1-1.diff.gz

  * minor code cleaning, mostly removal of commented out code,
    lib html_css.rb, removed as redundant

  * package: html files in data/doc/sisu moved to data/doc/sisu/html

  * debian:control a missing comma added to comma delimited depends list

%% sisu_0.32.0.orig.tar.gz (2005w48/4 | 2005-12-01)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.32.0.orig.tar.gz
  d9a549c11f77809c874ab664fc24d41f 3265763 sisu_0.32.0.orig.tar.gz
  f3605f1094fb587dbc113198054c868f 692 sisu_0.32.0-1.dsc
  54f1ebd40f654df574043270e8c939f4 257434 sisu_0.32.0-1.diff.gz

  * -v urls, minor correction

  * -q quieter
     pdflatex quieter [/dev/null screen ouput except for -v up]

  * -q -v -V -M -u screen information levels better sorted

%% sisu_0.31.5.orig.tar.gz (2005w48/4 | 2005-12-01)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.5.orig.tar.gz
  9fe95a6f45eb21dabcdf227ccce1dae9 3273030 sisu_0.31.5.orig.tar.gz
  a7faf0e8797755a628c055e29e2da34a 691 sisu_0.31.5-1.dsc
  fa5e70331f75052e604297d900907f38 13116 sisu_0.31.5-1.diff.gz
  [this should have been 0.32.0]

  * -v -M etc. (cosmetic) url, output path information improved
    additional possibilities in configuration, sisurc.yaml
    setting of programs used:
    text_editer, web_browser, pdf_viewer, odf_viewer
    setting of viewing preference, vis path, and url

  * -CC re homepages, new option setting the (manually crafted) home page,
    copy from first found of:
      ./_sisu/conf/home/index.html
      ~/.sisu/home/index.html
      /etc/sisu/home/index.html
    otherwise, as before will look for home page in:
      ./_sisu/conf/skin/doc/skin_sisu.rb
      ~/.sisu/skin/doc/skin_sisu.rb
      /etc/sisu/skin/doc/skin_sisu.rb
    and as before if that is not found, take the sisu default

  * css styles, start implementing a more flexible model for using
    alternative stylesheets, stylesheets may be specified in document header
    0~css or 0~stylesheet [name], and if that existws, or if a stylesheet
    exists that matches the markup directory stub, results in html, xhtml, xml
    as appropriate, requesting the matching stylesheets documunts
    [needs work and testing before it becomes really usable, for the time
    being is switched off by default to use must be enabled in conf file]
    [css stylesheets renamed, likely to be noticed]

  * -CCr -CCRZ stubs for remote copying/building of base site,
    images, css stylesheets, index.html and toc.html
    (not to be confused with existing remote placement of generated output)

  * Debian package adjustment

%% sisu_0.31.4.orig.tar.gz (2005w48/2 | 2005-11-29)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.4.orig.tar.gz
  5f9e68079806301e4f32ddc801ffdbd0 3249616 sisu_0.31.4.orig.tar.gz
  9bdc2f510a981efbd811194dddb230a4 679 sisu_0.31.4-1.dsc
  27db1bffe6571ee571e54961a450775e 11351 sisu_0.31.4-1.diff.gz

  * Debian packages broken into smaller packages, for better control over
    dependencies, source package structure affected (control, .install,
    .manpages)

  * sisu-composite together with sisu-examples installs the whole of SiSU

%% sisu_0.31.3.orig.tar.gz (2005w48/1 | 2005-11-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.3.orig.tar.gz
  562d89e8a4346350f749f660eb266a57 3245995 sisu_0.31.3.orig.tar.gz
  af095b570f9aa0a7d1472747ea854e8e 10769 sisu_0.31.3-1.diff.gz
  68cd0ea97435cc03c893d68d7e70259a 10789 sisu_0.31.3-2.diff.gz
  198aef746935e6fcf673b8fb33d6e581 579 sisu_0.31.3-2.dsc

  * remote url gathering of images re-fixed, e.g.
    sisu -Hpv http://www.jus.uio.no/sisu/free_culture.lawrence_lessig/free_culture.lawrence_lessig.s3
    should produce html and pdf of Free Culture from the online marked up file, with the images
    [sisu -CC (to copy downloaded images to the output directory)]
    sisu -pHv http://www.jus.uio.no/sisu/sphinx_or_robot.leena_krohn.1996/sphinx_or_robot.leena_krohn.1996.s3
    [has even more images, you will have to repeat sisu -CC]
    [includes a workaround for an odd bug: retry needed on first attempt]

  * sisu control, ensure file array unique
    [some risk of unforeseen consequences, test]

  * -v verbose output, minor, tagged on mention of sisu -W starting ruby
    webserver on sisu output directory

  * add link to sisu_faq, maintain faq

  * [debian, started using pbuilder
    (otherwise, package still built using darcs-buildpackage, and additional
    enthusiastic use of mercurial for version control)]

  * sisu_0.31.3-1 debian:control: Depends: ruby1.8 (>=1.8.3)

  * sisu_0.31.3-2 debian:control: Depends: ruby (>=1.8.2)

%% sisu_0.31.2.orig.tar.gz (2005w47/6 | 2005-11-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.2.orig.tar.gz
  e928fc31ce6109f924836c79a3c19027 3245306 sisu_0.31.2.orig.tar.gz
  374bbe3ae0ddc53a652c5abcb421d6a7 10726 sisu_0.31.2-1.diff.gz

  * debian autobuild fix [external scaffolding]

%% sisu_0.31.1.orig.tar.gz (2005w47/6 | 2005-11-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.1.orig.tar.gz
  b1734e76a39d043010e30722bbb3359c 3245133 sisu_0.31.1.orig.tar.gz
  20bbb1f84c34779e55abed80aae7fdf0 10679 sisu_0.31.1-1.diff.gz

  * odf, minor fix url match

  * [sample documents urls to amazon and barnes and noble
    added as courtesy to authors]

  * [Note: change to automated debian package build procedure]

%% sisu_0.31.0.orig.tar.gz (2005w47/5 | 2005-11-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.31.0.orig.tar.gz
  e6beae75cda1d00c68dc0d97c67cb540 3244304 sisu_0.31.0.orig.tar.gz
  8785cf622dee3fe07eed841b8cfbf8e1 10626 sisu_0.31.0-1.diff.gz

  * metaverse, header, italicise and bold lists,
    results in significant changes
    markup change use regex directly
    [results in odf (openoffice) repair of 0.30.9]

%% sisu_0.30.10.orig.tar.gz (2005w47/5 | 2005-11-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.10.orig.tar.gz
  ed89acbe1f406f2f55052651d12f1b78 3242816 sisu_0.30.10.orig.tar.gz
  6495690d1611efd7c9a8145a8b0ca73e 10589 sisu_0.30.10-1.diff.gz

  * rollback to 0.30.8 header, italicise and bold lists,
    use of semi-colon delimited list,
    [new version number 0.31 opened for header use of regex
    to italicise and bold]

%% sisu_0.30.9.orig.tar.gz (2005w47/2 | 2005-11-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.9.orig.tar.gz
  70cc77083106e86b98bcf719ec35d657 3242867 sisu_0.30.9.orig.tar.gz
  5ab1832552e65f598304baff2e253a88 10499 sisu_0.30.9-1.diff.gz

  * setup.rb 3.4.1 by Minero Aoki included with SiSU as an installer

  * package directory structure modified to comply with setup.rb default
    data/man moved to man as setup.rb, affects debian

  * header, italicise and bold lists, markup change use regex directly
    [instead of converting semi-colon delimited list]

  * minor notes on installation in README

%% sisu_0.30.8.orig.tar.gz (2005w47/2 | 2005-11-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.8.orig.tar.gz
  a75adbe1198732ec577c630e4b4e94dd 3229748 sisu_0.30.8.orig.tar.gz
  3a4cd20539b968f37d10c1a8383bc315 10595 sisu_0.30.8-1.diff.gz

  * latex pdf, the pdfetex parameters used appear to be Debian specific,
    SiSU LaTeX is written for pdflatex... change precedence/ search order,
    use pdflatex if present, otherwise try use pdfetex (with pdflatex parameter)

  * url/document output, (largely cosmetic fix) screen information,
    sisudoc (-S) and sisu markup source (-s) [-S was linked to sqlite]

  * url (-U) print urls without -v

%% sisu_0.30.7.orig.tar.gz (2005w47/1 | 2005-11-21)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.7.orig.tar.gz
  83c56fa696a75a9111295c99c2e5196e 3229287 sisu_0.30.7.orig.tar.gz
  2e581d080177a0aa24f7076597676438 10552 sisu_0.30.7-1.diff.gz

  * rsync screen message adjustment

  * skin:hp linked to sisu_changelog which has been separated from sisu_download

  * composite documents, fix manual closure of file is apparently necessary !

%% sisu_0.30.6.orig.tar.gz (2005w46/7 | 2005-11-20)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.6.orig.tar.gz
  c9abcf18916ac55d67308039f01933bb 3228496 sisu_0.30.6.orig.tar.gz
  810751b72796f862fe5d9f4cfcbe195b 10510 sisu_0.30.6-1.diff.gz

  * numeric shortcuts accept rsync extra command flag (-R)

  * rsync (-R), screen output minor (what default, verbose and quiet do)

%% sisu_0.30.5.orig.tar.gz (2005w46/7 | 2005-11-20)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.5.orig.tar.gz
  e3e08897e4d7c3373c5898f31926c094 3228219 sisu_0.30.5.orig.tar.gz
  583723571b8df2aa7717a7872b143227 10497 sisu_0.30.5-1.diff.gz

  * conf, homepage, skin path precedence, fix
    (related to finding ./_sisu/conf/skin/doc/skin_sisu.rb)

  * summary, suggested links, cosmetic: fix to static url

  * sisu_doc, drop making of directory _sisu/config
    (using _sisu/conf)

%% sisu_0.30.4.orig.tar.gz (2005w46/6 | 2005-11-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.4.orig.tar.gz
  a2a1bf159e3ccfdd7a15baf4f2603fbf 3227828 sisu_0.30.4.orig.tar.gz
  895212c9fb09f100674338b7694ad921 10481 sisu_0.30.4-1.diff.gz

  * html segments, summary button, fix (icon and link)

  * sisudoc, cosmetic: screen output, touch (remove repeat of output filename)

  * summary, suggested links, cosmetic: replace relative links with static url

  * conf.rb renamed from config.rb

  * moved sisu_changelog out of main SiSU document [has grown large]

%% sisu_0.30.3.orig.tar.gz (2005w46/6 | 2005-11-19)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.3.orig.tar.gz
  444a194aae38120f13fd3bf2f9ae505a 3227547 sisu_0.30.3.orig.tar.gz
  1d1b49a957cb118a3110574d26bb9304 10413 sisu_0.30.3-1.diff.gz

  * configuration, change, use ./_sisu/conf
    [WARNING ./_sisu/config is depreciated and will be removed]

  * db:pgsql, bugfix FROM required in a select statement
    [postgresql 8.1 complained]

  * zap, delete, -Z disable by default,
    to use must enable in sisurc.yaml

  * rmagick, disable load/require by default, sisurc.yaml
    problem with some local installs of ruby

  * pdfetex, call with -fmt=pdflatex

  * summary, metadata suggested links added

  * xml,xhtml,html tidy only run with -V or -M
    rexml only with -M, primary reason a considerable speedup
    in skipping step unless specifically requested for testing

  * sisu control file, changes a bit arbitrary, but a bit easier

  * debian control suggests keychain (added)

  * summary and place of composite document source (-s -y), though just request
    for other documents [decide later whether to include constituent document
    parts]

  * help, update, sync with man pages

%% sisu_0.30.2.orig.tar.gz (2005w46/2 | 2005-11-15)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.2.orig.tar.gz
  d0f8f7dfe1106616e3e0790c034cf190 3228007 sisu_0.30.2.orig.tar.gz
  f953aa19d54e99a7a8d4669aaffe87ad 10130 sisu_0.30.2-1.diff.gz

  * minor cleaning

%% sisu_0.30.1.orig.tar.gz (2005w46/1 | 2005-11-14)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.1.orig.tar.gz
  6367fc10883a98452d87044193338062 3227345 sisu_0.30.1.orig.tar.gz
  59706eabd49a51394887d4ebb218cd3c 10112 sisu_0.30.1-1.diff.gz

  * summary, include plain.txt where available

%% sisu_0.30.0.orig.tar.gz (2005w45/7 | 2005-11-13)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.30.0.orig.tar.gz
  2ab163fbf4a3b2ed31e14328ce69cbac 3227035 sisu_0.30.0.orig.tar.gz
  6b0103b794fe8c6c015043b56f7770cd 10096 sisu_0.30.0-1.diff.gz

  * param, polishing...

  * sql metadata, reworked ... ongoing

  * sisudoc, re-named sisu_doc rather than sisu_ball

  * sisudoc, only -V and -M show verbose tgz of what goes in to sisudoc (previously -v did)

  * name correction: SiSU is a recursive acronym, and has other
    alternative possible expansions, one of which i got wrong,
    under the influenced of the other !
    * SiSU information Structuring Universe
    * Simple information Structuring Universe
    * _Structured information Serialized Units_
    [<-- i got my last name wrong consistently wrote Serialized information
    Structured Units, which makes less sense, (i am guessing i managed to
    overlook this because of the position of the word structured in the first
    and second expansion) i guess this correction calls for a major version
    number change! hope no one (else) notices ;-) ]

%% sisu_0.29.5.orig.tar.gz (2005w45/5 | 2005-11-11)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.5.orig.tar.gz
  3e0ad7d2f8b02d0f3e61f113b2430269 3223938 sisu_0.29.5.orig.tar.gz
  90a2570933de02fabd965fe8218fa354 10060 sisu_0.29.5-1.diff.gz

  * for present have gone back to using pdfatex, need to spend some time to
    figure what needs to be done for pdfetex, LaTeX headers may need to change,
    in any event, calling it in same manner as padflatex broke pdf output, (no
    time et to sort out)

  * minor fixes, [regex match of param metadata and copyright sign in odf]

%% sisu_0.29.4.orig.tar.gz (2005w45/5 | 2005-11-11)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.4.orig.tar.gz
  0d47f551de9f140d6cabc84614e2b4d8 3223745 sisu_0.29.4.orig.tar.gz
  600d5725cd8835ce4cc345a10d074ca2 10035 sisu_0.29.4-1.diff.gz

  * summary, make easily available from different outputs

  * metaverse, autonumbering of segments from manual text markup,
    re-checked/re-fixed [as presents some risk must be selected in heading]

  * metaverse, when run remove maintenance metaverse file unless -M flag used

  * param, endnotes checking, where endnote references and endotes are separate
    check than number count matches else report error, [and place error in
    document summary]

  * opendocument, renamed file odf

  * opnedocument, added matching & linking of urls and mail address

  * summary, warning of document error if endnote number mismatch, note this
    cannot occur if the preferred markup style for endnotes is used.

  * sysenv, pdfetex, debian renaming, search for pdfetex, pdftex and pdflatex
    to generate pdf from SiSU's LaTeX output

%% sisu_0.29.3.orig.tar.gz (2005w45/2 | 2005-11-07)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.3.orig.tar.gz
  f4b9e6b875e9d01c1c52bfa68f1e3d56 3222790 sisu_0.29.3.orig.tar.gz
  da61f9e61a5e5b7538c47d996b24a937 9961 sisu_0.29.3-1.diff.gz

  * rsync use added for remote puts -R (scp is -r)

  * summary bug fix, variable scope reduced
    (incorrectly retained information from previous files in batch runs)

  * introduced -K which deletes output files prior to processing of files of
    same type

  * -s sisu markup source copied to output directory, (placed remotely with -sr)

  * -S sisudoc made and copied to output directory, (placed remotely with -Sr)
    [renamed from -Z]

  * --update updates previous output, with same filetype output only, useful

  * [-F renaming from -S naive cgi search form sample]

  * [minor editing of program file headers]

%% sisu_0.29.2.orig.tar.gz (2005w45/1 | 2005-11-07)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.2.orig.tar.gz
  b8ecd141040e1ffa0820cdf9382304a7 3220476 sisu_0.29.2.orig.tar.gz
  3d42aeb8d9648fed4baf837c59cff7a5 9899 sisu_0.29.2-1.diff.gz

  * sql table metadata created, replaces table titles
    [breaks former table structure]

  * sql urls replaces links table

  * pgsql comments

  * cgi scripts use table:metadata instead of table:tiles

  * xml series, poem and group (and code) first pass

  * opendocument renamed odt.tgz instead of o_doc.tgz

  * summary, (-y) summary of document outputs generated and document metadata
    (metaverse includes links to summary, as does html band and latex doc info)

  * data/sisu (/usr/share/sisu) created for sisu shared images and odf,
    subdirectories, separating packages sisu from sisu-examples which is
    recommended only, and should not be needed to provide what sisu requires.

  * debian/sisu.install map data/sisu to /usr/share/sisu

  * [small changes: webserv var rename; cosmetic removal in html and xml of
    less-than greater-than on copy @ \<< home \>>]

%% sisu_0.29.1.orig.tar.gz (2005w44/6 | 2005-11-05)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.1.orig.tar.gz
  c2a36974bf9c9d04e3c402a01500be68 3214920 sisu_0.29.1.orig.tar.gz
  398f1f15f798bb31679ca91cb1b400ab 9802 sisu_0.29.1-1.diff.gz

  * tar gzip files changed file suffix to .tgz (instead of .gz)
    comment added to man page and help

  * html some character encoding corrections (é and a few others)

  * param recognises rcs in addition to cvs and 0~rcs+ $Id$ may be used
    [as alternative to 0~cvs equivalent, metaverse and downstream adjusted
    accordingly]

  * debian/control added suggests lv and rcs as alternative to cvs
    [to which it is personally preferred for document control (as making
    more sense working with favoured used development distributed source
    control management systems, mercurial and darcs)]

%% sisu_0.29.0.orig.tar.gz (2005w44/1 | 2005-10-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.29.0.orig.tar.gz
  a1658902d929eee564c77f061568a677 3214113 sisu_0.29.0.orig.tar.gz
  fc3c5c566c307636d23467476d38b5bf 9732 sisu_0.29.0-1.diff.gz

  * metaverse autonumbering changed,
    affecting default html segment naming
    [change to metaverse affects downstream processing]

%% sisu_0.28.4.orig.tar.gz (2005w44/1 | 2005-10-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.28.4.orig.tar.gz
  f3f00e850a17d2fbfbffadf8a0d6ef5d 3213380 sisu_0.28.4.orig.tar.gz
  e9e5a3f5a1ed1065b2c02b15d630a213 9718 sisu_0.28.4-1.diff.gz

  * opendocument -o now defaults to produce metaverse first -mo
    (this is behaviour for other outupts such as html, latex/pdf...)

  * metaverse footnote url matches, tuning

  * texpdf url matches, tuning, especially footnotes

  * help update of processing flags, checked against man pages

  * some changes to variable names, cf instead of rf (also used pf briefly)

  * debian control file, minor edit of description of SiSU

  * doc/overview.txt update on things not done in list

%% sisu_0.28.3.orig.tar.gz (2005w42/7 | 2005-10-23)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.28.3.orig.tar.gz
  144e450c59d99c9baa24e1f265e19182 3212941 sisu_0.28.3.orig.tar.gz
  bf0ecc4e8a2378acfadee2158005a500 9669 sisu_0.28.3-1.diff.gz

  * metaverse, bullets accidentally removed, and put back

%% sisu_0.28.2.orig.tar.gz (2005w42/6 | 2005-10-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.28.2.orig.tar.gz
  ae92bc6a14600a15f4bfbe5512bf9af2 3213202 sisu_0.28.2.orig.tar.gz
  ee23f7ac2122521fe4d802e023921a7f 9644 sisu_0.28.2-1.diff.gz

  * texpdf character encoding bugfix, (removed iconv) however,
    sisu requires utf-8 input for extended character sets

  * character encoding touches, e.g. sample files saved as utf-8

%% sisu_0.28.1.orig.tar.gz (2005w42/6 | 2005-10-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.28.1.orig.tar.gz
  e672ccc483cf48fed084bfce99f87b8d 3212728 sisu_0.28.1.orig.tar.gz
   dbe154e00f8421a2f05c67a11c2e7cbc 9618 sisu_0.28.1-1.diff.gz

  * character encoding, moved a basic transform to metaverse,
    hopefully more predictable characters to deal with and
    made easier to work with postgresql, affects other modules
    changes to html and texpdf, neither perfect, both need work
    esp. html. two steps forward one step back

  * some database operations visited, (update)

%% sisu_0.28.0.orig.tar.gz (2005w42/5 | 2005-10-21)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.28.0.orig.tar.gz
  12064bd92864441ab8b103f094412c2f 3210000 sisu_0.28.0.orig.tar.gz
  22c5452ca4a060ddbb4bcb768a4bd119 9600 sisu_0.28.0-1.diff.gz

  Release (and version number bump) primarily to put ruby sisu segfault
  bug behind us, Debian ruby-1.8.3-2 released and fixes this
  [an emergency build to work around the problem was made available as
  0.27.0 see note there for details]

  * remote placement of open document files added (odt)

  * added open document format to several default shortcuts sisu -2 etc.

  * made note of opendocument format output on sisu home page
    [feature not complete]

  * synced skin_sisu.rb files, (there are a bit too many of them,    most would normally be syslinks)

%% sisu_0.26.4.orig.tar.gz (2005w42/2 | 2005-10-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.26.4.orig.tar.gz
  6cd9d7bcb42a48a7475d6bd724b766be 3202069 sisu_0.26.4.orig.tar.gz
  5f0a0dec3a5819f2e266581d912255ad 9499 sisu_0.26.4-1.diff.gz

  * sisu file format flag moved to -Z (from -B)

    * sisu -Z without [filename/wildcard] makes gzip of sisu directory of
      marked up files, including sisu markup source files, local configuration
      file, images and skins.

    * sisu -Z [filename/wildcard] makes gzip of individual sisu file specified
      including sisu markup source file and related images and skin

  * opendocument format, -o, experimental, incomplete, [ignore]

    done:
      headings
      footnotes
      bold underscore italics strikethrough
      superscript subscript
      extended ascii set
      indents
      groups
        tables
        poem
         code

      todo:
        groups
          tables
        images
        bullet
        line break?
        page break?
        table of contents
        page header/footer?

   * debian build (i) recommends sqlite added, overlooked previously;
     (ii) added recommend zip, used in the making of open document;
     (iii) removed recommended incorrect libcgi_ruby. libfcgi-ruby1.8, remains;
     (iv) have added a basic open document file structure as a tgz file.

%% sisu_0.26.3.orig.tar.gz (2005w40/5 | 2005-10-07)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.26.3.orig.tar.gz
  309cbdc9b2ab048a670ca9301aaeee87 3183245 sisu_0.26.3.orig.tar.gz
  3dc4a9587427db4819a10958c4adde5c 9342 sisu_0.26.3-1.diff.gz

  * a sisu file format introduced:, -B, a gzipped file, containing:
      sisu markup sourcefile,
      its images
      and its skins,
    opens as sisu_ball directory, which once unipped sisu may be run within,
    (sisu does not at present automatically unpack and run on these files,
    but is a convenient way of packing the contents of a file for sending)
    [early days]

  * man1/sisu.1 upadated and html on -B sisu file format (sisu help not yet done)

  * cosmetic firefox taken from list of lightweight browsers,
    remains very much amongst the heavies

  * cosmetic correction on info related to librmagick-ruby contained within
    sample document free_culture

%% sisu_0.26.2.orig.tar.gz (2005w39/5 | 2005-09-30)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.26.2.orig.tar.gz
  2b5f2c65088a6f95303c2b99d5033386 3179769 sisu_0.26.2.orig.tar.gz
  9d2aa597a50af0608c382e6f52f8a873 9322 sisu_0.26.2-1.diff.gz

  * css, minor, caption - display: inline;

  * syntax highlighting (sisu markup), editor configuration files, added, see
    sisu-examples/config/syntax_hi/README
    /usr/share/sisu-examples/sisu-examples/config/syntax_hi/README

    for the editors:
    * nano        http://www.nano-editor.org/
    * diakonos    http://purepistos.net/diakonos/

    NOT REALLY DONE, but intitial attempt included anyway:
    * nedit       http://www.nedit.org/
    * gedit       http://www.gnome.org/projects/gedit
    * kate        http://kate.kde.org
    * emacs       http://www.gnu.org/software/emacs/emacs.html

    [vim-sisu still provides the most comprehensive sisu markup
    editor environment]

  * evince becomes the default pdf in maintenance urls etc. (previous was xpdf)

  * document samples image dimensions manually provided, affected document
    sample "Free Culture", Lawrence Lessig. Note this is not necessary from
    sisu-0.20.0 onwards, if you have rubymagick installed.

WARNING ruby 1.8.3 (2005-09-21) [i486-linux] segfaults SiSU
FIXED in 1.8.3 (2005-09-29) [i486-linux] thank you TS/Guy Decoux
the new ruby build is not as yet uploaded to Debian unstale

%% sisu_0.27.0.orig.tar.gz (2005w39/1 | 2005-09-26)       %% Emergency Release:

NOTE: this is an emergency version of SiSU that does not segfault with
problem versions of ruby, see note follwing. It is prepared without Syck/Yaml

Problem ruby versions:
* ruby 1.8.3 (2005-09-21) and was removed by TS:Guy in ruby 1.8.3 (2005-09-29),
  released as Debian unstable ruby-1.8.2-1, and in
* ruby 1.8.3 (2005-10-12) and was again removed by TS:Guy in ruby 1.8.3 (2005-10-13).

  * Temporary Emergency Release
    ruby 1.8.3 (2005-09-21) [i486-linux]] segfaults sisu
    bug report made to ruby-core 2005-09-24

    this version of sisu built without Syck/Yaml
    and is not configurable, (uses sisu default configuration only)
    ignoring yaml user config files

    as such this emergency release:
    * only uses sisu default configuration settings,
      ignoring yaml user config files
    * does not provide sisu version information

%% sisu_0.26.1.orig.tar.gz (2005w37/7 | 2005-09-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.26.1.orig.tar.gz
  a6e020a9932d972cc92a8abdcb704238 3156526 sisu_0.26.1.orig.tar.gz
  4cbe9d5240b03eea9fc6392ebb2aca46 9304 sisu_0.26.1-1.diff.gz

  * pruning, removed words.rb (vocab is used)

  * wmap & vocabulary, minor modifications, and runs metaverse

  * minor pruning and renaming, small changes

%% sisu_0.26.0.orig.tar.gz (2005w37/7 | 2005-09-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.26.0.orig.tar.gz
  4d1702c6cb8f162f4c7ece7a236148c6 3159698 sisu_0.26.0.orig.tar.gz
  99f922789101f388cf3a7562ec2953c5 9293 sisu_0.26.0-1.diff.gz

  * sisu_webrick server no longer builds url paths with tilde prefix

  * sysenv, and link urls updated accordingly

  * sisu-examples, cgi sql search form, minor updates
    sqlite sample set for webrick server defaults, port 8081, with url suffixes
    pgsql sample set without (port is default port, and no url suffixes)

  * sisu_webrick server defaults must be changed in rc files, rather than by
    command-line parameters (reason, the rest of sisu would not see command
    line parameter changes, and would continue to provide rc details)

  * start enforcing lower case sisu markup tagging

%% sisu_0.25.11.orig.tar.gz (2005w37/6 | 2005-09-17)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.11.orig.tar.gz
  5330033ca4c32a20424b212d5e15705e 3158745 sisu_0.25.11.orig.tar.gz
  bdd533301ed392ec7c27f1e364dc8388 sisu_0.25.11-1.diff.gz

  * cgi, cgi sql search form sample generator, link suffixes added

  * cgi, cgi sql search form sample generator, -S takes additional parameter
    webrick to provide port links that webrick server will use.

  * sisu_webrick, -W does cgi form.

  * sisu_skin & defaults, home page, adjustments

  * html output (tune), fix image, no link where non provided, i.e. where the
    { imagename.png }image notation is used

  * html output (css & tune), image caption, smaller font

  * configure, (-C & -CC) absence of trang is only reported
    if -V (extra verbose) flag is used

  * processing remote urls, (-C & -CC) absence of external_images is only
    reported if -V (extra verbose), is used [re-test]

  * man page, man sisu, updated to include "-S webrick"

%% sisu_0.25.10.orig.tar.gz (2005w37/5 | 2005-09-15)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.10.orig.tar.gz
  1b7fa60d23869d33f5d918d5aa1cf424 3157417 sisu_0.25.10.orig.tar.gz
  9d4b75bde3f0f138d1e4d31b7964d374 9262 sisu_0.25.10-1.diff.gz

  * urls, minor correction (maintenance mode output)

  * man sisu(1) and sisu(8), minor edits

  * minor code cleaning

%% sisu_0.25.9.orig.tar.gz (2005w37/3 | 2005-09-14)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.9.orig.tar.gz
  48249bcd13900d9d68519585a3e825f6 3162000 sisu_0.25.9.orig.tar.gz
  2c74d1288dea0c604603185ae71a4421 9247 sisu_0.25.9-1.diff.gz

  * latex/pdf, librmagick-ruby: will throw a warning and refuse to build
    latex/pdf output for documents that are marked up without image dimensions,
    that require the librmagick library. [librmagick-ruby is not "required" as
    provided documents are marked up accordingly, it is never needed. As an
    example first image markup form requires the library, the second does not:
    { freeculture01.png }http://www.free-culture.cc/
    {freeculture01.png 350x350 }http://www.free-culture.cc/

  * man pages additions, mostly "man 8 sisu"

%% sisu_0.25.8.orig.tar.gz (2005w37/3 | 2005-09-14)       [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.8.orig.tar.gz
  bd8edf228360f3f3795812c93edfee19 3159743 sisu_0.25.8.orig.tar.gz
  17b662d3d2e7f1881c7eebecb6dca192 9232 sisu_0.25.8-1.diff.gz

  * metaverse, default is to run metaverse wherever it may be required,
    i.e. when any of - abDdeHhINptXxz

  * plaintext, endnotes version (-e) sorted,
   -a (footnotes following paragraphs) is ok
   [however is currently an either or, both output plain.txt]

  * texinfo, basic output working again (with pinfo).
    [fix later, moving of & to <=and>]

  * debian, recommends, added pinfo

  * help, fix help on markup \ escape character (escaped)

%% sisu_0.25.7.orig.tar.gz (2005w37/2 | 2005-09-13)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.7.orig.tar.gz
  b86531a1788f6bce8e81328760801fa3 3158773 sisu_0.25.7.orig.tar.gz
  a2824de38545b6695eb06ea35bb73fea 9207 sisu_0.25.7-1.diff.gz

  * metaverse, possibility to escape backslash (\\ to produce \) [Special
    character escape set near complete for regular text, verify situation for
    code blocks (code{) where characters should be treated verbatim].

  * metaverse, markup, test and addition of possibility to escape contextual
    special characters, such as asterisk (*) and exclamation mark (!), which
    are not normally a special characters that need to be escaped, but the
    ability to do so is useful where for example used to describe their markup
    function as in \*{bold}* \!{emphasis}! verified others used in a similar
    way (*!/_\^,+), either already available or also added \/{italicise}/
    \_{underscore}_ \^{superscript}\^~{ note that the caret (\^) is a special
    character that must always be escaped, unlike the other characters
    described here which are contextual }~ \,{subscript}, \+{inserted}+
    \-{strikethrough}-

  * man page and help, comments added on escaping special characters and
    headers

  [extensive testing escaping the full range of special characters is necessary
  these include \\ \< \> \{ \} and the contextual  * ! / _ \^ , + ]

%% sisu_0.25.6.orig.tar.gz (2005w37/1 | 2005-09-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.6.orig.tar.gz
  c0b6aa1a71a4d139d65c43fb2d21b8b0 3156969 sisu_0.25.6.orig.tar.gz
  283c663e1b3e7803217d80709dcc7b73 9186 sisu_0.25.6-1.diff.gz

  * metaverse, cosmetic corrections related to bold, italics and punctuation

  * metaverse, and add a few language settings

  * latex/pdf start looking at language settings, set language selected for
    document \documentclass \usepackage \selectlanguage

  * latex/pdf creator copymark turned off by adding minus sign to creator
    header, as in 0~creator- [name of author]

  * man pages, help files updated on language settings

  * copyright SiSU system, object numbering etc. in pdfs, (reduced font size &
    words from previous Debian release, [a bit more than in 0.25.5])

%% sisu_0.25.5.orig.tar.gz (2005w37/1 | 2005-09-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.5.orig.tar.gz
  dadf9ffb77c629189be5f08345f451cf 3154083 sisu_0.25.5.orig.tar.gz
  7749d8a2a4ed73e9f0d85e5fae5d9027 9178 sisu_0.25.5-1.diff.gz

  * latex/pdf cosmetic reduced size of font related to document
    processing information.

%% sisu_0.25.4.orig.tar.gz (2005w37/1 | 2005-09-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.4.orig.tar.gz
  b2bd5bd90ebb3af821f7b60a03cfecaa 3153879 sisu_0.25.4.orig.tar.gz
  894ed52890f238a8feab48e80e86aae8 9166 sisu_0.25.4-1.diff.gz

  * metaverse, fix related to 0.25.3 (interaction between operation of
    bold lines and bold words selected in header).

%% sisu_0.25.3.orig.tar.gz (2005w37/1 | 2005-09-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.3.orig.tar.gz
  079f2c259f8de88e48ce16a6b0eed242 3153671 sisu_0.25.3.orig.tar.gz
  1388f9f6183f76b49aa52ccef26bc5bc 9153 sisu_0.25.3-1.diff.gz

  * metaverse, subtle correction todo with interaction between operation of
    bold lines and bold words selected in header.

  * changes to text accompanying latex/pdfs, toning down of language,
    correction of gpl2 url to fsf.org rather than gnu.org

%% sisu_0.25.2.orig.tar.gz (2005w36/6 | 2005-09-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.2.orig.tar.gz
  de5b7c20ec8e793d131c0f7665a1447a 3153602 sisu_0.25.2.orig.tar.gz
  e46bcf337617273e1ef715010c0a7542 9134 sisu_0.25.2-1.diff.gz

  * latex/pdf fix, produce text without object numbers
    (problem with documents including grouped text markers, poem{ etc.)
    fix affects processing with the -0 flag (zero), e.g.
      sisu -mHp0v [filename].s3

%% sisu_0.25.1.orig.tar.gz (2005w36/6 | 2005-09-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.1.orig.tar.gz
  a82d3a227babf3bc1a6660fafba17ecc 3153326 sisu_0.25.1.orig.tar.gz
  5df9ff95789c457566e0fc822449f1ef 9122 sisu_0.25.1-1.diff.gz

  * cgi search for generator: fix, removal of an errant line of code
    (removal of hardlink to version number)
    fix affects
      sisu -S

%% sisu_0.25.0.orig.tar.gz (2005w36/6 | 2005-09-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.25.0.orig.tar.gz
  15d88f5a33da7f3cb427e5a8a0dae573 3153121 sisu_0.25.0.orig.tar.gz
  a191b69a92500d8880b764b6c33a4957 9111 sisu_0.25.0-1.diff.gz

  * db/sql: changes to database table names, cleaner

  * db/sql/search: cgi search examples and cgi search sample generator modified
    accordingly

  * db/sql: recreate, creates if no existing database, instead of complaining
    (createall complains if database exists - you may not wish to remove
    existing)

  * db/sql: replaced oid table with links table, and provide links to output files,
    affects both pgsql and sqlite


%% sisu_0.24.2.orig.tar.gz (2005w36/5 | 2005-09-09)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.24.2.orig.tar.gz
  924f791aa2ab18e3917451ff09183a3b 3152290 sisu_0.24.2.orig.tar.gz
  cbbfdde8fd261b1bfdd47f633c895222 9093 sisu_0.24.2-1.diff.gz

  * character encoding, existing table hash replaced with a KirbyBase table
    character encoding lib is not currently used by sisu,
    (& KirbyBase is not included with sisu), for what it is see
      http://www.netpromi.com/kirbybase_ruby.html )
    hoever, this is a possible way forward should such a table be needed

%% sisu_0.24.1.orig.tar.gz (2005w36/4 | 2005-09-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.24.1.orig.tar.gz
  328d2c858900bca8594aaf9fdad48687 3154040 sisu_0.24.1.orig.tar.gz
  2a8e982a69c58ea39a82c3c1e849fcc3 9083 sisu_0.24.1-1.diff.gz

  * latex/pdf fix: tilde may be printed if marked up as escaped character
    has been a problem, (revisit, refactor what is done with tilde)

  * escaping sisu special characters a bit of work done, html latex/pdf
    done { } ~ < > _ - / # | : ! ^ examine need for others such as *

  * latex/pdf, also html, bugfix, a bit of work on escaping of sisu special
   characters, html latex/pdf, done \{ \} \~ \< \> \&.  Several characters are
   only special characters in given particular locations or combinations, these
   should be escapable in any event.  Further testing and work necessary, hash
   is still a problem. { } ~ < > _ - / & | : ! ^ #

  * metaverse_syntax, in code mode special characters should not be escaped

    code{

      { } ~ < > _ - / & | : ! ^ #
      $ & @ *

    }code

    test more extensively, and correct over time. Note that the hash is for the
    moment a problem (in latex/pdf)

  * latex/pdf and other files make sure headers are only given special
   treatment if at start of text, i.e. if actually headers, so can have a
   description of a header within text like 0\~level new=1,2,3; break=4

%% sisu_0.24.0.orig.tar.gz (2005w36/3 | 2005-09-07)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.24.0.orig.tar.gz
  2270344926ff777132f50dbba0270c11 3153987 sisu_0.24.0.orig.tar.gz
  f0bc72f3a3f07984113d7dd21ba7afae 9071 sisu_0.24.0-1.diff.gz

  * pdf page breaks, accepts header notation:
    0~level new=1,2,3; break=4

  * html fix to links band -H added .html to home url, removed

  * metaverse_syntax, adjustment to lines parsed, (result affects some endnotes)

  * plaintext small fix &amp; is &

  * minor touches to documentation

  * tested supported encodings utf8 and iso8859

  % sisu_0.23.1.orig.tar.gz (2005w36/3 | 2005-09-07)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.23.1.orig.tar.gz
    6182d22f7f4e00a3f224a5362717431a 3151165 sisu_0.23.1.orig.tar.gz
    6a52b9dd5ce21d46cf365da088d1f334 9063 sisu_0.23.1-1.diff.gz

  * fix to the still very naive sqlite search cgi example for sqlite

  * sisu -S will generate a copy of the naive sqlite and pgsql cgi search form
    it then needs to be copied to the cgi-bin directory. It differs from the
    example given in that it looks at output directories and includes them as
    database options. It is more accurate on sqlite, checking that a database
    exists, however both forms in their current form leave a lot to be desired.

  * url to location of sqlite database

  * latex/pdf cosmetic fix to front page removed angle brackets
    << [location] >> appeared incorrectly, and looks cleaner without

  % sisu_0.23.0.orig.tar.gz (2005w36/2 | 2005-09-06)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.23.0.orig.tar.gz
    4e8c4fd6e8d377d4e5af7145c37ac99a 3131414 sisu_0.23.0.orig.tar.gz
    f7e8ecb953b39ae45772130d54b158b3 9020 sisu_0.23.0-1.diff.gz

  * texpdf, utf8 added properly by way of ucs package (now requires latex-ucs)
    breaks some things but in the long run is hopefully an improvement
    currently supported encodings utf8 and iso8859.

    Resulting in out of the box improved Iñtërnâtiônàlizætiøn a slightly more
    extended character set, using utf-8, [ tested so far on LaTeX / pdf output,
    line-breaking is not perfect ] ! # $ % & \ () * + , - .  / ' 1 2 3 4 5 6 7
    8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ]
    … † ‡ < - ~ t ¡ ¢ £ ¤ ¥ ¦ § ¨ © ª « ¬ ­ ® ¯ ° ± ² ³ ' µ ¶ · ¸ ¹ º » ¼ ½ ¾ ¿
    À Á Â Ã Ä Å Æ Ç È É Ê Ë Ì Í Î Ï Ð Ñ Ò Ó Ô Õ Ö × Ø Ù Ú Û Ü Ý Þ ß à á â ã ä å
    æ ç è é ê ë ì í î ï ð ñ ò ó ô õ ö ÷ ø ù ú û ü ý þ ÿ

  * character encoding, utf-8 improved basic table, not yet utilised though,
    [and even as a small utf-8 table is on the large side]

  * minor code play with output (webserve) path

  * sqlite db output mapped to webserve path, current directory stub
    [instead of being deposited in pwd]

  * very naive sqlite search cgi example for sqlite

  * metaverse, changes to automatic naming of levels 5 & 6
    same methods used as has been for level 4, could possibly clash at times
    with level 4 in doc version consider implications [easy to attach somthing
    to level 5 & 6 names]

  * document digest in document information by default
    (previously only when cvs info also selected)

  * loading of skins for inserts

%% sisu_0.22.1.orig.tar.gz (2005w35/4 | 2005-09-01)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.22.1.orig.tar.gz
  bd05b8766c923fefe62194ccfb851e40 3106333 sisu_0.22.1.orig.tar.gz
  a3c3f1369d34c477db9422de98ed7306 8955 sisu_0.22.1-1.diff.gz

  * metaverse, regex fix for bold line syntax (^!_)

  * latex/pdf, placement of object numbers re-sorted,
    an inelegant fix, revisit later.

%% sisu_0.22.0.orig.tar.gz (2005w35/3 | 2005-08-31)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.22.0.orig.tar.gz
  7a9d78e29a2809767f5510ec8958155d 3105938 sisu_0.22.0.orig.tar.gz
  9b7babcf4278dc69a94ec7b9f00609e0 8936 sisu_0.22.0-1.diff.gz

  * sysenv, option to check load path and only load module if available reduce
    dependency on other packages, introduced for rmagick and now used also for
    dbi.

  * rmagick if installed can be used to calculate image dimensions, so these
    need not be provided in markup.

  * sql database operations only attempted if dbi is loaded(/available for
    loading)

  * texpdf, used parskip and removed use of smallskip from latex output
    (& other minor edits)

  * FSF address updated:
      Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
        [from: 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA]

%% sisu_0.21.2.orig.tar.gz (2005w34/7 | 2005-08-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.21.2.orig.tar.gz
  b6deafd5e3627851a11b3865c7b54a36 3104604 sisu_0.21.2.orig.tar.gz
  db780c3273a6a6dd3b488dc1ee70cf82 8882 sisu_0.21.2-1.diff.gz

  * sisu-examples sisu_search.cgi sample correction

%% sisu_0.21.1.orig.tar.gz (2005w34/7 | 2005-08-28)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.21.1.orig.tar.gz
  df503b6de6a98cca07c010ead14c8083 3104417 sisu_0.21.1.orig.tar.gz
  4ce92696c4eb3c87434ea6c3984f3054 8870 sisu_0.21.1-1.diff.gz

  * debian Sources.gz

  * minor code edits

%% sisu_0.21.0.orig.tar.gz (2005w34/7 | 2005-08-28) [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.21.0.orig.tar.gz
  095879ae2f0784868b9506eb09012b41 3105687 sisu_0.21.0.orig.tar.gz
  5d0274cb2a1f0e88c22c78d03dd869da 8852 sisu_0.21.0-1.diff.gz

  * changes to file structure for processing and provided images
    now placed under the markup directory in _sisu
    ./_sisu/processing [built by sisu] unless ./ is not writable
                                       then /tmp/sisu_processing
    ./_sisu/image      [added to manually]
    ./_sisu/config [precedence: ./_sisu/config ~/.sisu /etc/sisu]

  * skin fix reading and precedence
    [uses ./_sisu/config/skin ~/.sisu/skin /etc/sisu/skin
      ./_sisu/processing/external_document/skin]

  * external documents, provide similar logic
    placed in ./_sisu/processing/external_document/{image,config}
    this should mean that along external documents are downloaded
    together with their skins and images and processed as a unit

  * changed a couple of search path statements (skin,sisurc) to use blocks.

  * sisu manpage updated to take account of changes (help not yet)

%% sisu_0.20.9.orig.tar.gz (2005w34/5 | 2005-08-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.9.orig.tar.gz
  0f267a8fb912193b3714ea573ccaefea 3090429 sisu_0.20.9.orig.tar.gz
  8b46fe8954ebdfaa89c5ecb608771b6a 8832 sisu_0.20.9-1.diff.gz

  * merged/rearranged (and renamed Postgresql and Sqlite classes).
    Now SiSU_SQL (avoid possibility of namespace clashes).

  * plaintext, xml (sax & dom), xhtml, run on a new file creates required
    output sub-directory, it was relying on other selections for directory
    creation [thought done previously] affects flags -a -x -X -b

%% sisu_0.20.8.orig.tar.gz (2005w34/4 | 2005-08-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.8.orig.tar.gz
  2fee766bb3079d7f955dbeb8c7e1c9dd 3089931 sisu_0.20.8.orig.tar.gz
  6505b8ad8e6ccdc73676a61b25a466a2 8815 sisu_0.20.8-1.diff.gz

  * minor database rationalisation,
    postgresql & sqlite logic in same files
    [additional testing required]

%% sisu_0.20.7.orig.tar.gz (2005w34/3 | 2005-08-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.7.orig.tar.gz
  1fe53caf785a25d4a59ffb05e7c9c3aa 3098483 sisu_0.20.7.orig.tar.gz
  914f8a07adb73f761c42e4c914abd3b2 8799 sisu_0.20.7-1.diff.gz

  * added metadata categories (to the Dublin Core 15) added the following metatags, which seemed appropriate/useful:
      translator (or translated_by)
      illustrator (or illustrated_by)
      prepared_by
      digitized_by
    (added to parameters, metaverse, sql databases)

  * note in man pages and help about sisu markup files being in
    UNIX ASCII

  * vim auto-conversion to UNIX ASCII for sisu markup files
    (sisu parses unix ascii, not dos ascii ... consider further,
    an issue for example with many(most/all?) Project Gutenberg texts)

%% sisu_0.20.6.orig.tar.gz (2005w34/1 | 2005-08-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.6.orig.tar.gz
  8e50493f947b6c1e0ed77bb1fb4e8ede 3096291 sisu_0.20.6.orig.tar.gz
  0636fedf8a38e0cb62dbdf7c0ad9397f 8778 sisu_0.20.6-1.diff.gz

  * (composite) fix for new header links where linbreak used
    and imported into composite document, result in .t? suffix

  * (sisu_search.cgi) sample search form, minor fixes &
    improvements, still a mess

%% sisu_0.20.5.orig.tar.gz (2005w33/5 | 2005-08-19)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.5.orig.tar.gz
  1df854fd95731c9272c89c62b06ce70a 3095741 sisu_0.20.5.orig.tar.gz
  31d98e13292c9ab21b77f77bd4e769df 8763 sisu_0.20.5-1.diff.gz

  * fix for old style header links, (broken in 0.20.4 with
    introduction of new)

%% sisu_0.20.4.orig.tar.gz (2005w33/4 | 2005-08-18)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.4.orig.tar.gz
  c65c974dbdef638014c578c8a06d4560 3095378 sisu_0.20.4.orig.tar.gz
  bca68a13d322deee67a4e20730c55acb 8741 sisu_0.20.4-1.diff.gz

  * (param) header links notation made similar to links within text
    old markup syntax remains possible, (i.e. backward compatibility kept)
    [should possibly force version number change to 0.21 but is minor change]

  * small touch to sisu vim syntax file, remove false positive error
    highlighting for alternative links markup

  * touch to remove relevance of whitespace in image markup
    (previously a problem in composite texts for latex/pdf output)

  * (metaverse for html) touch, whitespace reintroduced where name is given to
    an object as easy solution to interference that may otherwise arise with
    urls

  * html touch whitespace reintroduced where name is given to an object
    as easy solution to interference that may otherwise arise with urls

  * ruby-libyaml removed from debian control,
    [a DD had informed me that he had neeeded it early in packaging days he
    must have been working with a version of ruby older than sisu is written
    for]

%% sisu_0.20.3.orig.tar.gz (2005w32/7 | 2005-08-14) [Debian Release snapshot, uploaded by Wookey]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.3.orig.tar.gz
  0a1b40b4c00ab6a7b4c9528b0664cba5 3094654 sisu_0.20.3.orig.tar.gz
  aea0778abd99cd1f301d059fe83c81e4 8653 sisu_0.20.3-1.diff.gz

  * fix sisu -CC removed attempt to create pg db
    (this is done rather on -D createall request if does not exist)

%% sisu_0.20.2.orig.tar.gz (2005w32/7 | 2005-08-14)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.2.orig.tar.gz
  56c7a77c9a78f12cd132e06234ded543 3094356 sisu_0.20.2.orig.tar.gz
  774b095fc376f4decde435fd6d32fbc2 8631 sisu_0.20.2-1.diff.gz

  * sisu_vim manpage

  * latex/pdf monospace font (ttfamily) where code{ }code is used

  * html monospace font where code{ }code is used

  * rescue and attempt to create pg db only if db of pg type requested

  * a rule for stripping deleted text from clean text md5 digest introcued

  * debian signing of package against ralph@amissah.com

%% sisu_0.20.1.orig.tar.gz (2005w32/5 | 2005-08-12)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.1.orig.tar.gz
  1cdbe3739722c877af1095135a7a6f9e 3089912 sisu_0.20.1.orig.tar.gz
  90e8a6ac6a1c868d8f7138c8974b2611 8588 sisu_0.20.1-1.diff.gz

  * console output XML clutter reduced,
    REXML parsed headers now only produced for -V not -v

  * debian package, started signing dsc and changes file
    both email addresses ralph@amissah.com and ralph.amissah@gmail.com
    on ring, singing ended up being done against latter,
    the former being what debian knows me as, correct on next signing

    Key fingerprint = F899 5A87 C648 3F38 5107  79F1 B97B 7C4D BD76 E77F

-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.1 (GNU/Linux)

mQGiBEL8fs4RBADNNhIsG6i13rDL4JLTgqy0fzcx8oJ9E/xDKeQo/5pqs18FvyKo
VsHdkUrPptZgxowalPi2aWvZgdi56yUFt295pNedMNXfTnwkVF/9PSA3r4OTBFWw
7NJYRUu2ZaSqtj3LpnBhsPpDqcl2g5Mry88mMLUeWB9OtsZE/QFVnoJqawCg4QSY
IOtgdxZVJfibHbFA0/2iG3cD/A98l/BuRWF+kwNacj1q+D0glC/u9mvg56fnAzTL
Osbhza/ebqvPgtFpP4PlIuvTcRZ9QsSJgmCTxNRPSKWPGqDmj7B7MDcPKUyJAPKB
fSLm5v5BuKTCLl9jyihbOqIdTgF1hoBHxTyfYWpVVuhdFP1kahityDNGpRhSfTif
doDLBACkB090RwyYBR589CMjF4miOo5m29ooQZO3tkR+6w5ny81H+qIHVx3TQZa9
d2166YcxMOFLh2mXBcVNsF8gQpv8Otk+Oyu5FFKqJiGV6JkEPf/W+iXMdpvTrxtc
rmU8cKagKxxBjue8PlI6bGusEjJXgmsTwOZB5WxCW4QQs49VoLQhUmFscGggQW1p
c3NhaCA8cmFscGhAYW1pc3NhaC5jb20+iGQEExECACQFAkL8fs4CGwMFCQPCZwAG
CwkIBwMCAxUCAwMWAgECHgECF4AACgkQuXt8Tb1253+R+gCg3KfzSGEmdWf01ryr
QLm35LutXS8AoNVfXb3OB1BMph6bOSNJpIyZAOgstCdSYWxwaCBBbWlzc2FoIDxy
YWxwaC5hbWlzc2FoQGdtYWlsLmNvbT6IZAQTEQIAJAUCQvyEaAIbAwUJA8JnAAYL
CQgHAwIDFQIDAxYCAQIeAQIXgAAKCRC5e3xNvXbnf12SAJ44Tuntdnqv7lAGgRes
KMFbHSt3YgCgjXkkHqY167kvDWmxrdAfupv7Ad65Ag0EQvx+2RAIAL23ShZnJJi/
1un84eoUoQ/AaXmGAhYjVlYiJzMjTXBygS12TnpNkqibnnIqbn/6v1WFIgZNRhzS
GzKo//MYtORdhB25UYe0YeOhZhyABLNSFKCye1ACBfDpJAFzc+kh7GjA1k2hnDsn
zox49eJyubO1FxiXXYrKaSMOGkuhp/JaLEVHZZyY++Zq0TuS8t3bOmNkUbL5X5oZ
n600yZzNfdQ8/5LjwIUvY9BDR+tHyypGyegDDmS5BVEjmW2d9ujDbVYRY6twA0q6
6WSx2WqT/HzdvSirEiPp3ENwQAaTnGT0G5q2zmYtutb9Yd/V/5aQBMEkAXF/JT4H
uw5ad3C6xNcAAwUH/jmC7wmvfA6Dqh9TfqDux9LzWbIny0NsgYTsE2Bkhg8kuHgb
PeqpOeJRFYxQkhknzW1PZZVwtxmfFgWgvukW4fqGSPWSpWDaYL91zkx2HRMBG1Nb
YwqNOLQnolRE9z/42b/M4oyIWhd0WTi6tZt5pMvpW5Dn7tOsnU3PlNM3AAv3Bjp9
QBki1KRjZC7PdKnQa9KSwvr4hgvvBlT4Is9131vmAZhu41Ni8UORmoq5e/lqd5O/
0QuySo+ZJEyLQuulfK19NPALZM+fu6/3dUHAu4D27MafYdQNqY3Xks4mquQ2p95k
OhNer8Yu7SSyBCIO/8V71UhkgyUdG7fMl0BzqPmITwQYEQIADwUCQvx+2QIbDAUJ
A8JnAAAKCRC5e3xNvXbnfzpwAJ0ZKPoWuWrx8K/zGSIRRj7ZRbf6KgCgji13BXoF
tJaIUHauen7hNIoUQXo=
=6US6
-----END PGP PUBLIC KEY BLOCK-----

%% sisu_0.20.0.orig.tar.gz (2005w32/4 | 2005-08-11)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.20.0.orig.tar.gz
  0c0c5ef53a3dd85fcaf5912a971c3b26 3089497 sisu_0.20.0.orig.tar.gz
  741731b3d842820cb2b427fdf1197e4a 8517 sisu_0.20.0-1.diff.gz
  0b1ea809280f45b293cb5a9ea9453b49 8551 sisu_0.20.0-2.diff.gz

  * remap sisu psql database names to SiSU_[directory name stub]
    instead of just [directory name stub] as this will make name collisions
    (and accidents) with other databases, when using SiSU to creating, deleting
    and recreating databases much less likely happening to other databases far
    less likely.  [renaming means databases need rebuilding for use]

  * (psql) have made postgresql >=8.0 the default requirement. An issue
    showed up with sisu & postgresql 7 series and UNICODE sequences used, as
    sisu as released is fairly new there is little incentive to maintain it
    [however, problem would seem to indicate a lot of bug testing is required,
    i am currently using UTF-8 locale (en_GB.UTF-8)]
    [corrected to postgresql >=8.0.0; but is currently named posgreql-8.0]

  * cgi script example updated to match SiSU_[directory name stub] convention
    and to default to search of sisu-examples as this is a standard/common
    directory anyone might generate (or rather ./document_samples_sisu_markup)

%% sisu_0.18.8.orig.tar.gz (2005w32/3 | 2005-08-10)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.8.orig.tar.gz
  aa7e128202d4e60dfa9b328888406a3d 3087797 sisu_0.18.8.orig.tar.gz
  262edbc6bcd7b29cf70d8f3b0fd1a9cf 8404 sisu_0.18.8-1.diff.gz

  * (webrick url) console display of output text default to webrick url
    (can be switched off in sisurc.yaml, by setting
    webserve,webrick_url: false)
    however this assumes people know to start sisu_webrick
    (it is a toss-up between advertising webrick's availability,
    and sticking with filesystem paths as default, may have
    to revert) have thought of tying webrick url output to
    starting sisu_webrick automatically, would need to look at
    log files and get logging off the console, else would disturb
    other sisu console output
    [a problem appears to be that in some browsers old cached pdf
    is served when requested, so changes made in subsequent document
    generation may not be displayed, consider implications]

  * sisu_webrick port sysenv default set back to 8081
    (instead of 8111, consider 8123)

  * use createdb to attempt to create relevant pgsql database
    (using stub of directory name; uses a system command and assumes user has
    permission to create db, if user does not, and the database does not exist,
    would not be able to proceed anyway)

  * inelegant handling of "" image bug (no image) that appears
    in a test document.

  * a few urls shortend back to http://www.jus.uio.no/sisu
    from http://www.jus.uio.no/sisu/SiSU in defaults

  * minor touch to man page and help

%% sisu_0.18.7.orig.tar.gz (2005w32/2 | 2005-08-09) [Debian Release snapshot, uploaded by Joachim Breitner]
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.7.orig.tar.gz
  ace9eb421e31f7d3f1d12ba29b00baaf 3086170 sisu_0.18.7.orig.tar.gz
  3530196ebba2260a60bfe885ee536731 8393 sisu_0.18.7-1.diff.gz

  * some license clean up, gpl2 or later (appearing in pdf text output),
    removed sentences referring to alternative, somehow missed in previous
    grand cleanup sisu_0.16.24 where all document headers were cleaned, and the
    rest i thought [apologies 0.18.7 was rebuilt to include this change, they
    occurred in the file defaults.rb and texpdf_format.rb].

  * fix -N md5 digests batch mode, garbage cleaning

  * fix -N remote placement (revisit remote placement)

  * sequence digests if requested follow on directly after metaverse -mN...

  * html and latex/pdf so far, continue tradition of assuming that a comma (,)
    or full stop (.) following a url is part of a sentence, i.e. if a url
    actually is terminated by a comma or a dot are not parsed correctly, is
    extremely convenient, consider implications though, may need to change.
    {~^ this ends the sentence }http://www.url.  (this would also {~^ end the
    sentence. }http://www.url and as before the comma and stop attached to
    these urls are part of the sentences punctuation http://www.url,
    http://www.url.)

%% sisu_0.18.6.orig.tar.gz (2005w32/1 | 2005-08-08)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.6.orig.tar.gz
  0687159545781ee1caeb802fd6da9ecf 3085058 sisu_0.18.6.orig.tar.gz
  096c5f256ecc1b38642186822c55f137 8377 sisu_0.18.6-1.diff.gz

  * fixed metadata (metaverse) sourcefilename (where rc not used)

  * fixed digest tree where image not found

  * defaults for shortcut flags (-1v -3v etc.) set to
    create the digest tree (-N)
    and to include filetype suffix (-H) as this works with webrick
    (sisu_webrick)

  * jpg image support consistently added (to existing png & jpg) gif
    consistently removed as on cursory glance does not appear to be
    supported by tetex, trivial to add later

  man page and help mention of verbose screen output of digest tree

%% sisu_0.18.5.orig.tar.gz (2005w31/6 | 2005-08-06)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.5.orig.tar.gz
  e41ba898a4514b8f951015df3a30e3e2 3084020 sisu_0.18.5.orig.tar.gz
  4120df15adf03f14bb58d7fba068c27c 8359 sisu_0.18.5-1.diff.gz

  * bugfix output paths, may change again, currently the default
    if writable is /var/www/sisu (and if no ~/sisu_www)
    (in previous version wrote to /var/sisu/www/sisu if writable
    too idiosyncratic a solution)

  * bugfix image markup where url not used
    {imagename.png}image working for html and pdf again
    {imagename.png}image fix also for pdf

%% sisu_0.18.4.orig.tar.gz (2005w30/2 | 2005-07-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.4.orig.tar.gz
  9ee3ba3a68640e060a92beb1ffd4351a 3081850 sisu_0.18.4.orig.tar.gz
  3fabff77f7a9db7e8c47ffa6d01c5bc0 8344 sisu_0.18.4-1.diff.gz

  * detailed document md5 digest output as digest.txt generated with -N flag
    [decide whether to:
      keep multiple document digest versions; and
      whether to link to html or databse
      (at some stage add digest names to html generated)]

  * added -N flag (document digests) to man pages and help

  * replaced uses of include? with plain regex (some vague recollection of
    rumours of depreciation in future ruby)... no rush, perhaps should have
    waited

  * (re)moved use of -o flag from old table based html

%% sisu_0.18.3.orig.tar.gz (2005w30/2 | 2005-07-26)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.3.orig.tar.gz
  76b9a55723151f7dd08437fb9a604813 3079656 sisu_0.18.3.orig.tar.gz
  d6ce0c7986a47436843d3a36ba000822 8322 sisu_0.18.3-1.diff.gz

  * digests on clean text, rule... revisit, but body and endnotes treated "same"

  * tmp fix for special image characters, (e.g. Euro and Copyleft) tmp because
    image is taken from local directory images where ought to be taken from
    general image set, revisit.

%% sisu_0.18.2.orig.tar.gz (2005w30/1 | 2005-07-25)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.2.orig.tar.gz
  cbb34fcf021158193c6e6f366ae9e645 3077824 sisu_0.18.2.orig.tar.gz
  35ac35ae6872d923c3704c45aae867f4 8306 sisu_0.18.2-1.diff.gz

  * document meta_data, version information re-organization

  * texinfo cursory look, initial 0.18 fix

  * db pg/sqlite md5_all fix for level 4

  * dbi_unicode unused, and removed, (common_db used)

%% sisu_0.18.1.orig.tar.gz (2005w29/0 | 2005-07-24)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.1.orig.tar.gz
  030ba198b242541bd261ec5fb0776b0a 3086052 sisu_0.18.1.orig.tar.gz
  6cd8c2b571c485edbe77946fe7245a14 8301 sisu_0.18.1-1.diff.gz

  * latex/pdf, tmp bugfix, substitute & with 'and' in toc,
    needed e.g. for AT&T, see ffa, REVISIT

  * a bit of play with texinfo module, but (still) broken
    (in 0.18) until tested

  * some writing in man pages

%% sisu_0.18.0.orig.tar.gz (2005w29/5 | 2005-07-22)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.18.0.orig.tar.gz
  ff45f2bca98b6e8fbae0714684576571 3086151 sisu_0.18.0.orig.tar.gz
  9f0cf2ca1b6e02aea52f9dd22e51c32d 8268 sisu_0.18.0-1.diff.gz

  Development branch 0.17 (opened 2005-07-14)
  rolled back into main as 0.18:

  sisu_0.17.5.orig.tar.gz (2005w29/5 | 2005-07-22)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.5.orig.tar.gz
    23e3b01175d55e815933881fcfe415c5 3085611 sisu_0.17.5.orig.tar.gz
    41e800763be26bb37a8f1901a05bff08 8570 sisu_0.17.5-1.diff.gz

    * plaintext linebreaks in endnotes <br />

    * xml series, branch-fix todo with tables (common_xml)

    * html endnote section branch-fix

  sisu_0.17.4.orig.tar.gz (2005w29/4 | 2005-07-21)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.4.orig.tar.gz
    23bef7ae21ac0b65cb7b27c049f3ea15 3085478 sisu_0.17.4.orig.tar.gz
    6542bc3d7f65440f02834de6141e74dd 8553 sisu_0.17.4-1.diff.gz

    * url maintenance mode, minor fix

    * small fixes to latex pdf mostly todo with & character

  sisu_0.17.3.orig.tar.gz (2005w29/3 | 2005-07-20)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.3.orig.tar.gz
    086b054dba3ee8837406157c74062252 3084736 sisu_0.17.3.orig.tar.gz
    3029bdb8375586b57cec9997578d8f98 8535  sisu_0.17.3-1.diff.gz

    * md5 into postgresql and sqlite modules, (including endnotes clean md5
      digest)

    * Implemented, but need to be consistent about content of paragraphs on which
      md5 digest is made:

      1. clean/stripped text without any markup, paragraph, headings etc. without
      endnotes

      2. endnotes clean/stripped text digest only (there may be several endnotes
      within a paragraph)

      3. whole object, text with markup and any endnotes, (question: with or
      without the endnote digests??? presumption better without, [however may be
      easier to check with?])

    * some renaming in db modules

    [deleted accidentally and rebuilt]

  sisu_0.17.2.orig.tar.gz (2005w28/5 | 2005-07-15)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.2.orig.tar.gz
    dab5f72a55e525e3f2bac4053db57c6a 3083022 sisu_0.17.2.orig.tar.gz
    4fad5f499da1d26d89070ce1cb26ad8d 8512 sisu_0.17.2-1.diff.gz

    * change in metaverse representation of md5 hashes

    * cleaning up of output after introduction of md5 digests

  sisu_0.17.1.orig.tar.gz (2005w28/5 | 2005-07-15)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.1.orig.tar.gz
    ed3301693f3a86535b6d7c1595c1afdf 3082665 sisu_0.17.1.orig.tar.gz
    a3bf9b7198544ae341e0c4b397b185fd 8467 sisu_0.17.1-1.diff.gz

    * arrangement of md5s

  sisu_0.17.1.orig.tar.gz (2005w28/5 | 2005-07-15)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.1.orig.tar.gz
    *** sisu_0.17.1.orig.tar.gz
    *** sisu_0.17.1-1.diff.gz

    * todo with use of dev branch and being 0.17 rather than 0.16

  sisu_0.17.0.orig.tar.gz (2005w28/4 | 2005-07-14)
  http://www.jus.uio.no/sisu/pkg/src/sisu_0.17.0.orig.tar.gz
    MD5(sisu_0.17.0.orig.tar.gz)= 46d56d54e6040170cbaad77f6764e2ca

    * incorporated two md5 digests for each object, available for use
      downstream as desired

%% sisu_0.16.26.orig.tar.gz (2005w28/6 | 2005-07-16)
http://www.jus.uio.no/sisu/pkg/src/sisu_0.16.26.orig.tar.gz
  *** sisu_0.16.26.orig.tar.gz
  *** sisu_0.16.26-1.diff.gz

* LaTeX output remove individual /parindent placed in header

%% sisu_0.16.25.orig.tar.gz (2005w28/6 | 2005-07-16) [First Debian Release, uploaded by Gunnar Wolf]
